%global SLOF_gittagdate 20191022
%global SLOF_gittagcommit 899d9883

%global have_usbredir 1
%global have_spice    1
%global have_opengl   1
%global have_fdt      0
%global have_gluster  1
%global have_kvm_setup 0
%global have_memlock_limits 0

%ifnarch %{ix86} x86_64
    %global have_usbredir 0
%endif

%ifnarch s390x
    %global have_librdma 1
%else
    %global have_librdma 0
%endif

%ifarch %{ix86}
    %global kvm_target    i386
%endif
%ifarch x86_64
    %global kvm_target    x86_64
%else
    %global have_spice   0
    %global have_opengl  0
    %global have_gluster 0
%endif
%ifarch %{power64}
    %global kvm_target    ppc64
    %global have_fdt     1
    %global have_kvm_setup 1
    %global have_memlock_limits 1
%endif
%ifarch s390x
    %global kvm_target    s390x
    %global have_kvm_setup 1
%endif
%ifarch ppc
    %global kvm_target    ppc
    %global have_fdt     1
%endif
%ifarch aarch64
    %global kvm_target    aarch64
    %global have_fdt     1
%endif

#Versions of various parts:

%global requires_all_modules                                     \
Requires: %{name}-block-curl = %{epoch}:%{version}-%{release}    \
%if %{have_gluster}                                              \
Requires: %{name}-block-gluster = %{epoch}:%{version}-%{release} \
%endif                                                           \
Requires: %{name}-block-iscsi = %{epoch}:%{version}-%{release}   \
Requires: %{name}-block-rbd = %{epoch}:%{version}-%{release}     \
Requires: %{name}-block-ssh = %{epoch}:%{version}-%{release}

# Macro to properly setup RHEL/RHEV conflict handling
%define rhev_ma_conflicts()                                      \
Obsoletes: %1-ma <= %{epoch}:%{version}-%{release}               \
Obsoletes: %1-rhev <= %{epoch}:%{version}-%{release}

Summary: QEMU is a machine emulator and virtualizer
Name: qemu-kvm
Version: 4.2.0
Release: 59%{?dist}.2
# Epoch because we pushed a qemu-1.0 package. AIUI this can't ever be dropped
Epoch: 15
License: GPLv2 and GPLv2+ and CC-BY
Group: Development/Tools
URL: http://www.qemu.org/
ExclusiveArch: x86_64 %{power64} aarch64 s390x


Source0: http://wiki.qemu.org/download/qemu-4.2.0.tar.xz

# KSM control scripts
Source4: ksm.service
Source5: ksm.sysconfig
Source6: ksmctl.c
Source7: ksmtuned.service
Source8: ksmtuned
Source9: ksmtuned.conf
Source10: qemu-guest-agent.service
Source11: 99-qemu-guest-agent.rules
Source12: bridge.conf
Source13: qemu-ga.sysconfig
Source21: kvm-setup
Source22: kvm-setup.service
Source23: 85-kvm.preset
Source26: vhost.conf
Source27: kvm.conf
Source28: 95-kvm-memlock.conf
Source30: kvm-s390x.conf
Source31: kvm-x86.conf
Source32: qemu-pr-helper.service
Source33: qemu-pr-helper.socket
Source34: 81-kvm-rhel.rules
Source35: udev-kvm-check.c
Source36: README.tests


Patch0005: 0005-Initial-redhat-build.patch
Patch0006: 0006-Enable-disable-devices-for-RHEL.patch
Patch0007: 0007-Machine-type-related-general-changes.patch
Patch0008: 0008-Add-aarch64-machine-types.patch
Patch0009: 0009-Add-ppc64-machine-types.patch
Patch0010: 0010-Add-s390x-machine-types.patch
Patch0011: 0011-Add-x86_64-machine-types.patch
Patch0012: 0012-Enable-make-check.patch
Patch0013: 0013-vfio-cap-number-of-devices-that-can-be-assigned.patch
Patch0014: 0014-Add-support-statement-to-help-output.patch
Patch0015: 0015-globally-limit-the-maximum-number-of-CPUs.patch
Patch0016: 0016-Add-support-for-simpletrace.patch
Patch0017: 0017-Use-qemu-kvm-in-documentation-instead-of-qemu-system.patch
Patch0018: 0018-usb-xhci-Fix-PCI-capability-order.patch
Patch0019: 0019-virtio-scsi-Reject-scsi-cd-if-data-plane-enabled-RHE.patch
Patch0020: 0020-BZ1653590-Require-at-least-64kiB-pages-for-downstrea.patch
Patch0021: 0021-Using-ip_deq-after-m_free-might-read-pointers-from-a.patch
# For bz#1741345 - Remove the "cpu64-rhel6" CPU from qemu-kvm
Patch22: kvm-i386-Remove-cpu64-rhel6-CPU-model.patch
# For bz#1772774 - qemu-kvm core dump during migration+reboot ( Assertion `mem->dirty_bmap' failed )
Patch23: kvm-Reallocate-dirty_bmap-when-we-change-a-slot.patch
# For bz#1733893 - Boot a guest with "-prom-env 'auto-boot?=false'", SLOF failed to enter the boot entry after input "boot" followed by "0 > " on VNC
Patch24: kvm-spapr-Don-t-trigger-a-CAS-reboot-for-XICS-XIVE-mode-.patch
# For bz#1782678 - qemu core dump after hot-unplugging the   XXV710/XL710 PF
Patch25: kvm-vfio-pci-Don-t-remove-irqchip-notifier-if-not-regist.patch
# For bz#1789301 - virtio-blk/scsi: fix notification suppression during AioContext polling
Patch26: kvm-virtio-don-t-enable-notifications-during-polling.patch
# For bz#1790844 - USB related fixes
Patch27: kvm-usbredir-Prevent-recursion-in-usbredir_write.patch
# For bz#1790844 - USB related fixes
Patch28: kvm-xhci-recheck-slot-status.patch
# For bz#1791568 - CVE-2020-7039 qemu-kvm: QEMU: slirp: OOB buffer access while emulating tcp protocols in tcp_emu() [rhel-av-8.2.0]
Patch29: kvm-tcp_emu-Fix-oob-access.patch
# For bz#1791568 - CVE-2020-7039 qemu-kvm: QEMU: slirp: OOB buffer access while emulating tcp protocols in tcp_emu() [rhel-av-8.2.0]
Patch30: kvm-slirp-use-correct-size-while-emulating-IRC-commands.patch
# For bz#1791568 - CVE-2020-7039 qemu-kvm: QEMU: slirp: OOB buffer access while emulating tcp protocols in tcp_emu() [rhel-av-8.2.0]
Patch31: kvm-slirp-use-correct-size-while-emulating-commands.patch
# For bz#1559846 - Nested KVM: limit VMX features according to CPU models - Fast Train
Patch32: kvm-RHEL-hw-i386-disable-nested-PERF_GLOBAL_CTRL-MSR-sup.patch
# For bz#1725084 - aarch64: support dumping SVE registers
Patch33: kvm-target-arm-arch_dump-Add-SVE-notes.patch
# For bz#1779041 - netkvm: no connectivity Windows guest with q35 + hugepages + vhost + hv_synic
Patch34: kvm-vhost-Add-names-to-section-rounded-warning.patch
# For bz#1779041 - netkvm: no connectivity Windows guest with q35 + hugepages + vhost + hv_synic
Patch35: kvm-vhost-Only-align-sections-for-vhost-user.patch
# For bz#1779041 - netkvm: no connectivity Windows guest with q35 + hugepages + vhost + hv_synic
Patch36: kvm-vhost-coding-style-fix.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch37: kvm-virtio-fs-fix-MSI-X-nvectors-calculation.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch38: kvm-vhost-user-fs-remove-vhostfd-property.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch39: kvm-build-rename-CONFIG_LIBCAP-to-CONFIG_LIBCAP_NG.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch40: kvm-virtiofsd-Pull-in-upstream-headers.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch41: kvm-virtiofsd-Pull-in-kernel-s-fuse.h.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch42: kvm-virtiofsd-Add-auxiliary-.c-s.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch43: kvm-virtiofsd-Add-fuse_lowlevel.c.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch44: kvm-virtiofsd-Add-passthrough_ll.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch45: kvm-virtiofsd-Trim-down-imported-files.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch46: kvm-virtiofsd-Format-imported-files-to-qemu-style.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch47: kvm-virtiofsd-remove-mountpoint-dummy-argument.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch48: kvm-virtiofsd-remove-unused-notify-reply-support.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch49: kvm-virtiofsd-Remove-unused-enum-fuse_buf_copy_flags.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch50: kvm-virtiofsd-Fix-fuse_daemonize-ignored-return-values.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch51: kvm-virtiofsd-Fix-common-header-and-define-for-QEMU-buil.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch52: kvm-virtiofsd-Trim-out-compatibility-code.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch53: kvm-vitriofsd-passthrough_ll-fix-fallocate-ifdefs.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch54: kvm-virtiofsd-Make-fsync-work-even-if-only-inode-is-pass.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch55: kvm-virtiofsd-Add-options-for-virtio.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch56: kvm-virtiofsd-add-o-source-PATH-to-help-output.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch57: kvm-virtiofsd-Open-vhost-connection-instead-of-mounting.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch58: kvm-virtiofsd-Start-wiring-up-vhost-user.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch59: kvm-virtiofsd-Add-main-virtio-loop.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch60: kvm-virtiofsd-get-set-features-callbacks.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch61: kvm-virtiofsd-Start-queue-threads.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch62: kvm-virtiofsd-Poll-kick_fd-for-queue.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch63: kvm-virtiofsd-Start-reading-commands-from-queue.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch64: kvm-virtiofsd-Send-replies-to-messages.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch65: kvm-virtiofsd-Keep-track-of-replies.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch66: kvm-virtiofsd-Add-Makefile-wiring-for-virtiofsd-contrib.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch67: kvm-virtiofsd-Fast-path-for-virtio-read.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch68: kvm-virtiofsd-add-fd-FDNUM-fd-passing-option.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch69: kvm-virtiofsd-make-f-foreground-the-default.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch70: kvm-virtiofsd-add-vhost-user.json-file.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch71: kvm-virtiofsd-add-print-capabilities-option.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch72: kvm-virtiofs-Add-maintainers-entry.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch73: kvm-virtiofsd-passthrough_ll-create-new-files-in-caller-.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch74: kvm-virtiofsd-passthrough_ll-add-lo_map-for-ino-fh-indir.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch75: kvm-virtiofsd-passthrough_ll-add-ino_map-to-hide-lo_inod.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch76: kvm-virtiofsd-passthrough_ll-add-dirp_map-to-hide-lo_dir.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch77: kvm-virtiofsd-passthrough_ll-add-fd_map-to-hide-file-des.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch78: kvm-virtiofsd-passthrough_ll-add-fallback-for-racy-ops.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch79: kvm-virtiofsd-validate-path-components.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch80: kvm-virtiofsd-Plumb-fuse_bufvec-through-to-do_write_buf.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch81: kvm-virtiofsd-Pass-write-iov-s-all-the-way-through.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch82: kvm-virtiofsd-add-fuse_mbuf_iter-API.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch83: kvm-virtiofsd-validate-input-buffer-sizes-in-do_write_bu.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch84: kvm-virtiofsd-check-input-buffer-size-in-fuse_lowlevel.c.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch85: kvm-virtiofsd-prevent-.-escape-in-lo_do_lookup.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch86: kvm-virtiofsd-prevent-.-escape-in-lo_do_readdir.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch87: kvm-virtiofsd-use-proc-self-fd-O_PATH-file-descriptor.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch88: kvm-virtiofsd-sandbox-mount-namespace.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch89: kvm-virtiofsd-move-to-an-empty-network-namespace.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch90: kvm-virtiofsd-move-to-a-new-pid-namespace.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch91: kvm-virtiofsd-add-seccomp-whitelist.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch92: kvm-virtiofsd-Parse-flag-FUSE_WRITE_KILL_PRIV.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch93: kvm-virtiofsd-cap-ng-helpers.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch94: kvm-virtiofsd-Drop-CAP_FSETID-if-client-asked-for-it.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch95: kvm-virtiofsd-set-maximum-RLIMIT_NOFILE-limit.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch96: kvm-virtiofsd-fix-libfuse-information-leaks.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch97: kvm-virtiofsd-add-syslog-command-line-option.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch98: kvm-virtiofsd-print-log-only-when-priority-is-high-enoug.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch99: kvm-virtiofsd-Add-ID-to-the-log-with-FUSE_LOG_DEBUG-leve.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch100: kvm-virtiofsd-Add-timestamp-to-the-log-with-FUSE_LOG_DEB.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch101: kvm-virtiofsd-Handle-reinit.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch102: kvm-virtiofsd-Handle-hard-reboot.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch103: kvm-virtiofsd-Kill-threads-when-queues-are-stopped.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch104: kvm-vhost-user-Print-unexpected-slave-message-types.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch105: kvm-contrib-libvhost-user-Protect-slave-fd-with-mutex.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch106: kvm-virtiofsd-passthrough_ll-add-renameat2-support.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch107: kvm-virtiofsd-passthrough_ll-disable-readdirplus-on-cach.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch108: kvm-virtiofsd-passthrough_ll-control-readdirplus.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch109: kvm-virtiofsd-rename-unref_inode-to-unref_inode_lolocked.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch110: kvm-virtiofsd-fail-when-parent-inode-isn-t-known-in-lo_d.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch111: kvm-virtiofsd-extract-root-inode-init-into-setup_root.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch112: kvm-virtiofsd-passthrough_ll-clean-up-cache-related-opti.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch113: kvm-virtiofsd-passthrough_ll-use-hashtable.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch114: kvm-virtiofsd-Clean-up-inodes-on-destroy.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch115: kvm-virtiofsd-support-nanosecond-resolution-for-file-tim.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch116: kvm-virtiofsd-fix-error-handling-in-main.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch117: kvm-virtiofsd-cleanup-allocated-resource-in-se.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch118: kvm-virtiofsd-fix-memory-leak-on-lo.source.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch119: kvm-virtiofsd-add-helper-for-lo_data-cleanup.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch120: kvm-virtiofsd-Prevent-multiply-running-with-same-vhost_u.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch121: kvm-virtiofsd-enable-PARALLEL_DIROPS-during-INIT.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch122: kvm-virtiofsd-fix-incorrect-error-handling-in-lo_do_look.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch123: kvm-Virtiofsd-fix-memory-leak-on-fuse-queueinfo.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch124: kvm-virtiofsd-Support-remote-posix-locks.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch125: kvm-virtiofsd-use-fuse_lowlevel_is_virtio-in-fuse_sessio.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch126: kvm-virtiofsd-prevent-fv_queue_thread-vs-virtio_loop-rac.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch127: kvm-virtiofsd-make-lo_release-atomic.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch128: kvm-virtiofsd-prevent-races-with-lo_dirp_put.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch129: kvm-virtiofsd-rename-inode-refcount-to-inode-nlookup.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch130: kvm-libvhost-user-Fix-some-memtable-remap-cases.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch131: kvm-virtiofsd-passthrough_ll-fix-refcounting-on-remove-r.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch132: kvm-virtiofsd-introduce-inode-refcount-to-prevent-use-af.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch133: kvm-virtiofsd-do-not-always-set-FUSE_FLOCK_LOCKS.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch134: kvm-virtiofsd-convert-more-fprintf-and-perror-to-use-fus.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch135: kvm-virtiofsd-Reset-O_DIRECT-flag-during-file-open.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch136: kvm-virtiofsd-Fix-data-corruption-with-O_APPEND-write-in.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch137: kvm-virtiofsd-passthrough_ll-Use-cache_readdir-for-direc.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch138: kvm-virtiofsd-add-definition-of-fuse_buf_writev.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch139: kvm-virtiofsd-use-fuse_buf_writev-to-replace-fuse_buf_wr.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch140: kvm-virtiofsd-process-requests-in-a-thread-pool.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch141: kvm-virtiofsd-prevent-FUSE_INIT-FUSE_DESTROY-races.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch142: kvm-virtiofsd-fix-lo_destroy-resource-leaks.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch143: kvm-virtiofsd-add-thread-pool-size-NUM-option.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch144: kvm-virtiofsd-Convert-lo_destroy-to-take-the-lo-mutex-lo.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch145: kvm-virtiofsd-passthrough_ll-Pass-errno-to-fuse_reply_er.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch146: kvm-virtiofsd-stop-all-queue-threads-on-exit-in-virtio_l.patch
# For bz#1694164 - virtio-fs: host<->guest shared file system (qemu)
Patch147: kvm-virtiofsd-add-some-options-to-the-help-message.patch
# For bz#1776638 - Guest failed to boot up after system_reset  20 times
Patch148: kvm-ppc-Deassert-the-external-interrupt-pin-in-KVM-on-re.patch
# For bz#1776638 - Guest failed to boot up after system_reset  20 times
Patch149: kvm-xics-Don-t-deassert-outputs.patch
# For bz#1776638 - Guest failed to boot up after system_reset  20 times
Patch150: kvm-ppc-Don-t-use-CPUPPCState-irq_input_state-with-moder.patch
# For bz#1787395 - qemu-trace-stap list : TypeError: startswith first arg must be bytes or a tuple of bytes, not str
Patch151: kvm-trace-update-qemu-trace-stap-to-Python-3.patch
# For bz#1794503 - CVE-2020-1711 qemu-kvm: QEMU: block: iscsi: OOB heap access via an unexpected response of iSCSI Server [rhel-av-8.2.0]
Patch153: kvm-iscsi-Cap-block-count-from-GET-LBA-STATUS-CVE-2020-1.patch
# For bz#1787444 - Broken postcopy migration with vTPM device
Patch154: kvm-tpm-ppi-page-align-PPI-RAM.patch
# For bz#1647366 - aarch64: Add support for the kvm-no-adjvtime ARM CPU feature
Patch155: kvm-target-arm-kvm-trivial-Clean-up-header-documentation.patch
# For bz#1647366 - aarch64: Add support for the kvm-no-adjvtime ARM CPU feature
Patch156: kvm-target-arm-kvm64-kvm64-cpus-have-timer-registers.patch
# For bz#1647366 - aarch64: Add support for the kvm-no-adjvtime ARM CPU feature
Patch157: kvm-tests-arm-cpu-features-Check-feature-default-values.patch
# For bz#1647366 - aarch64: Add support for the kvm-no-adjvtime ARM CPU feature
Patch158: kvm-target-arm-kvm-Implement-virtual-time-adjustment.patch
# For bz#1647366 - aarch64: Add support for the kvm-no-adjvtime ARM CPU feature
Patch159: kvm-target-arm-cpu-Add-the-kvm-no-adjvtime-CPU-property.patch
# For bz#1529231 - [q35] VM hangs after migration with 200 vCPUs
Patch160: kvm-migration-Define-VMSTATE_INSTANCE_ID_ANY.patch
# For bz#1529231 - [q35] VM hangs after migration with 200 vCPUs
Patch161: kvm-migration-Change-SaveStateEntry.instance_id-into-uin.patch
# For bz#1529231 - [q35] VM hangs after migration with 200 vCPUs
Patch162: kvm-apic-Use-32bit-APIC-ID-for-migration-instance-ID.patch
# For bz#1779078 - RHVH 4.4: Failed to run VM on 4.3/4.4 engine (Exit message: the CPU is incompatible with host CPU: Host CPU does not provide required features: hle, rtm)
# For bz#1787291 - RHVH 4.4: Failed to run VM on 4.3/4.4 engine (Exit message: the CPU is incompatible with host CPU: Host CPU does not provide required features: hle, rtm) [rhel-8.1.0.z]
# For bz#1779078 - RHVH 4.4: Failed to run VM on 4.3/4.4 engine (Exit message: the CPU is incompatible with host CPU: Host CPU does not provide required features: hle, rtm)
# For bz#1779078 - RHVH 4.4: Failed to run VM on 4.3/4.4 engine (Exit message: the CPU is incompatible with host CPU: Host CPU does not provide required features: hle, rtm)
Patch163: kvm-i386-Resolve-CPU-models-to-v1-by-default.patch
# For bz#1781637 - qemu crashed when do mem and disk snapshot
Patch164: kvm-iotests-Support-job-complete-in-run_job.patch
# For bz#1781637 - qemu crashed when do mem and disk snapshot
Patch165: kvm-iotests-Create-VM.blockdev_create.patch
# For bz#1781637 - qemu crashed when do mem and disk snapshot
Patch166: kvm-block-Activate-recursively-even-for-already-active-n.patch
# For bz#1781637 - qemu crashed when do mem and disk snapshot
Patch167: kvm-hmp-Allow-using-qdev-ID-for-qemu-io-command.patch
# For bz#1781637 - qemu crashed when do mem and disk snapshot
Patch168: kvm-iotests-Test-external-snapshot-with-VM-state.patch
# For bz#1781637 - qemu crashed when do mem and disk snapshot
Patch169: kvm-iotests.py-Let-wait_migration-wait-even-more.patch
# For bz#1745606 - Qemu hang when do incremental live backup in transaction mode without bitmap
# For bz#1746217 - Src qemu hang when do storage vm migration during guest installation
# For bz#1773517 - Src qemu hang when do storage vm migration with dataplane enable
# For bz#1779036 - Qemu coredump when do snapshot in transaction mode with one snapshot path not exist
# For bz#1782111 - Qemu hang when do full backup on multi-disks with one job's 'job-id' missed in transaction mode(data plane enable)
# For bz#1782175 - Qemu core dump when add persistent bitmap(data plane enable)
# For bz#1783965 - Qemu core dump when do backup with sync: bitmap and no bitmap provided
Patch170: kvm-blockdev-fix-coding-style-issues-in-drive_backup_pre.patch
# For bz#1745606 - Qemu hang when do incremental live backup in transaction mode without bitmap
# For bz#1746217 - Src qemu hang when do storage vm migration during guest installation
# For bz#1773517 - Src qemu hang when do storage vm migration with dataplane enable
# For bz#1779036 - Qemu coredump when do snapshot in transaction mode with one snapshot path not exist
# For bz#1782111 - Qemu hang when do full backup on multi-disks with one job's 'job-id' missed in transaction mode(data plane enable)
# For bz#1782175 - Qemu core dump when add persistent bitmap(data plane enable)
# For bz#1783965 - Qemu core dump when do backup with sync: bitmap and no bitmap provided
Patch171: kvm-blockdev-unify-qmp_drive_backup-and-drive-backup-tra.patch
# For bz#1745606 - Qemu hang when do incremental live backup in transaction mode without bitmap
# For bz#1746217 - Src qemu hang when do storage vm migration during guest installation
# For bz#1773517 - Src qemu hang when do storage vm migration with dataplane enable
# For bz#1779036 - Qemu coredump when do snapshot in transaction mode with one snapshot path not exist
# For bz#1782111 - Qemu hang when do full backup on multi-disks with one job's 'job-id' missed in transaction mode(data plane enable)
# For bz#1782175 - Qemu core dump when add persistent bitmap(data plane enable)
# For bz#1783965 - Qemu core dump when do backup with sync: bitmap and no bitmap provided
Patch172: kvm-blockdev-unify-qmp_blockdev_backup-and-blockdev-back.patch
# For bz#1745606 - Qemu hang when do incremental live backup in transaction mode without bitmap
# For bz#1746217 - Src qemu hang when do storage vm migration during guest installation
# For bz#1773517 - Src qemu hang when do storage vm migration with dataplane enable
# For bz#1779036 - Qemu coredump when do snapshot in transaction mode with one snapshot path not exist
# For bz#1782111 - Qemu hang when do full backup on multi-disks with one job's 'job-id' missed in transaction mode(data plane enable)
# For bz#1782175 - Qemu core dump when add persistent bitmap(data plane enable)
# For bz#1783965 - Qemu core dump when do backup with sync: bitmap and no bitmap provided
Patch173: kvm-blockdev-honor-bdrv_try_set_aio_context-context-requ.patch
# For bz#1745606 - Qemu hang when do incremental live backup in transaction mode without bitmap
# For bz#1746217 - Src qemu hang when do storage vm migration during guest installation
# For bz#1773517 - Src qemu hang when do storage vm migration with dataplane enable
# For bz#1779036 - Qemu coredump when do snapshot in transaction mode with one snapshot path not exist
# For bz#1782111 - Qemu hang when do full backup on multi-disks with one job's 'job-id' missed in transaction mode(data plane enable)
# For bz#1782175 - Qemu core dump when add persistent bitmap(data plane enable)
# For bz#1783965 - Qemu core dump when do backup with sync: bitmap and no bitmap provided
Patch174: kvm-backup-top-Begin-drain-earlier.patch
# For bz#1745606 - Qemu hang when do incremental live backup in transaction mode without bitmap
# For bz#1746217 - Src qemu hang when do storage vm migration during guest installation
# For bz#1773517 - Src qemu hang when do storage vm migration with dataplane enable
# For bz#1779036 - Qemu coredump when do snapshot in transaction mode with one snapshot path not exist
# For bz#1782111 - Qemu hang when do full backup on multi-disks with one job's 'job-id' missed in transaction mode(data plane enable)
# For bz#1782175 - Qemu core dump when add persistent bitmap(data plane enable)
# For bz#1783965 - Qemu core dump when do backup with sync: bitmap and no bitmap provided
Patch175: kvm-block-backup-top-Don-t-acquire-context-while-droppin.patch
# For bz#1745606 - Qemu hang when do incremental live backup in transaction mode without bitmap
# For bz#1746217 - Src qemu hang when do storage vm migration during guest installation
# For bz#1773517 - Src qemu hang when do storage vm migration with dataplane enable
# For bz#1779036 - Qemu coredump when do snapshot in transaction mode with one snapshot path not exist
# For bz#1782111 - Qemu hang when do full backup on multi-disks with one job's 'job-id' missed in transaction mode(data plane enable)
# For bz#1782175 - Qemu core dump when add persistent bitmap(data plane enable)
# For bz#1783965 - Qemu core dump when do backup with sync: bitmap and no bitmap provided
Patch176: kvm-blockdev-Acquire-AioContext-on-dirty-bitmap-function.patch
# For bz#1745606 - Qemu hang when do incremental live backup in transaction mode without bitmap
# For bz#1746217 - Src qemu hang when do storage vm migration during guest installation
# For bz#1773517 - Src qemu hang when do storage vm migration with dataplane enable
# For bz#1779036 - Qemu coredump when do snapshot in transaction mode with one snapshot path not exist
# For bz#1782111 - Qemu hang when do full backup on multi-disks with one job's 'job-id' missed in transaction mode(data plane enable)
# For bz#1782175 - Qemu core dump when add persistent bitmap(data plane enable)
# For bz#1783965 - Qemu core dump when do backup with sync: bitmap and no bitmap provided
Patch177: kvm-blockdev-Return-bs-to-the-proper-context-on-snapshot.patch
# For bz#1745606 - Qemu hang when do incremental live backup in transaction mode without bitmap
# For bz#1746217 - Src qemu hang when do storage vm migration during guest installation
# For bz#1773517 - Src qemu hang when do storage vm migration with dataplane enable
# For bz#1779036 - Qemu coredump when do snapshot in transaction mode with one snapshot path not exist
# For bz#1782111 - Qemu hang when do full backup on multi-disks with one job's 'job-id' missed in transaction mode(data plane enable)
# For bz#1782175 - Qemu core dump when add persistent bitmap(data plane enable)
# For bz#1783965 - Qemu core dump when do backup with sync: bitmap and no bitmap provided
Patch178: kvm-iotests-Test-handling-of-AioContexts-with-some-block.patch
# For bz#1801320 - aarch64: backport query-cpu-model-expansion and adjvtime document fixes
Patch179: kvm-target-arm-monitor-query-cpu-model-expansion-crashed.patch
# For bz#1801320 - aarch64: backport query-cpu-model-expansion and adjvtime document fixes
Patch180: kvm-docs-arm-cpu-features-Make-kvm-no-adjvtime-comment-c.patch
# For bz#1796240 - Enable hw accelerated cache-count-flush by default for POWER9 DD2.3 cpus
Patch181: kvm-spapr-Enable-DD2.3-accelerated-count-cache-flush-in-.patch
# For bz#1798994 - CVE-2020-8608 qemu-kvm: QEMU: Slirp: potential OOB access due to unsafe snprintf() usages [rhel-av-8.2.0]
Patch182: kvm-util-add-slirp_fmt-helpers.patch
# For bz#1798994 - CVE-2020-8608 qemu-kvm: QEMU: Slirp: potential OOB access due to unsafe snprintf() usages [rhel-av-8.2.0]
Patch183: kvm-tcp_emu-fix-unsafe-snprintf-usages.patch
# For bz#1791590 - [Q35] No "DEVICE_DELETED" event in qmp after unplug virtio-net-pci device
Patch184: kvm-virtio-add-ability-to-delete-vq-through-a-pointer.patch
# For bz#1791590 - [Q35] No "DEVICE_DELETED" event in qmp after unplug virtio-net-pci device
Patch185: kvm-virtio-make-virtio_delete_queue-idempotent.patch
# For bz#1791590 - [Q35] No "DEVICE_DELETED" event in qmp after unplug virtio-net-pci device
Patch186: kvm-virtio-reset-region-cache-when-on-queue-deletion.patch
# For bz#1791590 - [Q35] No "DEVICE_DELETED" event in qmp after unplug virtio-net-pci device
Patch187: kvm-virtio-net-delete-also-control-queue-when-TX-RX-dele.patch
# For bz#1805334 - vhost-user/50-qemu-gpu.json is not valid JSON
Patch188: kvm-vhost-user-gpu-Drop-trailing-json-comma.patch
# For bz#1791648 - [RFE] Passthrough host CPU microcode version to KVM guest if using CPU passthrough
Patch189: kvm-target-i386-kvm-initialize-feature-MSRs-very-early.patch
# For bz#1791648 - [RFE] Passthrough host CPU microcode version to KVM guest if using CPU passthrough
Patch190: kvm-target-i386-add-a-ucode-rev-property.patch
# For bz#1791648 - [RFE] Passthrough host CPU microcode version to KVM guest if using CPU passthrough
Patch191: kvm-target-i386-kvm-initialize-microcode-revision-from-K.patch
# For bz#1791648 - [RFE] Passthrough host CPU microcode version to KVM guest if using CPU passthrough
Patch192: kvm-target-i386-fix-TCG-UCODE_REV-access.patch
# For bz#1791648 - [RFE] Passthrough host CPU microcode version to KVM guest if using CPU passthrough
Patch193: kvm-target-i386-check-for-availability-of-MSR_IA32_UCODE.patch
# For bz#1791648 - [RFE] Passthrough host CPU microcode version to KVM guest if using CPU passthrough
Patch194: kvm-target-i386-enable-monitor-and-ucode-revision-with-c.patch
# For bz#1703907 - [upstream]QEMU coredump when converting to qcow2: external data file images on block devices with copy_offloading
Patch195: kvm-qcow2-Fix-qcow2_alloc_cluster_abort-for-external-dat.patch
# For bz#1794692 - Mirror block job stops making progress
Patch196: kvm-mirror-Store-MirrorOp.co-for-debuggability.patch
# For bz#1794692 - Mirror block job stops making progress
Patch197: kvm-mirror-Don-t-let-an-operation-wait-for-itself.patch
# For bz#1782529 - Windows Update Enablement with default smbios strings in qemu
Patch198: kvm-hw-smbios-set-new-default-SMBIOS-fields-for-Windows-.patch
# For bz#1738451 - qemu on src host core dump after set multifd-channels and do migration twice (first migration execute migrate_cancel)
Patch199: kvm-migration-multifd-clean-pages-after-filling-packet.patch
# For bz#1738451 - qemu on src host core dump after set multifd-channels and do migration twice (first migration execute migrate_cancel)
Patch200: kvm-migration-Make-sure-that-we-don-t-call-write-in-case.patch
# For bz#1738451 - qemu on src host core dump after set multifd-channels and do migration twice (first migration execute migrate_cancel)
Patch201: kvm-migration-multifd-fix-nullptr-access-in-terminating-.patch
# For bz#1738451 - qemu on src host core dump after set multifd-channels and do migration twice (first migration execute migrate_cancel)
Patch202: kvm-migration-multifd-fix-destroyed-mutex-access-in-term.patch
# For bz#1738451 - qemu on src host core dump after set multifd-channels and do migration twice (first migration execute migrate_cancel)
Patch203: kvm-multifd-Make-sure-that-we-don-t-do-any-IO-after-an-e.patch
# For bz#1738451 - qemu on src host core dump after set multifd-channels and do migration twice (first migration execute migrate_cancel)
Patch204: kvm-qemu-file-Don-t-do-IO-after-shutdown.patch
# For bz#1738451 - qemu on src host core dump after set multifd-channels and do migration twice (first migration execute migrate_cancel)
Patch205: kvm-migration-Don-t-send-data-if-we-have-stopped.patch
# For bz#1738451 - qemu on src host core dump after set multifd-channels and do migration twice (first migration execute migrate_cancel)
Patch206: kvm-migration-Create-migration_is_running.patch
# For bz#1738451 - qemu on src host core dump after set multifd-channels and do migration twice (first migration execute migrate_cancel)
Patch207: kvm-migration-multifd-fix-nullptr-access-in-multifd_send.patch
# For bz#1738451 - qemu on src host core dump after set multifd-channels and do migration twice (first migration execute migrate_cancel)
Patch208: kvm-migration-Maybe-VM-is-paused-when-migration-is-cance.patch
# For bz#1797064 - virtiofsd: Fixes
Patch209: kvm-virtiofsd-Remove-fuse_req_getgroups.patch
# For bz#1797064 - virtiofsd: Fixes
Patch210: kvm-virtiofsd-fv_create_listen_socket-error-path-socket-.patch
# For bz#1797064 - virtiofsd: Fixes
Patch211: kvm-virtiofsd-load_capng-missing-unlock.patch
# For bz#1797064 - virtiofsd: Fixes
Patch212: kvm-virtiofsd-do_read-missing-NULL-check.patch
# For bz#1797064 - virtiofsd: Fixes
Patch213: kvm-tools-virtiofsd-fuse_lowlevel-Fix-fuse_out_header-er.patch
# For bz#1797064 - virtiofsd: Fixes
Patch214: kvm-virtiofsd-passthrough_ll-cleanup-getxattr-listxattr.patch
# For bz#1797064 - virtiofsd: Fixes
Patch215: kvm-virtiofsd-Fix-xattr-operations.patch
# For bz#1640894 - Fix generic file creation fallback for qemu-img nvme:// image creation support
Patch216: kvm-block-nbd-Fix-hang-in-.bdrv_close.patch
# For bz#1640894 - Fix generic file creation fallback for qemu-img nvme:// image creation support
Patch217: kvm-block-Generic-file-creation-fallback.patch
# For bz#1640894 - Fix generic file creation fallback for qemu-img nvme:// image creation support
Patch218: kvm-file-posix-Drop-hdev_co_create_opts.patch
# For bz#1640894 - Fix generic file creation fallback for qemu-img nvme:// image creation support
Patch219: kvm-iscsi-Drop-iscsi_co_create_opts.patch
# For bz#1640894 - Fix generic file creation fallback for qemu-img nvme:// image creation support
Patch220: kvm-iotests-Add-test-for-image-creation-fallback.patch
# For bz#1640894 - Fix generic file creation fallback for qemu-img nvme:// image creation support
Patch221: kvm-block-Fix-leak-in-bdrv_create_file_fallback.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch222: kvm-iotests-Use-complete_and_wait-in-155.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch223: kvm-block-Introduce-bdrv_reopen_commit_post-step.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch224: kvm-block-qcow2-Move-bitmap-reopen-into-bdrv_reopen_comm.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch225: kvm-iotests-Refactor-blockdev-reopen-test-for-iothreads.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch226: kvm-block-bdrv_reopen-with-backing-file-in-different-Aio.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch227: kvm-block-Versioned-x-blockdev-reopen-API-with-feature-f.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch228: kvm-block-Make-bdrv_get_cumulative_perm-public.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch229: kvm-block-Relax-restrictions-for-blockdev-snapshot.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch230: kvm-iotests-Fix-run_job-with-use_log-False.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch231: kvm-iotests-Test-mirror-with-temporarily-disabled-target.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch232: kvm-block-Fix-cross-AioContext-blockdev-snapshot.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch233: kvm-iotests-Add-iothread-cases-to-155.patch
# For bz#1790482 - bitmaps in backing images can't be modified
# For bz#1805143 - allow late/lazy opening of backing chain for shallow blockdev-mirror
Patch234: kvm-qapi-Add-allow-write-only-overlay-feature-for-blockd.patch
# For bz#1809380 - guest hang during reboot process after migration from RHEl7.8 to RHEL8.2.0.
Patch235: kvm-exec-rom_reset-Free-rom-data-during-inmigrate-skip.patch
# For bz#1814336 - [POWER9] QEMU migration-test triggers a kernel warning
Patch236: kvm-migration-Rate-limit-inside-host-pages.patch
# For bz#1811670 - Unneeded qemu-guest-agent dependency on pixman
Patch237: kvm-build-sys-do-not-make-qemu-ga-link-with-pixman.patch
# For bz#1816007 - qemu-img convert failed to convert with block device as target
Patch238: kvm-block-pass-BlockDriver-reference-to-the-.bdrv_co_cre.patch
# For bz#1816007 - qemu-img convert failed to convert with block device as target
Patch239: kvm-block-trickle-down-the-fallback-image-creation-funct.patch
# For bz#1794692 - Mirror block job stops making progress
Patch240: kvm-Revert-mirror-Don-t-let-an-operation-wait-for-itself.patch
# For bz#1794692 - Mirror block job stops making progress
Patch241: kvm-mirror-Wait-only-for-in-flight-operations.patch
# For bz#1817621 - Crash and deadlock with block jobs when using io-threads
Patch242: kvm-job-take-each-job-s-lock-individually-in-job_txn_app.patch
# For bz#1817621 - Crash and deadlock with block jobs when using io-threads
Patch243: kvm-replication-assert-we-own-context-before-job_cancel_.patch
# For bz#1817621 - Crash and deadlock with block jobs when using io-threads
Patch244: kvm-backup-don-t-acquire-aio_context-in-backup_clean.patch
# For bz#1817621 - Crash and deadlock with block jobs when using io-threads
Patch245: kvm-block-backend-Reorder-flush-pdiscard-function-defini.patch
# For bz#1817621 - Crash and deadlock with block jobs when using io-threads
Patch246: kvm-block-Increase-BB.in_flight-for-coroutine-and-sync-i.patch
# For bz#1817621 - Crash and deadlock with block jobs when using io-threads
Patch247: kvm-block-Fix-blk-in_flight-during-blk_wait_while_draine.patch
# For bz#1822682 - QEMU-4.2 fails to start a VM on Azure
Patch248: kvm-target-i386-do-not-set-unsupported-VMX-secondary-exe.patch
# For bz#1790899 - [RFE] QEMU devices should have the option to enable/disable hotplug/unplug
Patch249: kvm-pcie_root_port-Add-hotplug-disabling-option.patch
# For bz#1816793 - 'edid' compat handling missing for virtio-gpu-ccw
Patch250: kvm-compat-disable-edid-for-virtio-gpu-ccw.patch
# For bz#1820531 - qmp command query-pci get wrong result after hotplug device under hotplug=off controller
Patch251: kvm-hw-pci-pcie-Forbid-hot-plug-if-it-s-disabled-on-the-.patch
# For bz#1820531 - qmp command query-pci get wrong result after hotplug device under hotplug=off controller
Patch252: kvm-hw-pci-pcie-Replace-PCI_DEVICE-casts-with-existing-v.patch
# For bz#1817445 - CVE-2020-10717 virt:8.2/qemu-kvm: QEMU: virtiofsd: guest may open maximum file descriptor to cause DoS [rhel-av-8]
Patch253: kvm-tools-virtiofsd-passthrough_ll-Fix-double-close.patch
# For bz#1817445 - CVE-2020-10717 virt:8.2/qemu-kvm: QEMU: virtiofsd: guest may open maximum file descriptor to cause DoS [rhel-av-8]
Patch254: kvm-virtiofsd-add-rlimit-nofile-NUM-option.patch
# For bz#1817445 - CVE-2020-10717 virt:8.2/qemu-kvm: QEMU: virtiofsd: guest may open maximum file descriptor to cause DoS [rhel-av-8]
Patch255: kvm-virtiofsd-stay-below-fs.file-max-sysctl-value-CVE-20.patch
# For bz#1817445 - CVE-2020-10717 virt:8.2/qemu-kvm: QEMU: virtiofsd: guest may open maximum file descriptor to cause DoS [rhel-av-8]
Patch256: kvm-virtiofsd-jail-lo-proc_self_fd.patch
# For bz#1817445 - CVE-2020-10717 virt:8.2/qemu-kvm: QEMU: virtiofsd: guest may open maximum file descriptor to cause DoS [rhel-av-8]
Patch257: kvm-virtiofsd-Show-submounts.patch
# For bz#1817445 - CVE-2020-10717 virt:8.2/qemu-kvm: QEMU: virtiofsd: guest may open maximum file descriptor to cause DoS [rhel-av-8]
Patch258: kvm-virtiofsd-only-retain-file-system-capabilities.patch
# For bz#1817445 - CVE-2020-10717 virt:8.2/qemu-kvm: QEMU: virtiofsd: guest may open maximum file descriptor to cause DoS [rhel-av-8]
Patch259: kvm-virtiofsd-drop-all-capabilities-in-the-wait-parent-p.patch
# For bz#1775462 - Creating luks-inside-qcow2 images with cluster_size=2k/4k will get a corrupted image
Patch260: kvm-block-always-fill-entire-LUKS-header-space-with-zero.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch261: kvm-numa-remove-not-needed-check.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch262: kvm-numa-properly-check-if-numa-is-supported.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch263: kvm-numa-Extend-CLI-to-provide-initiator-information-for.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch264: kvm-numa-Extend-CLI-to-provide-memory-latency-and-bandwi.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch265: kvm-numa-Extend-CLI-to-provide-memory-side-cache-informa.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch266: kvm-hmat-acpi-Build-Memory-Proximity-Domain-Attributes-S.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch267: kvm-hmat-acpi-Build-System-Locality-Latency-and-Bandwidt.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch268: kvm-hmat-acpi-Build-Memory-Side-Cache-Information-Struct.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch269: kvm-tests-numa-Add-case-for-QMP-build-HMAT.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch270: kvm-tests-bios-tables-test-add-test-cases-for-ACPI-HMAT.patch
# For bz#1600217 - [Intel 8.2.1 FEAT] KVM ACPI HMAT support - qemu-kvm  Fast Train
Patch271: kvm-ACPI-add-expected-files-for-HMAT-tests-acpihmat.patch
# For bz#1813940 - CVE-2020-10702 virt:8.1/qemu-kvm: qemu: weak signature generation in Pointer Authentication support for ARM [rhel-av-8]
Patch272: kvm-target-arm-Fix-PAuth-sbox-functions.patch
# For bz#1749737 - CVE-2019-15890 qemu-kvm: QEMU: Slirp: use-after-free during packet reassembly [rhel-av-8]
Patch273: kvm-Don-t-leak-memory-when-reallocation-fails.patch
# For bz#1749737 - CVE-2019-15890 qemu-kvm: QEMU: Slirp: use-after-free during packet reassembly [rhel-av-8]
Patch274: kvm-Replace-remaining-malloc-free-user-with-glib.patch
# For bz#1839030 - RFE: enable the "memfd" memory backend
Patch275: kvm-Revert-RHEL-disable-hostmem-memfd.patch
# For bz#1827630 - volume creation leaving uncleaned stuff behind on error (vol-clone/libvirt/qemu-kvm)
Patch276: kvm-block-introducing-bdrv_co_delete_file-interface.patch
# For bz#1827630 - volume creation leaving uncleaned stuff behind on error (vol-clone/libvirt/qemu-kvm)
Patch277: kvm-block.c-adding-bdrv_co_delete_file.patch
# For bz#1827630 - volume creation leaving uncleaned stuff behind on error (vol-clone/libvirt/qemu-kvm)
Patch278: kvm-crypto.c-cleanup-created-file-when-block_crypto_co_c.patch
# For bz#1513681 - [Intel 8.2.1 Feat] qemu-kvm PT VMX -- Fast Train
Patch279: kvm-target-i386-set-the-CPUID-level-to-0x14-on-old-machi.patch
# For bz#1841038 - qemu-img: /var/tmp/v2vovl56bced.qcow2: CURL: Error opening file: Server does not support 'range' (byte ranges) with HTTP/2 server in VMware ESXi 7
Patch280: kvm-block-curl-HTTP-header-fields-allow-whitespace-aroun.patch
# For bz#1841038 - qemu-img: /var/tmp/v2vovl56bced.qcow2: CURL: Error opening file: Server does not support 'range' (byte ranges) with HTTP/2 server in VMware ESXi 7
Patch281: kvm-block-curl-HTTP-header-field-names-are-case-insensit.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch282: kvm-MAINTAINERS-fix-qcow2-bitmap.c-under-Dirty-Bitmaps-h.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch283: kvm-iotests-Let-_make_test_img-parse-its-parameters.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch284: kvm-qemu_img-add-cvtnum_full-to-print-error-reports.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch285: kvm-block-Make-it-easier-to-learn-which-BDS-support-bitm.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch286: kvm-blockdev-Promote-several-bitmap-functions-to-non-sta.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch287: kvm-blockdev-Split-off-basic-bitmap-operations-for-qemu-.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch288: kvm-qemu-img-Add-bitmap-sub-command.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch289: kvm-iotests-Fix-test-178.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch290: kvm-qcow2-Expose-bitmaps-size-during-measure.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch291: kvm-qemu-img-Factor-out-code-for-merging-bitmaps.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch292: kvm-qemu-img-Add-convert-bitmaps-option.patch
# For bz#1779893 - RFE: Copy bitmaps with qemu-img convert
# For bz#1779904 - RFE: ability to estimate bitmap space utilization for qcow2
Patch293: kvm-iotests-Add-test-291-to-for-qemu-img-bitmap-coverage.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch294: kvm-iotests-Add-more-skip_if_unsupported-statements-to-t.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch295: kvm-iotests-don-t-use-format-for-drive_add.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch296: kvm-iotests-055-refactor-compressed-backup-to-vmdk.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch297: kvm-iotests-055-skip-vmdk-target-tests-if-vmdk-is-not-wh.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch298: kvm-backup-Improve-error-for-bdrv_getlength-failure.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch299: kvm-backup-Make-sure-that-source-and-target-size-match.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch300: kvm-iotests-Backup-with-different-source-target-size.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch301: kvm-iotests-109-Don-t-mirror-with-mismatched-size.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch302: kvm-iotests-229-Use-blkdebug-to-inject-an-error.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch303: kvm-mirror-Make-sure-that-source-and-target-size-match.patch
# For bz#1778593 - Qemu coredump when backup to a existing small size image
Patch304: kvm-iotests-Mirror-with-different-source-target-size.patch
# For bz#1841068 - RFE: please support the "ramfb" display device model
Patch305: kvm-enable-ramfb.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch306: kvm-block-Add-flags-to-BlockDriver.bdrv_co_truncate.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch307: kvm-block-Add-flags-to-bdrv-_co-_truncate.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch308: kvm-block-backend-Add-flags-to-blk_truncate.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch309: kvm-qcow2-Support-BDRV_REQ_ZERO_WRITE-for-truncate.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch310: kvm-raw-format-Support-BDRV_REQ_ZERO_WRITE-for-truncate.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch311: kvm-file-posix-Support-BDRV_REQ_ZERO_WRITE-for-truncate.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch312: kvm-block-truncate-Don-t-make-backing-file-data-visible.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch313: kvm-iotests-Add-qemu_io_log.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch314: kvm-iotests-Filter-testfiles-out-in-filter_img_info.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch315: kvm-iotests-Test-committing-to-short-backing-file.patch
# For bz#1780574 - Data corruption with resizing short overlay over longer backing files
Patch316: kvm-qcow2-Forward-ZERO_WRITE-flag-for-full-preallocation.patch
# For bz#1769912 - [Intel 8.2.1 Feature] introduce Cooper Lake cpu model - qemu-kvm Fast Train
Patch317: kvm-i386-Add-MSR-feature-bit-for-MDS-NO.patch
# For bz#1769912 - [Intel 8.2.1 Feature] introduce Cooper Lake cpu model - qemu-kvm Fast Train
Patch318: kvm-i386-Add-macro-for-stibp.patch
# For bz#1769912 - [Intel 8.2.1 Feature] introduce Cooper Lake cpu model - qemu-kvm Fast Train
Patch319: kvm-target-i386-Add-new-bit-definitions-of-MSR_IA32_ARCH.patch
# For bz#1769912 - [Intel 8.2.1 Feature] introduce Cooper Lake cpu model - qemu-kvm Fast Train
Patch320: kvm-i386-Add-new-CPU-model-Cooperlake.patch
# For bz#1769912 - [Intel 8.2.1 Feature] introduce Cooper Lake cpu model - qemu-kvm Fast Train
Patch321: kvm-target-i386-Add-missed-features-to-Cooperlake-CPU-mo.patch
# For bz#1845384 - CVE-2020-10761 virt:8.2/qemu-kvm: QEMU: nbd: reachable assertion failure in nbd_negotiate_send_rep_verr via remote client [rhel-av-8]
Patch322: kvm-nbd-server-Avoid-long-error-message-assertions-CVE-2.patch
# For bz#1845384 - CVE-2020-10761 virt:8.2/qemu-kvm: QEMU: nbd: reachable assertion failure in nbd_negotiate_send_rep_verr via remote client [rhel-av-8]
Patch323: kvm-block-Call-attention-to-truncation-of-long-NBD-expor.patch
# For bz#1820531 - qmp command query-pci get wrong result after hotplug device under hotplug=off controller
Patch324: kvm-hw-pci-pcie-Move-hot-plug-capability-check-to-pre_pl.patch
# For bz#1840342 - [Intel 8.2.1 Bug] qemu-kvm Add ARCH_CAPABILITIES to Icelake-Server cpu model - Fast Train
Patch325: kvm-target-i386-Add-ARCH_CAPABILITIES-related-bits-into-.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch327: kvm-linux-headers-update-kvm.h.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch328: kvm-s390x-Don-t-do-a-normal-reset-on-the-initial-cpu.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch329: kvm-s390x-Move-reset-normal-to-shared-reset-handler.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch330: kvm-s390x-Move-initial-reset.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch331: kvm-s390x-Move-clear-reset.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch332: kvm-s390x-Beautify-diag308-handling.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch333: kvm-s390x-kvm-Make-kvm_sclp_service_call-void.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch334: kvm-s390x-Fix-cpu-normal-reset-ri-clearing.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch335: kvm-tests-boot-sector-Fix-the-bad-s390x-assembler-code.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch336: kvm-pc-bios-s390x-Fix-reset-psw-mask.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch337: kvm-s390x-Properly-fetch-and-test-the-short-psw-on-diag3.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch338: kvm-s390x-Rename-and-use-constants-for-short-PSW-address.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch339: kvm-s390x-Add-missing-vcpu-reset-functions.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch340: kvm-s390-sclp-improve-special-wait-psw-logic.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch341: kvm-pc-bios-s390x-Save-iplb-location-in-lowcore.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch342: kvm-s390-ipl-sync-back-loadparm.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch343: kvm-s390-ipl-fix-off-by-one-in-update_machine_ipl_proper.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch344: kvm-s390x-ipl-Consolidate-iplb-validity-check-into-one-f.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch345: kvm-vhost-correctly-turn-on-VIRTIO_F_IOMMU_PLATFORM.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch346: kvm-s390x-Move-diagnose-308-subcodes-and-rcs-into-ipl.h.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch347: kvm-s390x-protvirt-Support-unpack-facility.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch348: kvm-s390x-protvirt-Add-migration-blocker.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch349: kvm-s390x-protvirt-Inhibit-balloon-when-switching-to-pro.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch350: kvm-s390x-protvirt-KVM-intercept-changes.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch351: kvm-s390x-Add-SIDA-memory-ops.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch352: kvm-s390x-protvirt-Move-STSI-data-over-SIDAD.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch353: kvm-s390x-protvirt-SCLP-interpretation.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch354: kvm-s390x-protvirt-Set-guest-IPL-PSW.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch355: kvm-s390x-protvirt-Move-diag-308-data-over-SIDA.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch356: kvm-s390x-protvirt-Disable-address-checks-for-PV-guest-I.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch357: kvm-s390x-protvirt-Move-IO-control-structures-over-SIDA.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch358: kvm-s390x-protvirt-Handle-SIGP-store-status-correctly.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch359: kvm-s390x-Add-unpack-facility-feature-to-GA1.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch360: kvm-s390x-protvirt-Fix-stray-error_report_err-in-s390_ma.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch361: kvm-s390x-pv-Retry-ioctls-on-EINTR.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch362: kvm-s390x-s390-virtio-ccw-Fix-build-on-systems-without-K.patch
# For bz#1828317 - [IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part
Patch363: kvm-s390x-pv-Fix-KVM_PV_PREP_RESET-command-wrapper-name.patch
# For bz#1756946 - [zKVM] Re-enable KVM_CAP_S390_AIS for new machine types
Patch364: kvm-spapr-Pass-the-maximum-number-of-vCPUs-to-the-KVM-in.patch
# For bz#1756946 - [zKVM] Re-enable KVM_CAP_S390_AIS for new machine types
Patch365: kvm-introduce-kvm_kernel_irqchip_-functions.patch
# For bz#1756946 - [zKVM] Re-enable KVM_CAP_S390_AIS for new machine types
Patch366: kvm-target-s390x-kvm-Enable-adapter-interruption-suppres.patch
# For bz#1823275 - RHEL8.1 - GPU Numa nodes not visible in guest post the pass-through.
Patch367: kvm-vfio-nvlink-Remove-exec-permission-to-avoid-SELinux-.patch
# For bz#1660916 - [IBM 8.3 FEAT] KVM s390x: DASD passthrough support - qemu part
Patch368: kvm-vfio-ccw-Fix-error-message.patch
# For bz#1660916 - [IBM 8.3 FEAT] KVM s390x: DASD passthrough support - qemu part
Patch369: kvm-vfio-ccw-allow-non-prefetch-ORBs.patch
# For bz#1660916 - [IBM 8.3 FEAT] KVM s390x: DASD passthrough support - qemu part
Patch370: kvm-linux-headers-support-vfio-ccw-features.patch
# For bz#1660916 - [IBM 8.3 FEAT] KVM s390x: DASD passthrough support - qemu part
Patch371: kvm-vfio-ccw-Refactor-cleanup-of-regions.patch
# For bz#1660916 - [IBM 8.3 FEAT] KVM s390x: DASD passthrough support - qemu part
Patch372: kvm-vfio-ccw-Add-support-for-the-schib-region.patch
# For bz#1660916 - [IBM 8.3 FEAT] KVM s390x: DASD passthrough support - qemu part
Patch373: kvm-vfio-ccw-Refactor-ccw-irq-handler.patch
# For bz#1660916 - [IBM 8.3 FEAT] KVM s390x: DASD passthrough support - qemu part
Patch374: kvm-s390x-css-Refactor-the-css_queue_crw-routine.patch
# For bz#1660916 - [IBM 8.3 FEAT] KVM s390x: DASD passthrough support - qemu part
Patch375: kvm-vfio-ccw-Add-support-for-the-CRW-region-and-IRQ.patch
# For bz#1660916 - [IBM 8.3 FEAT] KVM s390x: DASD passthrough support - qemu part
Patch376: kvm-config-enable-VFIO_CCW.patch
Patch377: kvm-virtio-blk-Refactor-the-code-that-processes-queued-r.patch
Patch378: kvm-virtio-blk-On-restart-process-queued-requests-in-the.patch
# For bz#1838070 - CVE-2020-1983 virt:rhel/qemu-kvm: QEMU: slirp: use-after-free in ip_reass() function in ip_input.c [rhel-8]
Patch379: kvm-Fix-use-afte-free-in-ip_reass-CVE-2020-1983.patch
# For bz#1835390 - qemu promote host does not support 'EDX.npt' and 'EDX.nrip-save' when test with Q35 machine type on EPYC host
Patch380: kvm-i386-Mask-SVM-features-if-nested-SVM-is-disabled.patch
# For bz#1854092 - kvm-unit-tests: tcg smp FAIL
Patch381: kvm-s390x-sigp-Fix-sense-running-reporting.patch
# For bz#1854092 - kvm-unit-tests: tcg smp FAIL
Patch382: kvm-s390x-tcg-clear-local-interrupts-on-reset-normal.patch
Patch383: kvm-virtio-net-fix-removal-of-failover-device.patch
# For bz#1807057 - qcow2_alloc_cluster_abort() frees preallocated zero clusters
Patch384: kvm-qcow2-Fix-alloc_cluster_abort-for-pre-existing-clust.patch
# For bz#1807057 - qcow2_alloc_cluster_abort() frees preallocated zero clusters
Patch385: kvm-iotests-026-Test-EIO-on-preallocated-zero-cluster.patch
# For bz#1807057 - qcow2_alloc_cluster_abort() frees preallocated zero clusters
Patch386: kvm-iotests-026-Test-EIO-on-allocation-in-a-data-file.patch
# For bz#1807057 - qcow2_alloc_cluster_abort() frees preallocated zero clusters
Patch387: kvm-iotests-026-Move-v3-exclusive-test-to-new-file.patch
# For bz#1780385 - [RFE] AMD EPYC-Rome support for KVM / QEMU guest
Patch388: kvm-i386-Add-2nd-Generation-AMD-EPYC-processors.patch
# For bz#1689341 - QEMU should report an error and return failure if AMD SEV is not enabled in the kernel
Patch389: kvm-target-i386-sev-provide-proper-error-reporting-for-q.patch
# For bz#1689341 - QEMU should report an error and return failure if AMD SEV is not enabled in the kernel
Patch390: kvm-target-i386-sev-fail-query-sev-capabilities-if-QEMU-.patch
# For bz#1863034 - RHEL8.3 Beta - Secure Execution: Unable to start Qemu with "-no-reboot" option (qemu-kvm)
Patch391: kvm-s390x-protvirt-allow-to-IPL-secure-guests-with-no-re.patch
# For bz#1869710 - CVE-2020-14364 qemu-kvm: QEMU: usb: out-of-bounds r/w access issue while processing usb packets [rhel-8.3.0]
Patch392: kvm-usb-fix-setup_len-init-CVE-2020-14364.patch
# For bz#1755075 - [qemu-guest-agent] fsinfo doesn't return disk info on s390x
Patch393: kvm-qga-commands-posix-Rework-build_guest_fsinfo_for_rea.patch
# For bz#1755075 - [qemu-guest-agent] fsinfo doesn't return disk info on s390x
Patch394: kvm-qga-commands-posix-Move-the-udev-code-from-the-pci-t.patch
# For bz#1755075 - [qemu-guest-agent] fsinfo doesn't return disk info on s390x
Patch395: kvm-qga-commands-posix-Support-fsinfo-for-non-PCI-virtio.patch
# For bz#1874780 - -prom-env does not validate input
Patch396: kvm-nvram-Exit-QEMU-if-NVRAM-cannot-contain-all-prom-env.patch
# For bz#1846975 - Failed to boot up a s390x guest with virtio-blk-ccw if attaching a virtio-scsi-ccw bus in previous
Patch397: kvm-pc-bios-s390-ccw-Makefile-Compile-with-std-gnu99-fwr.patch
# For bz#1846975 - Failed to boot up a s390x guest with virtio-blk-ccw if attaching a virtio-scsi-ccw bus in previous
Patch398: kvm-pc-bios-s390-ccw-Move-ipl-related-code-from-main-int.patch
# For bz#1846975 - Failed to boot up a s390x guest with virtio-blk-ccw if attaching a virtio-scsi-ccw bus in previous
Patch399: kvm-pc-bios-s390-ccw-Introduce-ENODEV-define-and-remove-.patch
# For bz#1846975 - Failed to boot up a s390x guest with virtio-blk-ccw if attaching a virtio-scsi-ccw bus in previous
Patch400: kvm-pc-bios-s390-ccw-Move-the-inner-logic-of-find_subch-.patch
# For bz#1846975 - Failed to boot up a s390x guest with virtio-blk-ccw if attaching a virtio-scsi-ccw bus in previous
Patch401: kvm-pc-bios-s390-ccw-Do-not-bail-out-early-if-not-findin.patch
# For bz#1846975 - Failed to boot up a s390x guest with virtio-blk-ccw if attaching a virtio-scsi-ccw bus in previous
Patch402: kvm-pc-bios-s390-ccw-Scan-through-all-devices-if-no-boot.patch
# For bz#1846975 - Failed to boot up a s390x guest with virtio-blk-ccw if attaching a virtio-scsi-ccw bus in previous
Patch403: kvm-pc-bios-s390-ccw-Allow-booting-in-case-the-first-vir.patch
# For bz#1846975 - Failed to boot up a s390x guest with virtio-blk-ccw if attaching a virtio-scsi-ccw bus in previous
Patch404: kvm-pc-bios-s390-ccw-main-Remove-superfluous-call-to-ena.patch
# For bz#1846975 - Failed to boot up a s390x guest with virtio-blk-ccw if attaching a virtio-scsi-ccw bus in previous
Patch405: kvm-aio-posix-completely-stop-polling-when-disabled.patch
# For bz#1884531 - qemu-ga aborts after guest-shutdown command
Patch406: kvm-qga-fix-assert-regression-on-guest-shutdown.patch
# For bz#1857733 - [IBM 8.4 FEAT] KVM: Add support for virtio-fs on s390x - qemu part
Patch407: kvm-libvhost-user-handle-endianness-as-mandated-by-the-s.patch
# For bz#1857733 - [IBM 8.4 FEAT] KVM: Add support for virtio-fs on s390x - qemu part
Patch408: kvm-virtio-add-vhost-user-fs-ccw-device.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch410: kvm-s390x-sclp.c-remove-unneeded-label-in-sclp_service_c.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch411: kvm-s390-sclp-get-machine-once-during-read-scp-cpu-info.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch412: kvm-s390-sclp-rework-sclp-boundary-checks.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch413: kvm-s390-sclp-read-sccb-from-mem-based-on-provided-lengt.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch414: kvm-s390-sclp-check-sccb-len-before-filling-in-data.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch415: kvm-s390-sclp-use-cpu-offset-to-locate-cpu-entries.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch416: kvm-s390-sclp-add-extended-length-sccb-support-for-kvm-g.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch417: kvm-linux-headers-Partial-update-against-Linux-5.9-rc4.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch418: kvm-misc-Replace-zero-length-arrays-with-flexible-array-.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch419: kvm-s390-guest-support-for-diagnose-0x318.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch420: kvm-s390x-pv-Remove-sclp-boundary-checks.patch
# For bz#1798506 - [IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part
Patch421: kvm-s390x-pv-Fix-diag318-PV-fencing.patch
# For bz#1659412 - [IBM 8.4 FEAT] KVM enablement for enhanced hardware diagnose data of guest kernel on s390x - qemu part
Patch422: kvm-s390-kvm-fix-diag318-propagation-and-reset-functiona.patch
# For bz#1898700 - qemu-kvm for RHEL-8.4 doesn't build due to a possible incompatibility with systemtap-sdt-devel-4.4-1
Patch423: kvm-trace-use-STAP_SDT_V2-to-work-around-symbol-visibili.patch
# For bz#1860994 - CVE-2020-16092 virt:rhel/qemu-kvm: QEMU: reachable assertion failure in net_tx_pkt_add_raw_fragment() in hw/net/net_tx_pkt.c [rhel-8]
Patch424: kvm-hw-net-net_tx_pkt-fix-assertion-failure-in-net_tx_pk.patch
# For bz#1880546 - qemu use SCMP_ACT_TRAP even SCMP_ACT_KILL_PROCESS is available
Patch425: kvm-seccomp-fix-killing-of-whole-process-instead-of-thre.patch
# For bz#1903135 - RHEL8.3 - KVM Distro install to vfio_ccw backed DASD gets error at the reboot step (qemu-kvm)
Patch426: kvm-pc-bios-s390x-Rename-PSW_MASK_ZMODE-to-PSW_MASK_64.patch
# For bz#1903135 - RHEL8.3 - KVM Distro install to vfio_ccw backed DASD gets error at the reboot step (qemu-kvm)
Patch427: kvm-pc-bios-s390x-Use-PSW-masks-where-possible-and-intro.patch
# For bz#1903135 - RHEL8.3 - KVM Distro install to vfio_ccw backed DASD gets error at the reboot step (qemu-kvm)
Patch428: kvm-pc-bios-s390x-Ensure-Read-IPL-memory-is-clean.patch
# For bz#1903135 - RHEL8.3 - KVM Distro install to vfio_ccw backed DASD gets error at the reboot step (qemu-kvm)
Patch429: kvm-pc-bios-s390x-Clear-out-leftover-S390EP-string.patch
# For bz#1901837 - Failed to hotunplug pc-dimm device
Patch430: kvm-ppc-spapr-Add-hotremovable-flag-on-DIMM-LMBs-on-drme.patch
# For bz#1901837 - Failed to hotunplug pc-dimm device
Patch431: kvm-ppc-spapr-re-assert-IRQs-during-event-scan-if-there-.patch
# For bz#1902237 - CVE-2020-29129 CVE-2020-29130 virt:rhel/qemu-kvm: QEMU: slirp: out-of-bounds access while processing ARP/NCSI packets [rhel-8]
Patch432: kvm-slirp-check-pkt_len-before-reading-protocol-header.patch
# For bz#1905386 - RHEL8.3 - s390x/s390-virtio-ccw: Reset PCI devices during subsystem reset (qemu-kvm)
Patch433: kvm-s390x-s390-virtio-ccw-Reset-PCI-devices-during-subsy.patch
# For bz#1859494 - Report logical_name for disks without mounted file-system
Patch434: kvm-qapi-enable-use-of-g_autoptr-with-QAPI-types.patch
# For bz#1859494 - Report logical_name for disks without mounted file-system
Patch435: kvm-error-Fix-examples-in-error.h-s-big-comment.patch
# For bz#1859494 - Report logical_name for disks without mounted file-system
Patch436: kvm-error-Improve-error.h-s-big-comment.patch
# For bz#1859494 - Report logical_name for disks without mounted file-system
Patch437: kvm-error-Document-Error-API-usage-rules.patch
# For bz#1859494 - Report logical_name for disks without mounted file-system
Patch438: kvm-error-New-macro-ERRP_GUARD.patch
# For bz#1859494 - Report logical_name for disks without mounted file-system
Patch439: kvm-qga-add-command-guest-get-disks.patch
# For bz#1859494 - Report logical_name for disks without mounted file-system
Patch440: kvm-qga-add-implementation-of-guest-get-disks-for-Linux.patch
# For bz#1859494 - Report logical_name for disks without mounted file-system
Patch441: kvm-qga-add-implementation-of-guest-get-disks-for-Window.patch
# For bz#1859494 - Report logical_name for disks without mounted file-system
Patch442: kvm-qga-fix-missing-closedir-in-qmp_guest_get_disks.patch
# For bz#1859494 - Report logical_name for disks without mounted file-system
Patch443: kvm-qga-update-schema-for-guest-get-disks-dependents-fie.patch
# For bz#1910267 - There is no soft link '/etc/qemu-kvm/fsfreeze-hook'
Patch444: kvm-redhat-link-etc-qemu-ga-fsfreeze-hook-to-etc-qemu-kv.patch
# For bz#1910326 - Incorrect hostname returned by  qga command 'guest-get-host-name'
Patch445: kvm-qga-rename-Error-parameter-to-more-common-errp.patch
# For bz#1910326 - Incorrect hostname returned by  qga command 'guest-get-host-name'
Patch446: kvm-util-Introduce-qemu_get_host_name.patch
# For bz#1910326 - Incorrect hostname returned by  qga command 'guest-get-host-name'
Patch447: kvm-qga-Use-qemu_get_host_name-instead-of-g_get_host_nam.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch449: kvm-hw-arm-smmu-common-Factorize-some-code-in-smmu_ptw_6.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch450: kvm-hw-arm-smmu-common-Add-IOTLB-helpers.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch451: kvm-hw-arm-smmu-Introduce-smmu_get_iotlb_key.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch452: kvm-hw-arm-smmu-Introduce-SMMUTLBEntry-for-PTW-and-IOTLB.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch453: kvm-hw-arm-smmu-common-Manage-IOTLB-block-entries.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch454: kvm-hw-arm-smmuv3-Introduce-smmuv3_s1_range_inval-helper.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch455: kvm-hw-arm-smmuv3-Get-prepared-for-range-invalidation.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch456: kvm-hw-arm-smmuv3-Fix-potential-integer-overflow-CID-143.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch457: kvm-memory-Rename-memory_region_notify_one-to-memory_reg.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch458: kvm-memory-Add-IOMMUTLBEvent.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch459: kvm-memory-Add-IOMMU_NOTIFIER_DEVIOTLB_UNMAP-IOMMUTLBNot.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch460: kvm-intel_iommu-Skip-page-walking-on-device-iotlb-invali.patch
# For bz#1843852 - qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.
Patch461: kvm-memory-Skip-bad-range-assertion-if-notifier-is-DEVIO.patch
# For bz#1904393 - CVE-2020-27821 virt:rhel/qemu-kvm: QEMU: heap buffer overflow in msix_table_mmio_write() in hw/pci/msix.c [rhel-8]
Patch462: kvm-memory-clamp-cached-translation-in-case-it-points-to.patch
# For bz#1898628 - CVE-2020-25723 virt:rhel/qemu-kvm: QEMU: assertion failure through usb_packet_unmap() in hw/usb/hcd-ehci.c [rhel-8]
Patch463: kvm-hw-ehci-check-return-value-of-usb_packet_map.patch
# For bz#1903070 - CVE-2020-25707 CVE-2020-28916 virt:rhel/qemu-kvm: various flaws [rhel-8]
Patch464: kvm-hw-net-e1000e-advance-desc_offset-in-case-of-null-de.patch
# For bz#1905391 - RHEL8.4 - s390x/pci: Honor vfio DMA limiting (qemu-kvm)
Patch465: kvm-linux-headers-add-vfio-DMA-available-capability.patch
# For bz#1905391 - RHEL8.4 - s390x/pci: Honor vfio DMA limiting (qemu-kvm)
Patch466: kvm-s390x-pci-Move-header-files-to-include-hw-s390x.patch
# For bz#1905391 - RHEL8.4 - s390x/pci: Honor vfio DMA limiting (qemu-kvm)
Patch467: kvm-vfio-Create-shared-routine-for-scanning-info-capabil.patch
# For bz#1905391 - RHEL8.4 - s390x/pci: Honor vfio DMA limiting (qemu-kvm)
Patch468: kvm-vfio-Find-DMA-available-capability.patch
# For bz#1905391 - RHEL8.4 - s390x/pci: Honor vfio DMA limiting (qemu-kvm)
Patch469: kvm-s390x-pci-Add-routine-to-get-the-vfio-dma-available-.patch
# For bz#1905391 - RHEL8.4 - s390x/pci: Honor vfio DMA limiting (qemu-kvm)
Patch470: kvm-s390x-pci-Honor-DMA-limits-set-by-vfio.patch
# For bz#1905391 - RHEL8.4 - s390x/pci: Honor vfio DMA limiting (qemu-kvm)
Patch471: kvm-s390x-fix-build-for-without-default-devices.patch
# For bz#1918054 - CVE-2020-10756 virt:rhel/qemu-kvm: QEMU: slirp: networking out-of-bounds read information disclosure vulnerability [rhel-8.4.0]
Patch472: kvm-Drop-bogus-IPv6-messages.patch
# For bz#1901837 - Failed to hotunplug pc-dimm device
Patch473: kvm-spapr-Improve-handling-of-fdt-buffer-size.patch
# For bz#1901837 - Failed to hotunplug pc-dimm device
Patch474: kvm-spapr-Fold-h_cas_compose_response-into-h_client_arch.patch
# For bz#1901837 - Failed to hotunplug pc-dimm device
Patch475: kvm-spapr-Don-t-use-spapr_drc_needed-in-CAS-code.patch
# For bz#1901837 - Failed to hotunplug pc-dimm device
Patch476: kvm-spapr-Fix-handling-of-unplugged-devices-during-CAS-a.patch
# For bz#1901837 - Failed to hotunplug pc-dimm device
Patch477: kvm-spapr-Allow-memory-unplug-to-always-succeed.patch
# For bz#1901837 - Failed to hotunplug pc-dimm device
Patch478: kvm-spapr-Improve-handling-of-memory-unplug-with-old-gue.patch
# For bz#1834281 - qemu-img convert abort when converting image with unaligned size
Patch479: kvm-block-Require-aligned-image-size-to-avoid-assertion-.patch
# For bz#1834281 - qemu-img convert abort when converting image with unaligned size
Patch480: kvm-file-posix-Allow-byte-aligned-O_DIRECT-with-NFS.patch
# For bz#1912974 - CVE-2020-11947 virt:rhel/qemu-kvm: QEMU: heap buffer overflow in iscsi_aio_ioctl_cb() in block/iscsi.c may lead to information disclosure [rhel-8]
Patch481: kvm-block-iscsi-fix-heap-buffer-overflow-in-iscsi_aio_io.patch
# For bz#1919111 - CVE-2020-35517 virt:rhel/qemu-kvm: QEMU: virtiofsd: potential privileged host device access from guest [rhel-8.4.0]
Patch482: kvm-virtiofsd-extract-lo_do_open-from-lo_open.patch
# For bz#1919111 - CVE-2020-35517 virt:rhel/qemu-kvm: QEMU: virtiofsd: potential privileged host device access from guest [rhel-8.4.0]
Patch483: kvm-virtiofsd-optionally-return-inode-pointer-from-lo_do.patch
# For bz#1919111 - CVE-2020-35517 virt:rhel/qemu-kvm: QEMU: virtiofsd: potential privileged host device access from guest [rhel-8.4.0]
Patch484: kvm-virtiofsd-prevent-opening-of-special-files-CVE-2020-.patch
# For bz#1912891 - [ppc64le] --disk cdimage.iso,bus=usb fails to boot
Patch486: kvm-spapr-Adjust-firmware-path-of-PCI-devices.patch
# For bz#1790620 - [RFE] AMD Milan - Add KVM/support for EPYC-Milan CPU Model - Slow Train
Patch487: kvm-x86-cpu-Enable-AVX512_VP2INTERSECT-cpu-feature.patch
# For bz#1790620 - [RFE] AMD Milan - Add KVM/support for EPYC-Milan CPU Model - Slow Train
Patch488: kvm-target-i386-add-fast-short-REP-MOV-support.patch
# For bz#1790620 - [RFE] AMD Milan - Add KVM/support for EPYC-Milan CPU Model - Slow Train
Patch489: kvm-x86-cpu-Populate-SVM-CPUID-feature-bits.patch
# For bz#1790620 - [RFE] AMD Milan - Add KVM/support for EPYC-Milan CPU Model - Slow Train
Patch490: kvm-i386-Add-the-support-for-AMD-EPYC-3rd-generation-pro.patch
# For bz#1917451 - CVE-2020-29443 virt:rhel/qemu-kvm: QEMU: ide: atapi: OOB access while processing read commands [rhel-8.4.0]
Patch491: kvm-ide-atapi-check-logical-block-address-and-read-size-.patch
# For bz#1892350 - CVE-2020-27617 virt:rhel/qemu-kvm: QEMU: net: an assert failure via eth_get_gso_type [rhel-8.5.0]
Patch492: kvm-net-remove-an-assert-call-in-eth_get_gso_type.patch
# For bz#1930092 - CVE-2021-20257 virt:rhel/qemu-kvm: QEMU: net: e1000: infinite loop while processing transmit descriptors [rhel-8.5.0]
Patch493: kvm-e1000-fail-early-for-evil-descriptor.patch
# For bz#1859175 - CVE-2020-15859 virt:rhel/qemu-kvm: QEMU: net: e1000e: use-after-free while sending packets [rhel-8]
Patch494: kvm-net-forbid-the-reentrant-RX.patch
# For bz#1855250 - qemu-img convert uses possibly slow pre-zeroing on block storage
Patch495: kvm-qemu-img-convert-Don-t-pre-zero-images.patch
# For bz#1932823 - after upgrade from 4.3 to 4.4 audio stops working in guests after couple of seconds
Patch496: kvm-audio-audio_generic_get_buffer_in-should-honor-size.patch
# For bz#1925430 - CVE-2021-20221 virt:rhel/qemu-kvm: qemu: out-of-bound heap buffer access via an interrupt ID field [rhel-8.5.0]
Patch497: kvm-hw-intc-arm_gic-Fix-interrupt-ID-in-GICD_SGIR-regist.patch
# For bz#1842478 - CVE-2020-13754 virt:rhel/qemu-kvm: QEMU: msix: OOB access during mmio operations may lead to DoS [rhel-8.5.0]
Patch498: kvm-libqos-usb-hcd-ehci-use-32-bit-write-for-config-regi.patch
# For bz#1842478 - CVE-2020-13754 virt:rhel/qemu-kvm: QEMU: msix: OOB access during mmio operations may lead to DoS [rhel-8.5.0]
Patch499: kvm-libqos-pci-pc-use-32-bit-write-for-EJ-register.patch
# For bz#1842478 - CVE-2020-13754 virt:rhel/qemu-kvm: QEMU: msix: OOB access during mmio operations may lead to DoS [rhel-8.5.0]
Patch500: kvm-memory-Revert-memory-accept-mismatching-sizes-in-mem.patch
# For bz#1842478 - CVE-2020-13754 virt:rhel/qemu-kvm: QEMU: msix: OOB access during mmio operations may lead to DoS [rhel-8.5.0]
Patch501: kvm-acpi-accept-byte-and-word-access-to-core-ACPI-regist.patch
# For bz#1842478 - CVE-2020-13754 virt:rhel/qemu-kvm: QEMU: msix: OOB access during mmio operations may lead to DoS [rhel-8.5.0]
Patch502: kvm-xhci-fix-valid.max_access_size-to-access-address-reg.patch
# For bz#1842478 - CVE-2020-13754 virt:rhel/qemu-kvm: QEMU: msix: OOB access during mmio operations may lead to DoS [rhel-8.5.0]
Patch503: kvm-softmmu-memory-Log-invalid-memory-accesses.patch
# For bz#1940450 - RHEL8.5 - Mediated Device already in use by same domain we are booting (vfio-ccw/Multipath Testing) (kvm) - qemu-kvm part (also has kernel and libvirt parts)
Patch504: kvm-linux-headers-Add-VFIO_CCW_REQ_IRQ_INDEX.patch
# For bz#1940450 - RHEL8.5 - Mediated Device already in use by same domain we are booting (vfio-ccw/Multipath Testing) (kvm) - qemu-kvm part (also has kernel and libvirt parts)
Patch505: kvm-vfio-ccw-Connect-the-device-request-notifier.patch
# For bz#1942880 - RHEL8.4 Nightly[0322] - KVM guest fails to find zipl boot menu index (qemu-kvm)
Patch506: kvm-pc-bios-s390-ccw-fix-off-by-one-error.patch
# For bz#1942880 - RHEL8.4 Nightly[0322] - KVM guest fails to find zipl boot menu index (qemu-kvm)
Patch507: kvm-pc-bios-s390-ccw-break-loop-if-a-null-block-number-i.patch
# For bz#1942880 - RHEL8.4 Nightly[0322] - KVM guest fails to find zipl boot menu index (qemu-kvm)
Patch508: kvm-pc-bios-s390-ccw-don-t-try-to-read-the-next-block-if.patch
# For bz#1877163 - [FJ 8.3 Bug] The progress bar of the "virt-clone --nonsparse" command shows the progress rate exceeding 100%.
Patch509: kvm-file-posix-Mitigate-file-fragmentation-with-extent-s.patch
# For bz#1944861 - Qemu-img convert fails when source image is on gpfs
Patch510: kvm-block-file-posix-Fix-problem-with-fallocate-PUNCH_HO.patch
# For bz#1969768 - [ppc64le] Hotplug vcpu device hit call trace:[qemu output] KVM: unknown exit, hardware reason 7fff9ce87ed8
Patch511: kvm-spapr-Remove-stale-comment-about-power-saving-LPCR-b.patch
# For bz#1969768 - [ppc64le] Hotplug vcpu device hit call trace:[qemu output] KVM: unknown exit, hardware reason 7fff9ce87ed8
Patch512: kvm-spapr-Set-LPCR-to-current-AIL-mode-when-starting-a-n.patch
# For bz#1967914 - [virtio-fs] virtiofsd quit when coping file to a folder in virtio-fs mounted volume(windows guest)
Patch513: kvm-virtiofsd-Whitelist-fchmod.patch
# For bz#1957866 - RHEL8.4 - EEH capability disabled on KVM guest and recovery of PCI passthru device fails(CX5 / mlx5_core) (qemu-kvm)
Patch514: kvm-spapr-Fix-EEH-capability-issue-on-KVM-guest-for-PCI-.patch
# For bz#1970912 - Deployment fails with "Invalid or missing agent token received"
Patch515: kvm-Compress-lines-for-immediate-return.patch
# For bz#1970912 - Deployment fails with "Invalid or missing agent token received"
Patch516: kvm-file-posix-Handle-EINVAL-fallocate-return-value.patch
# For bz#1932917 - CVE-2021-3416 virt:rhel/qemu-kvm: QEMU: net: infinite loop in loopback mode may lead to stack overflow
Patch517: kvm-net-introduce-qemu_receive_packet.patch
# For bz#1932917 - CVE-2021-3416 virt:rhel/qemu-kvm: QEMU: net: infinite loop in loopback mode may lead to stack overflow
Patch518: kvm-e1000-switch-to-use-qemu_receive_packet-for-loopback.patch
# For bz#1932917 - CVE-2021-3416 virt:rhel/qemu-kvm: QEMU: net: infinite loop in loopback mode may lead to stack overflow
Patch519: kvm-dp8393x-switch-to-use-qemu_receive_packet-for-loopba.patch
# For bz#1932917 - CVE-2021-3416 virt:rhel/qemu-kvm: QEMU: net: infinite loop in loopback mode may lead to stack overflow
Patch520: kvm-sungem-switch-to-use-qemu_receive_packet-for-loopbac.patch
# For bz#1932917 - CVE-2021-3416 virt:rhel/qemu-kvm: QEMU: net: infinite loop in loopback mode may lead to stack overflow
Patch521: kvm-tx_pkt-switch-to-use-qemu_receive_packet_iov-for-loo.patch
# For bz#1932917 - CVE-2021-3416 virt:rhel/qemu-kvm: QEMU: net: infinite loop in loopback mode may lead to stack overflow
Patch522: kvm-rtl8139-switch-to-use-qemu_receive_packet-for-loopba.patch
# For bz#1932917 - CVE-2021-3416 virt:rhel/qemu-kvm: QEMU: net: infinite loop in loopback mode may lead to stack overflow
Patch523: kvm-pcnet-switch-to-use-qemu_receive_packet-for-loopback.patch
# For bz#1932917 - CVE-2021-3416 virt:rhel/qemu-kvm: QEMU: net: infinite loop in loopback mode may lead to stack overflow
Patch524: kvm-cadence_gem-switch-to-use-qemu_receive_packet-for-lo.patch
# For bz#1932917 - CVE-2021-3416 virt:rhel/qemu-kvm: QEMU: net: infinite loop in loopback mode may lead to stack overflow
Patch525: kvm-lan9118-switch-to-use-qemu_receive_packet-for-loopba.patch
# For bz#1967716 - RFE: rebuild guest agent to include public ssh injection api support
Patch526: kvm-glib-compat-add-g_unix_get_passwd_entry_qemu.patch
# For bz#1967716 - RFE: rebuild guest agent to include public ssh injection api support
Patch527: kvm-qga-add-ssh-add-remove-authorized-keys.patch
# For bz#1967716 - RFE: rebuild guest agent to include public ssh injection api support
Patch528: kvm-qga-add-reset-argument-to-ssh-add-authorized-keys.patch
# For bz#1967716 - RFE: rebuild guest agent to include public ssh injection api support
Patch529: kvm-qga-add-ssh-get-authorized-keys.patch
# For bz#1970819 - CVE-2021-3592 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (bootp) [rhel-8]
# For bz#1970835 - CVE-2021-3593 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp6) [rhel-8]
# For bz#1970843 - CVE-2021-3595 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (tftp) [rhel-8]
# For bz#1970853 - CVE-2021-3594 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp) [rhel-8]
Patch530: kvm-Add-mtod_check.patch
# For bz#1970819 - CVE-2021-3592 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (bootp) [rhel-8]
# For bz#1970835 - CVE-2021-3593 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp6) [rhel-8]
# For bz#1970843 - CVE-2021-3595 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (tftp) [rhel-8]
# For bz#1970853 - CVE-2021-3594 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp) [rhel-8]
Patch531: kvm-bootp-limit-vendor-specific-area-to-input-packet-mem.patch
# For bz#1970819 - CVE-2021-3592 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (bootp) [rhel-8]
Patch532: kvm-bootp-check-bootp_input-buffer-size.patch
# For bz#1970835 - CVE-2021-3593 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp6) [rhel-8]
Patch533: kvm-upd6-check-udp6_input-buffer-size.patch
# For bz#1970843 - CVE-2021-3595 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (tftp) [rhel-8]
Patch534: kvm-tftp-check-tftp_input-buffer-size.patch
# For bz#1970819 - CVE-2021-3592 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (bootp) [rhel-8]
# For bz#1970835 - CVE-2021-3593 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp6) [rhel-8]
# For bz#1970843 - CVE-2021-3595 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (tftp) [rhel-8]
# For bz#1970853 - CVE-2021-3594 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp) [rhel-8]
Patch535: kvm-tftp-introduce-a-header-structure.patch
# For bz#1970853 - CVE-2021-3594 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp) [rhel-8]
Patch536: kvm-udp-check-upd_input-buffer-size.patch
# For bz#1970819 - CVE-2021-3592 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (bootp) [rhel-8]
# For bz#1970835 - CVE-2021-3593 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp6) [rhel-8]
# For bz#1970843 - CVE-2021-3595 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (tftp) [rhel-8]
# For bz#1970853 - CVE-2021-3594 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp) [rhel-8]
Patch537: kvm-Fix-DHCP-broken-in-libslirp-v4.6.0.patch
# For bz#1982134 - QEMU core dump while booting guest with a non-exist fd on tap
Patch538: kvm-net-check-if-the-file-descriptor-is-valid-before-usi.patch
# For bz#1982134 - QEMU core dump while booting guest with a non-exist fd on tap
Patch539: kvm-net-detect-errors-from-probing-vnet-hdr-flag-for-TAP.patch
# For bz#1969848 - qemu-img convert hangs on aarch64
Patch540: kvm-aio-wait-delegate-polling-of-main-AioContext-if-BQL-.patch
# For bz#1969848 - qemu-img convert hangs on aarch64
Patch541: kvm-async-use-explicit-memory-barriers.patch
# For bz#1967496 - [virtio-fs] nfs/xfstest generic/089 generic/478 generic/632 failed
Patch542: kvm-virtiofsd-Disable-remote-posix-locks-by-default.patch
# For bz#1967496 - [virtio-fs] nfs/xfstest generic/089 generic/478 generic/632 failed
Patch543: kvm-virtiofsd-Fix-the-help-message-of-posix-lock.patch
# For bz#1994041 - qemu-kvm scsi: change default passthrough timeout to non-infinite
Patch544: kvm-scsi-make-io_timeout-configurable.patch
# For bz#2025605 - CVE-2021-3930 virt:rhel/qemu-kvm: QEMU: off-by-one error in mode_sense_page() in hw/scsi/scsi-disk.c [rhel-8.5.0.z]
Patch545: kvm-hw-scsi-scsi-disk-MODE_PAGE_ALLS-not-allowed-in-MODE.patch
# For bz#2025011 - CVE-2021-20257 virt:rhel/qemu-kvm: QEMU: net: e1000: infinite loop while processing transmit descriptors [rhel-8.5.0.z]
Patch546: kvm-e1000-fix-tx-re-entrancy-problem.patch
# For bz#2048627 - CVE-2022-0358 virt:rhel/qemu-kvm: QEMU: virtiofsd: potential privilege escalation via CVE-2018-13405 [rhel-8.5.0.z]
Patch547: kvm-virtiofsd-Drop-membership-of-all-supplementary-group.patch

BuildRequires: wget
BuildRequires: rpm-build
BuildRequires: zlib-devel
BuildRequires: glib2-devel
BuildRequires: which
BuildRequires: gnutls-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: libtool
BuildRequires: libaio-devel
BuildRequires: rsync
BuildRequires: python3-devel
BuildRequires: pciutils-devel
BuildRequires: libiscsi-devel
BuildRequires: ncurses-devel
BuildRequires: libattr-devel
BuildRequires: libusbx-devel >= 1.0.22
%if %{have_usbredir}
BuildRequires: usbredir-devel >= 0.7.1
%endif
BuildRequires: texinfo
BuildRequires: python3-sphinx
%if %{have_spice}
BuildRequires: spice-protocol >= 0.12.12
BuildRequires: spice-server-devel >= 0.12.8
BuildRequires: libcacard-devel
# For smartcard NSS support
BuildRequires: nss-devel
%endif
BuildRequires: libseccomp-devel >= 2.4.0
# For network block driver
BuildRequires: libcurl-devel
BuildRequires: libssh-devel
BuildRequires: librados-devel
BuildRequires: librbd-devel
%if %{have_gluster}
# For gluster block driver
BuildRequires: glusterfs-api-devel
BuildRequires: glusterfs-devel
%endif
# We need both because the 'stap' binary is probed for by configure
BuildRequires: systemtap
BuildRequires: systemtap-sdt-devel
# For VNC PNG support
BuildRequires: libpng-devel
# For uuid generation
BuildRequires: libuuid-devel
# For BlueZ device support
BuildRequires: bluez-libs-devel
# For Braille device support
BuildRequires: brlapi-devel
# For test suite
BuildRequires: check-devel
# For virtiofs
BuildRequires: libcap-ng-devel
# Hard requirement for version >= 1.3
BuildRequires: pixman-devel
# Documentation requirement
BuildRequires: perl-podlators
BuildRequires: texinfo
BuildRequires: python3-sphinx
# For rdma
%if 0%{?have_librdma}
BuildRequires: rdma-core-devel
%endif
%if %{have_fdt}
BuildRequires: libfdt-devel >= 1.6.0
%endif
# iasl and cpp for acpi generation (not a hard requirement as we can use
# pre-compiled files, but it's better to use this)
%ifarch %{ix86} x86_64
BuildRequires: iasl
BuildRequires: cpp
%endif
# For compressed guest memory dumps
BuildRequires: lzo-devel snappy-devel
# For NUMA memory binding
%ifnarch s390x
BuildRequires: numactl-devel
%endif
BuildRequires: libgcrypt-devel
# qemu-pr-helper multipath support (requires libudev too)
BuildRequires: device-mapper-multipath-devel
BuildRequires: systemd-devel
# used by qemu-bridge-helper and qemu-pr-helper
BuildRequires: libcap-ng-devel

BuildRequires: diffutils
%ifarch x86_64
BuildRequires: libpmem-devel
Requires: libpmem
%endif

# qemu-keymap
BuildRequires: pkgconfig(xkbcommon)

# For s390-pgste flag
%ifarch s390x
BuildRequires: binutils >= 2.27-16
%endif

%if %{have_opengl}
BuildRequires: pkgconfig(epoxy)
BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(gbm)
Requires:      mesa-libGL
Requires:      mesa-libEGL
Requires:      mesa-dri-drivers
%endif

BuildRequires: perl-Test-Harness

Requires: qemu-kvm-core = %{epoch}:%{version}-%{release}
%rhev_ma_conflicts qemu-kvm

%{requires_all_modules}

%define qemudocdir %{_docdir}/%{name}

%description
qemu-kvm is an open source virtualizer that provides hardware
emulation for the KVM hypervisor. qemu-kvm acts as a virtual
machine monitor together with the KVM kernel modules, and emulates the
hardware for a full system such as a PC and its associated peripherals.


%package -n qemu-kvm-core
Summary: qemu-kvm core components
Requires: qemu-img = %{epoch}:%{version}-%{release}
%ifarch %{ix86} x86_64
Requires: seabios-bin >= 1.10.2-1
Requires: sgabios-bin
Requires: edk2-ovmf
%endif
%ifarch aarch64
Requires: edk2-aarch64
%endif

%ifnarch aarch64 s390x
Requires: seavgabios-bin >= 1.12.0-3
Requires: ipxe-roms-qemu >= 20170123-1
%endif
%ifarch %{power64}
Requires: SLOF >= %{SLOF_gittagdate}-1.git%{SLOF_gittagcommit}
%endif
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: libseccomp >= 2.4.0
# For compressed guest memory dumps
Requires: lzo snappy
%if %{have_kvm_setup}
Requires(post): systemd-units
Requires(preun): systemd-units
    %ifarch %{power64}
Requires: powerpc-utils
    %endif
%endif
Requires: libusbx >= 1.0.19
%if %{have_usbredir}
Requires: usbredir >= 0.7.1
%endif
%if %{have_fdt}
Requires: libfdt >= 1.6.0
%endif

%rhev_ma_conflicts qemu-kvm

%description -n qemu-kvm-core
qemu-kvm is an open source virtualizer that provides hardware
emulation for the KVM hypervisor. qemu-kvm acts as a virtual
machine monitor together with the KVM kernel modules, and emulates the
hardware for a full system such as a PC and its associated peripherals.


%package -n qemu-img
Summary: QEMU command line tool for manipulating disk images
Group: Development/Tools

%rhev_ma_conflicts qemu-img

%description -n qemu-img
This package provides a command line tool for manipulating disk images.

%package -n qemu-kvm-common
Summary: QEMU common files needed by all QEMU targets
Group: Development/Tools
Requires(post): /usr/bin/getent
Requires(post): /usr/sbin/groupadd
Requires(post): /usr/sbin/useradd
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%rhev_ma_conflicts qemu-kvm-common

%description -n qemu-kvm-common
qemu-kvm is an open source virtualizer that provides hardware emulation for
the KVM hypervisor.

This package provides documentation and auxiliary programs used with qemu-kvm.


%package -n qemu-guest-agent
Summary: QEMU guest agent
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description -n qemu-guest-agent
qemu-kvm is an open source virtualizer that provides hardware emulation for
the KVM hypervisor.

This package provides an agent to run inside guests, which communicates
with the host over a virtio-serial channel named "org.qemu.guest_agent.0"

This package does not need to be installed on the host OS.

%package tests
Summary: tests for the qemu-kvm package
Requires: %{name} = %{epoch}:%{version}-%{release}

%define testsdir %{_libdir}/%{name}/tests-src

%description tests
The qemu-kvm-tests rpm contains tests that can be used to verify
the functionality of the installed qemu-kvm package

Install this package if you want access to the avocado_qemu
tests, or qemu-iotests.

%package  block-curl
Summary: QEMU CURL block driver
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-curl
This package provides the additional CURL block driver for QEMU.

Install this package if you want to access remote disks over
http, https, ftp and other transports provided by the CURL library.


%if %{have_gluster}
%package  block-gluster
Summary: QEMU Gluster block driver
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}
%description block-gluster
This package provides the additional Gluster block driver for QEMU.

Install this package if you want to access remote Gluster storage.
%endif


%package  block-iscsi
Summary: QEMU iSCSI block driver
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-iscsi
This package provides the additional iSCSI block driver for QEMU.

Install this package if you want to access iSCSI volumes.


%package  block-rbd
Summary: QEMU Ceph/RBD block driver
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-rbd
This package provides the additional Ceph/RBD block driver for QEMU.

Install this package if you want to access remote Ceph volumes
using the rbd protocol.


%package  block-ssh
Summary: QEMU SSH block driver
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-ssh
This package provides the additional SSH block driver for QEMU.

Install this package if you want to access remote disks using
the Secure Shell (SSH) protocol.


%prep
%setup -n qemu-%{version}
%autopatch -p1

%build
%global buildarch %{kvm_target}-softmmu

# --build-id option is used for giving info to the debug packages.
buildldflags="VL_LDFLAGS=-Wl,--build-id"

%global block_drivers_list qcow2,raw,file,host_device,nbd,iscsi,rbd,blkdebug,luks,null-co,nvme,copy-on-read,throttle

%if 0%{have_gluster}
    %global block_drivers_list %{block_drivers_list},gluster
%endif

./configure  \
 --prefix="%{_prefix}" \
 --libdir="%{_libdir}" \
 --sysconfdir="%{_sysconfdir}" \
 --interp-prefix=%{_prefix}/qemu-%M \
 --localstatedir="%{_localstatedir}" \
 --docdir="%{qemudocdir}" \
 --libexecdir="%{_libexecdir}" \
 --extra-ldflags="-Wl,--build-id -Wl,-z,relro -Wl,-z,now" \
 --extra-cflags="%{optflags}" \
 --with-pkgversion="%{name}-%{version}-%{release}" \
 --with-confsuffix=/"%{name}" \
 --firmwarepath=%{_prefix}/share/qemu-firmware \
%if 0%{have_fdt}
  --enable-fdt \
%else
  --disable-fdt \
 %endif
%if 0%{have_gluster}
  --enable-glusterfs \
%else
  --disable-glusterfs \
%endif
  --enable-guest-agent \
%ifnarch s390x
  --enable-numa \
%else
  --disable-numa \
%endif
  --enable-rbd \
%if 0%{have_librdma}
  --enable-rdma \
%else
  --disable-rdma \
%endif
  --disable-pvrdma \
  --enable-seccomp \
%if 0%{have_spice}
  --enable-spice \
  --enable-smartcard \
%else
  --disable-spice \
  --disable-smartcard \
%endif
%if 0%{have_opengl}
  --enable-opengl \
%else
  --disable-opengl \
%endif
%if 0%{have_usbredir}
  --enable-usb-redir \
%else
  --disable-usb-redir \
%endif
  --disable-tcmalloc \
%ifarch x86_64
  --enable-libpmem \
%else
  --disable-libpmem \
%endif
  --enable-vhost-user \
%ifarch s390x
  --enable-vhost-user-fs \
%endif
%ifarch %{ix86} x86_64
  --enable-avx2 \
%else
  --disable-avx2 \
%endif
  --python=%{__python3} \
  --target-list="%{buildarch}" \
  --block-drv-rw-whitelist=%{block_drivers_list} \
  --audio-drv-list= \
  --block-drv-ro-whitelist=vmdk,vhdx,vpc,https,ssh \
  --with-coroutine=ucontext \
  --tls-priority=@QEMU,SYSTEM \
  --disable-bluez \
  --disable-brlapi \
  --enable-cap-ng \
  --enable-coroutine-pool \
  --enable-curl \
  --disable-curses \
  --disable-debug-tcg \
  --enable-docs \
  --disable-gtk \
  --enable-kvm \
  --enable-libiscsi \
  --disable-libnfs \
  --enable-libssh \
  --enable-libusb \
  --disable-bzip2 \
  --enable-linux-aio \
  --disable-live-block-migration \
  --enable-lzo \
  --enable-pie \
  --disable-qom-cast-debug \
  --disable-sdl \
  --enable-snappy \
  --disable-sparse \
  --disable-strip \
  --enable-tpm \
  --enable-trace-backend=dtrace \
  --disable-vde \
  --disable-vhost-scsi \
  --disable-vxhs \
  --disable-virtfs \
  --disable-vnc-jpeg \
  --disable-vte \
  --enable-vnc-png \
  --enable-vnc-sasl \
  --enable-werror \
  --disable-xen \
  --disable-xfsctl \
  --enable-gnutls \
  --enable-gcrypt \
  --disable-nettle \
  --enable-attr \
  --disable-bsd-user \
  --disable-cocoa \
  --enable-debug-info \
  --disable-guest-agent-msi \
  --disable-hax \
  --disable-jemalloc \
  --disable-linux-user \
  --enable-modules \
  --disable-netmap \
  --disable-replication \
  --enable-system \
  --enable-tools \
  --disable-user \
  --enable-vhost-net \
  --enable-vhost-vsock \
  --enable-vnc \
  --enable-mpath \
  --disable-xen-pci-passthrough \
  --enable-tcg \
  --with-git=git \
  --disable-sanitizers \
  --disable-hvf \
  --disable-whpx \
  --enable-malloc-trim \
  --disable-membarrier \
  --disable-vhost-crypto \
  --disable-libxml2 \
  --enable-capstone \
  --disable-git-update \
  --disable-crypto-afalg \
  --disable-debug-mutex \
  --disable-bochs \
  --disable-cloop \
  --disable-dmg \
  --disable-qcow1 \
  --disable-vdi \
  --disable-vvfat \
  --disable-qed \
  --disable-parallels \
  --disable-sheepdog \
  --disable-auth-pam \
  --enable-iconv \
  --disable-lzfse \
  --enable-vhost-kernel \
  --disable-virglrenderer \
  --without-default-devices

echo "config-host.mak contents:"
echo "==="
cat config-host.mak
echo "==="

make V=1 %{?_smp_mflags} $buildldflags

# Setup back compat qemu-kvm binary
%{__python3} scripts/tracetool.py --backend dtrace --format stap \
  --group=all --binary %{_libexecdir}/qemu-kvm --probe-prefix qemu.kvm \
  trace-events-all > qemu-kvm.stp

%{__python3} scripts/tracetool.py --backends=dtrace --format=log-stap \
  --group=all --binary %{_libexecdir}/qemu-kvm --probe-prefix qemu.kvm \
  trace-events-all > qemu-kvm-log.stp

%{__python3} scripts/tracetool.py --backend dtrace --format simpletrace-stap \
  --group=all --binary %{_libexecdir}/qemu-kvm --probe-prefix qemu.kvm \
  trace-events-all > qemu-kvm-simpletrace.stp

cp -a %{kvm_target}-softmmu/qemu-system-%{kvm_target} qemu-kvm

gcc %{SOURCE6} $RPM_OPT_FLAGS $RPM_LD_FLAGS -o ksmctl
gcc %{SOURCE35} $RPM_OPT_FLAGS $RPM_LD_FLAGS -o udev-kvm-check

%ifarch s390x
    # Copy the built new images into place for "make check":
    cp pc-bios/s390-ccw/s390-ccw.img pc-bios/s390-ccw/s390-netboot.img pc-bios/
%endif

%install
%define _udevdir %(pkg-config --variable=udevdir udev)
%define _udevrulesdir %{_udevdir}/rules.d

install -D -p -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_unitdir}/ksm.service
install -D -p -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ksm
install -D -p -m 0755 ksmctl $RPM_BUILD_ROOT%{_libexecdir}/ksmctl

install -D -p -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{_unitdir}/ksmtuned.service
install -D -p -m 0755 %{SOURCE8} $RPM_BUILD_ROOT%{_sbindir}/ksmtuned
install -D -p -m 0644 %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/ksmtuned.conf
install -D -p -m 0644 %{SOURCE26} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/vhost.conf
%ifarch s390x
    install -D -p -m 0644 %{SOURCE30} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/kvm.conf
%else
%ifarch %{ix86} x86_64
    install -D -p -m 0644 %{SOURCE31} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/kvm.conf
%else
    install -D -p -m 0644 %{SOURCE27} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/kvm.conf
%endif
%endif

mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_udevrulesdir}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

# Create new directories and put them all under tests-src
mkdir -p $RPM_BUILD_ROOT%{testsdir}/python
mkdir -p $RPM_BUILD_ROOT%{testsdir}/tests
mkdir -p $RPM_BUILD_ROOT%{testsdir}/tests/acceptance
mkdir -p $RPM_BUILD_ROOT%{testsdir}/tests/qemu-iotests
mkdir -p $RPM_BUILD_ROOT%{testsdir}/scripts/qmp

install -p -m 0755 udev-kvm-check $RPM_BUILD_ROOT%{_udevdir}
install -p -m 0644 %{SOURCE34} $RPM_BUILD_ROOT%{_udevrulesdir}

install -m 0644 scripts/dump-guest-memory.py \
                $RPM_BUILD_ROOT%{_datadir}/%{name}

# Install avocado_qemu tests
cp -R tests/acceptance/* $RPM_BUILD_ROOT%{testsdir}/tests/acceptance/

# Install qemu.py and qmp/ scripts required to run avocado_qemu tests
cp -R python/qemu $RPM_BUILD_ROOT%{testsdir}/python
cp -R scripts/qmp/* $RPM_BUILD_ROOT%{testsdir}/scripts/qmp
install -p -m 0755 tests/Makefile.include $RPM_BUILD_ROOT%{testsdir}/tests/

# Install qemu-iotests
cp -R tests/qemu-iotests/* $RPM_BUILD_ROOT%{testsdir}/tests/qemu-iotests/
# Avoid ambiguous 'python' interpreter name
find $RPM_BUILD_ROOT%{testsdir}/tests/qemu-iotests/* -maxdepth 1 -type f -exec sed -i -e '1 s+/usr/bin/env \(python\|python3\)+%{__python3}+' {} \;
find $RPM_BUILD_ROOT%{testsdir}/scripts/qmp/* -maxdepth 1 -type f -exec sed -i -e '1 s+/usr/bin/env \(python\|python3\)+%{__python3}+' {} \;
find $RPM_BUILD_ROOT%{testsdir}/scripts/qmp/* -maxdepth 1 -type f -exec sed -i -e '1 s+/usr/bin/\(python\|python3\)+%{__python3}+' {} \;

install -p -m 0644 %{SOURCE36} $RPM_BUILD_ROOT%{testsdir}/README

make DESTDIR=$RPM_BUILD_ROOT \
    sharedir="%{_datadir}/%{name}" \
    datadir="%{_datadir}/%{name}" \
    install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset

# Install qemu-guest-agent service and udev rules
install -m 0644 %{_sourcedir}/qemu-guest-agent.service %{buildroot}%{_unitdir}
install -m 0644 %{_sourcedir}/qemu-ga.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/qemu-ga
install -m 0644 %{_sourcedir}/99-qemu-guest-agent.rules %{buildroot}%{_udevrulesdir}

# - the fsfreeze hook script:
install -D --preserve-timestamps \
            scripts/qemu-guest-agent/fsfreeze-hook \
            $RPM_BUILD_ROOT%{_sysconfdir}/qemu-ga/fsfreeze-hook
# Workaround for the missing /etc/qemu-kvm/fsfreeze-hook
# Please, do not carry this over to RHEL-9
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/qemu-kvm/
ln -s %{_sysconfdir}/qemu-ga/fsfreeze-hook \
      $RPM_BUILD_ROOT%{_sysconfdir}/qemu-kvm/fsfreeze-hook

# - the directory for user scripts:
mkdir $RPM_BUILD_ROOT%{_sysconfdir}/qemu-ga/fsfreeze-hook.d

# - and the fsfreeze script samples:
mkdir --parents $RPM_BUILD_ROOT%{_datadir}/%{name}/qemu-ga/fsfreeze-hook.d/
install --preserve-timestamps --mode=0644 \
             scripts/qemu-guest-agent/fsfreeze-hook.d/*.sample \
             $RPM_BUILD_ROOT%{_datadir}/%{name}/qemu-ga/fsfreeze-hook.d/

# - Install dedicated log directory:
mkdir -p -v $RPM_BUILD_ROOT%{_localstatedir}/log/qemu-ga/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -c -m 0755  qemu-ga ${RPM_BUILD_ROOT}%{_bindir}/qemu-ga

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

install -m 0755 qemu-kvm $RPM_BUILD_ROOT%{_libexecdir}/
install -m 0644 qemu-kvm.stp $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/
install -m 0644 qemu-kvm-log.stp $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/
install -m 0644 qemu-kvm-simpletrace.stp $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/

rm $RPM_BUILD_ROOT/%{_datadir}/applications/qemu.desktop
rm $RPM_BUILD_ROOT%{_bindir}/qemu-system-%{kvm_target}
rm $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/qemu-system-%{kvm_target}.stp
rm $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/qemu-system-%{kvm_target}-simpletrace.stp
rm $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/qemu-system-%{kvm_target}-log.stp
rm $RPM_BUILD_ROOT%{_bindir}/elf2dmp

# Install simpletrace
install -m 0755 scripts/simpletrace.py $RPM_BUILD_ROOT%{_datadir}/%{name}/simpletrace.py
# Avoid ambiguous 'python' interpreter name
sed -i -e '1 s/python/python3/' $RPM_BUILD_ROOT%{_datadir}/%{name}/simpletrace.py
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool
install -m 0644 -t $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool scripts/tracetool/*.py
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool/backend
install -m 0644 -t $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool/backend scripts/tracetool/backend/*.py
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool/format
install -m 0644 -t $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool/format scripts/tracetool/format/*.py

mkdir -p $RPM_BUILD_ROOT%{qemudocdir}
install -p -m 0644 -t ${RPM_BUILD_ROOT}%{qemudocdir} Changelog README.rst README.systemtap COPYING COPYING.LIB LICENSE docs/interop/qmp-spec.txt
chmod -x ${RPM_BUILD_ROOT}%{_mandir}/man1/*
chmod -x ${RPM_BUILD_ROOT}%{_mandir}/man8/*

install -D -p -m 0644 qemu.sasl $RPM_BUILD_ROOT%{_sysconfdir}/sasl2/%{name}.conf

# Provided by package openbios
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/openbios-ppc
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/openbios-sparc32
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/openbios-sparc64
# Provided by package SLOF
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/slof.bin

# Remove unpackaged files.
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/palcode-clipper
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/petalogix*.dtb
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/bamboo.dtb
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/ppc_rom.bin
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/s390-zipl.rom
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/u-boot.e500
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/qemu_vga.ndrv
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/skiboot.lid

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/s390-ccw.img
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/s390-netboot.img
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/hppa-firmware.img
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/canyonlands.dtb
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/u-boot-sam460-20100605.bin

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/firmware
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/edk2-*.fd
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/edk2-licenses.txt

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/opensbi-riscv32-virt-fw_jump.bin
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/opensbi-riscv64-sifive_u-fw_jump.bin
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/opensbi-riscv64-virt-fw_jump.bin
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/qemu-nsis.bmp

rm -rf ${RPM_BUILD_ROOT}%{_libdir}/qemu-kvm/ui-spice-app.so

%ifarch s390x
    # Use the s390-*.imgs that we've just built, not the pre-built ones
    install -m 0644 pc-bios/s390-ccw/s390-ccw.img $RPM_BUILD_ROOT%{_datadir}/%{name}/
    install -m 0644 pc-bios/s390-ccw/s390-netboot.img $RPM_BUILD_ROOT%{_datadir}/%{name}/
%endif

%ifnarch x86_64
    rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/kvmvapic.bin
    rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/linuxboot.bin
    rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/multiboot.bin
    rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/pvh.bin
%endif

# Remove sparc files
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/QEMU,tcx.bin
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/QEMU,cgthree.bin

# Remove ivshmem example programs
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/ivshmem-client
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/ivshmem-server

# Remove efi roms
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/efi*.rom

# Provided by package ipxe
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/pxe*rom
# Provided by package vgabios
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/vgabios*bin
# Provided by package seabios
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/bios*.bin
# Provided by package sgabios
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sgabios.bin

# the pxe gpxe images will be symlinks to the images on
# /usr/share/ipxe, as QEMU doesn't know how to look
# for other paths, yet.
pxe_link() {
    ln -s ../ipxe.efi/$2.rom %{buildroot}%{_datadir}/%{name}/efi-$1.rom
}

%ifnarch aarch64 s390x
pxe_link e1000 8086100e
pxe_link ne2k_pci 10ec8029
pxe_link pcnet 10222000
pxe_link rtl8139 10ec8139
pxe_link virtio 1af41000
pxe_link e1000e 808610d3
%endif

rom_link() {
    ln -s $1 %{buildroot}%{_datadir}/%{name}/$2
}

%ifnarch aarch64 s390x
  rom_link ../seavgabios/vgabios-isavga.bin vgabios.bin
  rom_link ../seavgabios/vgabios-cirrus.bin vgabios-cirrus.bin
  rom_link ../seavgabios/vgabios-qxl.bin vgabios-qxl.bin
  rom_link ../seavgabios/vgabios-stdvga.bin vgabios-stdvga.bin
  rom_link ../seavgabios/vgabios-vmware.bin vgabios-vmware.bin
  rom_link ../seavgabios/vgabios-virtio.bin vgabios-virtio.bin
  rom_link ../seavgabios/vgabios-ramfb.bin vgabios-ramfb.bin
  rom_link ../seavgabios/vgabios-bochs-display.bin vgabios-bochs-display.bin
%endif
%ifarch x86_64
  rom_link ../seabios/bios.bin bios.bin
  rom_link ../seabios/bios-256k.bin bios-256k.bin
  rom_link ../sgabios/sgabios.bin sgabios.bin
%endif

%if 0%{have_kvm_setup}
    install -D -p -m 755 %{SOURCE21} $RPM_BUILD_ROOT%{_prefix}/lib/systemd/kvm-setup
    install -D -p -m 644 %{SOURCE22} $RPM_BUILD_ROOT%{_unitdir}/kvm-setup.service
    install -D -p -m 644 %{SOURCE23} $RPM_BUILD_ROOT%{_presetdir}/85-kvm.preset
%endif

%if 0%{have_memlock_limits}
    install -D -p -m 644 %{SOURCE28} $RPM_BUILD_ROOT%{_sysconfdir}/security/limits.d/95-kvm-memlock.conf
%endif

# Install rules to use the bridge helper with libvirt's virbr0
install -D -m 0644 %{SOURCE12} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/bridge.conf

# Install qemu-pr-helper service
install -m 0644 %{_sourcedir}/qemu-pr-helper.service %{buildroot}%{_unitdir}
install -m 0644 %{_sourcedir}/qemu-pr-helper.socket %{buildroot}%{_unitdir}

find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f

# We need to make the block device modules executable else
# RPM won't pick up their dependencies.
chmod +x $RPM_BUILD_ROOT%{_libdir}/qemu-kvm/block-*.so

# Remove buildinfo
rm -rf $RPM_BUILD_ROOT%{qemudocdir}/interop/.buildinfo

# Remove spec
rm -rf $RPM_BUILD_ROOT%{qemudocdir}/specs

%check
export DIFF=diff; make check V=1

%post -n qemu-kvm-core
# load kvm modules now, so we can make sure no reboot is needed.
# If there's already a kvm module installed, we don't mess with it
%udev_rules_update
sh %{_sysconfdir}/sysconfig/modules/kvm.modules &> /dev/null || :
    udevadm trigger --subsystem-match=misc --sysname-match=kvm --action=add || :
%if %{have_kvm_setup}
    systemctl daemon-reload # Make sure it sees the new presets and unitfile
    %systemd_post kvm-setup.service
    if systemctl is-enabled kvm-setup.service > /dev/null; then
        systemctl start kvm-setup.service
    fi
%endif

%if %{have_kvm_setup}
%preun -n qemu-kvm-core
%systemd_preun kvm-setup.service
%endif

%post -n qemu-kvm-common
%systemd_post ksm.service
%systemd_post ksmtuned.service

getent group kvm >/dev/null || groupadd -g 36 -r kvm
getent group qemu >/dev/null || groupadd -g 107 -r qemu
getent passwd qemu >/dev/null || \
useradd -r -u 107 -g qemu -G kvm -d / -s /sbin/nologin \
  -c "qemu user" qemu

%preun -n qemu-kvm-common
%systemd_preun ksm.service
%systemd_preun ksmtuned.service

%postun -n qemu-kvm-common
%systemd_postun_with_restart ksm.service
%systemd_postun_with_restart ksmtuned.service

%post -n qemu-guest-agent
%systemd_post qemu-guest-agent.service
%preun -n qemu-guest-agent
%systemd_preun qemu-guest-agent.service
%postun -n qemu-guest-agent
%systemd_postun_with_restart qemu-guest-agent.service

%files
# Deliberately empty


%files -n qemu-kvm-common
%defattr(-,root,root)
%dir %{qemudocdir}
%doc %{qemudocdir}/Changelog
%doc %{qemudocdir}/README.rst
%doc %{qemudocdir}/qemu-doc.html
%doc %{qemudocdir}/COPYING
%doc %{qemudocdir}/COPYING.LIB
%doc %{qemudocdir}/LICENSE
%doc %{qemudocdir}/README.systemtap
%doc %{qemudocdir}/qmp-spec.txt
%doc %{qemudocdir}/qemu-doc.txt
%doc %{qemudocdir}/qemu-ga-ref.html
%doc %{qemudocdir}/qemu-ga-ref.txt
%doc %{qemudocdir}/qemu-qmp-ref.html
%doc %{qemudocdir}/qemu-qmp-ref.txt
%doc %{qemudocdir}/interop/*
%{_mandir}/man7/qemu-qmp-ref.7*
%{_mandir}/man7/qemu-cpu-models.7*
%{_bindir}/qemu-keymap
%{_bindir}/qemu-pr-helper
%{_bindir}/qemu-edid
%{_bindir}/qemu-trace-stap
%{_unitdir}/qemu-pr-helper.service
%{_unitdir}/qemu-pr-helper.socket
%{_mandir}/man7/qemu-ga-ref.7*

%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/keymaps/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/qemu-trace-stap.1*
%{_mandir}/man7/qemu-block-drivers.7*
%attr(4755, -, -) %{_libexecdir}/qemu-bridge-helper
%config(noreplace) %{_sysconfdir}/sasl2/%{name}.conf
%{_unitdir}/ksm.service
%{_libexecdir}/ksmctl
%config(noreplace) %{_sysconfdir}/sysconfig/ksm
%{_unitdir}/ksmtuned.service
%{_sbindir}/ksmtuned
%{_udevdir}/udev-kvm-check
%{_udevrulesdir}/81-kvm-rhel.rules
%ghost %{_sysconfdir}/kvm
%config(noreplace) %{_sysconfdir}/ksmtuned.conf
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/bridge.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/vhost.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/kvm.conf
%{_datadir}/%{name}/simpletrace.py*
%{_datadir}/%{name}/tracetool/*.py*
%{_datadir}/%{name}/tracetool/backend/*.py*
%{_datadir}/%{name}/tracetool/format/*.py*

%files -n qemu-kvm-core
%defattr(-,root,root)
%ifarch x86_64
    %{_datadir}/%{name}/bios.bin
    %{_datadir}/%{name}/bios-256k.bin
    %{_datadir}/%{name}/linuxboot.bin
    %{_datadir}/%{name}/multiboot.bin
    %{_datadir}/%{name}/kvmvapic.bin
    %{_datadir}/%{name}/sgabios.bin
    %{_datadir}/%{name}/pvh.bin
%endif
%ifarch s390x
    %{_datadir}/%{name}/s390-ccw.img
    %{_datadir}/%{name}/s390-netboot.img
%endif
%ifnarch aarch64 s390x
    %{_datadir}/%{name}/vgabios.bin
    %{_datadir}/%{name}/vgabios-cirrus.bin
    %{_datadir}/%{name}/vgabios-qxl.bin
    %{_datadir}/%{name}/vgabios-stdvga.bin
    %{_datadir}/%{name}/vgabios-vmware.bin
    %{_datadir}/%{name}/vgabios-virtio.bin
    %{_datadir}/%{name}/vgabios-ramfb.bin
    %{_datadir}/%{name}/vgabios-bochs-display.bin
    %{_datadir}/%{name}/efi-e1000.rom
    %{_datadir}/%{name}/efi-e1000e.rom
    %{_datadir}/%{name}/efi-virtio.rom
    %{_datadir}/%{name}/efi-pcnet.rom
    %{_datadir}/%{name}/efi-rtl8139.rom
    %{_datadir}/%{name}/efi-ne2k_pci.rom
%endif
%{_datadir}/icons/*
%{_datadir}/%{name}/linuxboot_dma.bin
%{_datadir}/%{name}/dump-guest-memory.py*
%{_libexecdir}/qemu-kvm
%{_datadir}/systemtap/tapset/qemu-kvm.stp
%{_datadir}/systemtap/tapset/qemu-kvm-log.stp
%{_datadir}/%{name}/trace-events-all
%{_datadir}/systemtap/tapset/qemu-kvm-simpletrace.stp
%{_datadir}/%{name}/systemtap/script.d/qemu_kvm.stp
%{_datadir}/%{name}/systemtap/conf.d/qemu_kvm.conf
%if 0%{have_kvm_setup}
    %{_prefix}/lib/systemd/kvm-setup
    %{_unitdir}/kvm-setup.service
    %{_presetdir}/85-kvm.preset
%endif
%if 0%{have_memlock_limits}
    %{_sysconfdir}/security/limits.d/95-kvm-memlock.conf
%endif
%{_libexecdir}/virtiofsd
%{_datadir}/%{name}/vhost-user/50-qemu-virtiofsd.json

%files -n qemu-img
%defattr(-,root,root)
%{_bindir}/qemu-img
%{_bindir}/qemu-io
%{_bindir}/qemu-nbd
%{_mandir}/man1/qemu-img.1*
%{_mandir}/man8/qemu-nbd.8*

%files -n qemu-guest-agent
%defattr(-,root,root,-)
%doc COPYING README.rst
%{_bindir}/qemu-ga
%{_mandir}/man8/qemu-ga.8*
%{_unitdir}/qemu-guest-agent.service
%{_udevrulesdir}/99-qemu-guest-agent.rules
%config(noreplace) %{_sysconfdir}/sysconfig/qemu-ga
%{_sysconfdir}/qemu-ga
%{_sysconfdir}/qemu-kvm/fsfreeze-hook
%{_datadir}/%{name}/qemu-ga
%dir %{_localstatedir}/log/qemu-ga

%files tests
%{testsdir}

%files block-curl
%{_libdir}/qemu-kvm/block-curl.so

%if %{have_gluster}
%files block-gluster
%{_libdir}/qemu-kvm/block-gluster.so
%endif

%files block-iscsi
%{_libdir}/qemu-kvm/block-iscsi.so

%files block-rbd
%{_libdir}/qemu-kvm/block-rbd.so

%files block-ssh
%{_libdir}/qemu-kvm/block-ssh.so


%changelog
* Tue Feb 08 2022 Jon Maloy <jmaloy@redhat.com> - 4.2.0-59.el8_5.2
- kvm-virtiofsd-Drop-membership-of-all-supplementary-group.patch [bz#2048627]
- Resolves: bz#2048627
  (CVE-2022-0358 virt:rhel/qemu-kvm: QEMU: virtiofsd: potential privilege escalation via CVE-2018-13405 [rhel-8.5.0.z])

* Thu Nov 25 2021 Jon Maloy <jmaloy@redhat.com> - 4.2.0-59.el8_5
- kvm-hw-scsi-scsi-disk-MODE_PAGE_ALLS-not-allowed-in-MODE.patch [bz#2025605]
- kvm-e1000-fix-tx-re-entrancy-problem.patch [bz#2025011]
- Resolves: bz#2025605
  (CVE-2021-3930 virt:rhel/qemu-kvm: QEMU: off-by-one error in mode_sense_page() in hw/scsi/scsi-disk.c [rhel-8.5.0.z])
- Resolves: bz#2025011
  (CVE-2021-20257 virt:rhel/qemu-kvm: QEMU: net: e1000: infinite loop while processing transmit descriptors [rhel-8.5.0.z])

* Fri Oct 01 2021 Jon Maloy <jmaloy@redhat.com> - 4.2.0-59
- kvm-scsi-make-io_timeout-configurable.patch [bz#1994041]
- Resolves: bz#1994041
  (qemu-kvm scsi: change default passthrough timeout to non-infinite)

* Wed Aug 18 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-58.el8
- kvm-virtiofsd-Disable-remote-posix-locks-by-default.patch [bz#1967496]
- kvm-virtiofsd-Fix-the-help-message-of-posix-lock.patch [bz#1967496]
- Resolves: bz#1967496
  ([virtio-fs] nfs/xfstest generic/089 generic/478 generic/632 failed)

* Wed Aug 04 2021 Miroslav Rezanina <mrezanin@redhat.com> - 4.2.0-57
- kvm-aio-wait-delegate-polling-of-main-AioContext-if-BQL-.patch [bz#1969848]
- kvm-async-use-explicit-memory-barriers.patch [bz#1969848]
- Resolves: bz#1969848
  (qemu-img convert hangs on aarch64)

* Thu Jul 29 2021 Miroslav Rezanina <mrezanin@redhat.com> - 4.2.0-56
- kvm-glib-compat-add-g_unix_get_passwd_entry_qemu.patch [bz#1967716]
- kvm-qga-add-ssh-add-remove-authorized-keys.patch [bz#1967716]
- kvm-qga-add-reset-argument-to-ssh-add-authorized-keys.patch [bz#1967716]
- kvm-qga-add-ssh-get-authorized-keys.patch [bz#1967716]
- kvm-Add-mtod_check.patch [bz#1970819 bz#1970835 bz#1970843 bz#1970853]
- kvm-bootp-limit-vendor-specific-area-to-input-packet-mem.patch [bz#1970819 bz#1970835 bz#1970843 bz#1970853]
- kvm-bootp-check-bootp_input-buffer-size.patch [bz#1970819]
- kvm-upd6-check-udp6_input-buffer-size.patch [bz#1970835]
- kvm-tftp-check-tftp_input-buffer-size.patch [bz#1970843]
- kvm-tftp-introduce-a-header-structure.patch [bz#1970819 bz#1970835 bz#1970843 bz#1970853]
- kvm-udp-check-upd_input-buffer-size.patch [bz#1970853]
- kvm-Fix-DHCP-broken-in-libslirp-v4.6.0.patch [bz#1970819 bz#1970835 bz#1970843 bz#1970853]
- kvm-net-check-if-the-file-descriptor-is-valid-before-usi.patch [bz#1982134]
- kvm-net-detect-errors-from-probing-vnet-hdr-flag-for-TAP.patch [bz#1982134]
- Resolves: bz#1967716
  (RFE: rebuild guest agent to include public ssh injection api support)
- Resolves: bz#1970819
  (CVE-2021-3592 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (bootp) [rhel-8])
- Resolves: bz#1970835
  (CVE-2021-3593 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp6) [rhel-8])
- Resolves: bz#1970843
  (CVE-2021-3595 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (tftp) [rhel-8])
- Resolves: bz#1970853
  (CVE-2021-3594 virt:rhel/qemu-kvm: QEMU: slirp: invalid pointer initialization may lead to information disclosure (udp) [rhel-8])
- Resolves: bz#1982134
  (QEMU core dump while booting guest with a non-exist fd on tap)

* Fri Jul 23 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-55.el8
- kvm-net-introduce-qemu_receive_packet.patch [bz#1932917]
- kvm-e1000-switch-to-use-qemu_receive_packet-for-loopback.patch [bz#1932917]
- kvm-dp8393x-switch-to-use-qemu_receive_packet-for-loopba.patch [bz#1932917]
- kvm-sungem-switch-to-use-qemu_receive_packet-for-loopbac.patch [bz#1932917]
- kvm-tx_pkt-switch-to-use-qemu_receive_packet_iov-for-loo.patch [bz#1932917]
- kvm-rtl8139-switch-to-use-qemu_receive_packet-for-loopba.patch [bz#1932917]
- kvm-pcnet-switch-to-use-qemu_receive_packet-for-loopback.patch [bz#1932917]
- kvm-cadence_gem-switch-to-use-qemu_receive_packet-for-lo.patch [bz#1932917]
- kvm-lan9118-switch-to-use-qemu_receive_packet-for-loopba.patch [bz#1932917]
- Resolves: bz#1932917
  (CVE-2021-3416 virt:rhel/qemu-kvm: QEMU: net: infinite loop in loopback mode may lead to stack overflow)

* Thu Jul 22 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-54.el8
- kvm-redhat-Fix-unversioned-Obsoletes-warning.patch [bz#1967329]
- Resolves: bz#1967329
  (Make qemu-kvm use versioned obsoletes for qemu-kvm-ma and qemu-kvm-rhev)

* Fri Jul 02 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-53.el8
- kvm-virtiofsd-Whitelist-fchmod.patch [bz#1967914]
- kvm-spapr-Fix-EEH-capability-issue-on-KVM-guest-for-PCI-.patch [bz#1957866]
- kvm-Compress-lines-for-immediate-return.patch [bz#1970912]
- kvm-file-posix-Handle-EINVAL-fallocate-return-value.patch [bz#1970912]
- Resolves: bz#1967914
  ([virtio-fs] virtiofsd quit when coping file to a folder in virtio-fs mounted volume(windows guest))
- Resolves: bz#1957866
  (RHEL8.4 - EEH capability disabled on KVM guest and recovery of PCI passthru device fails(CX5 / mlx5_core) (qemu-kvm))
- Resolves: bz#1970912
  (Deployment fails with "Invalid or missing agent token received")

* Fri Jun 11 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-52.el8
- kvm-file-posix-Mitigate-file-fragmentation-with-extent-s.patch [bz#1877163]
- kvm-block-file-posix-Fix-problem-with-fallocate-PUNCH_HO.patch [bz#1944861]
- kvm-spapr-Remove-stale-comment-about-power-saving-LPCR-b.patch [bz#1969768]
- kvm-spapr-Set-LPCR-to-current-AIL-mode-when-starting-a-n.patch [bz#1969768]
- Resolves: bz#1877163
  ([FJ 8.3 Bug] The progress bar of the "virt-clone --nonsparse" command shows the progress rate exceeding 100%.)
- Resolves: bz#1944861
  (Qemu-img convert fails when source image is on gpfs)
- Resolves: bz#1969768
  ([ppc64le] Hotplug vcpu device hit call trace:[qemu output] KVM: unknown exit, hardware reason 7fff9ce87ed8)

* Tue May 25 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-51.el8
- kvm-linux-headers-Add-VFIO_CCW_REQ_IRQ_INDEX.patch [bz#1940450]
- kvm-vfio-ccw-Connect-the-device-request-notifier.patch [bz#1940450]
- kvm-pc-bios-s390-ccw-fix-off-by-one-error.patch [bz#1942880]
- kvm-pc-bios-s390-ccw-break-loop-if-a-null-block-number-i.patch [bz#1942880]
- kvm-pc-bios-s390-ccw-don-t-try-to-read-the-next-block-if.patch [bz#1942880]
- Resolves: bz#1940450
  (RHEL8.5 - Mediated Device already in use by same domain we are booting (vfio-ccw/Multipath Testing) (kvm) - qemu-kvm part (also has kernel and libvirt parts))
- Resolves: bz#1942880
  (RHEL8.4 Nightly[0322] - KVM guest fails to find zipl boot menu index (qemu-kvm))

* Wed May 05 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-50.el8
- kvm-hw-intc-arm_gic-Fix-interrupt-ID-in-GICD_SGIR-regist.patch [bz#1925430]
- kvm-libqos-usb-hcd-ehci-use-32-bit-write-for-config-regi.patch [bz#1842478]
- kvm-libqos-pci-pc-use-32-bit-write-for-EJ-register.patch [bz#1842478]
- kvm-memory-Revert-memory-accept-mismatching-sizes-in-mem.patch [bz#1842478]
- kvm-acpi-accept-byte-and-word-access-to-core-ACPI-regist.patch [bz#1842478]
- kvm-xhci-fix-valid.max_access_size-to-access-address-reg.patch [bz#1842478]
- kvm-softmmu-memory-Log-invalid-memory-accesses.patch [bz#1842478]
- Resolves: bz#1925430
  (CVE-2021-20221 virt:rhel/qemu-kvm: qemu: out-of-bound heap buffer access via an interrupt ID field [rhel-8.5.0])
- Resolves: bz#1842478
  (CVE-2020-13754 virt:rhel/qemu-kvm: QEMU: msix: OOB access during mmio operations may lead to DoS [rhel-8.5.0])

* Wed Apr 28 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-49.el8
- kvm-net-remove-an-assert-call-in-eth_get_gso_type.patch [bz#1892350]
- kvm-e1000-fail-early-for-evil-descriptor.patch [bz#1930092]
- kvm-net-forbid-the-reentrant-RX.patch [bz#1859175]
- kvm-qemu-img-convert-Don-t-pre-zero-images.patch [bz#1855250]
- kvm-audio-audio_generic_get_buffer_in-should-honor-size.patch [bz#1932823]
- Resolves: bz#1892350
  (CVE-2020-27617 virt:rhel/qemu-kvm: QEMU: net: an assert failure via eth_get_gso_type [rhel-8.5.0])
- Resolves: bz#1930092
  (CVE-2021-20257 virt:rhel/qemu-kvm: QEMU: net: e1000: infinite loop while processing transmit descriptors [rhel-8.5.0])
- Resolves: bz#1859175
  (CVE-2020-15859 virt:rhel/qemu-kvm: QEMU: net: e1000e: use-after-free while sending packets [rhel-8])
- Resolves: bz#1855250
  (qemu-img convert uses possibly slow pre-zeroing on block storage)
- Resolves: bz#1932823
  (after upgrade from 4.3 to 4.4 audio stops working in guests after couple of seconds)

* Tue Mar 16 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-48.el8
- kvm-ide-atapi-check-logical-block-address-and-read-size-.patch [bz#1917451]
- Resolves: bz#1917451
  (CVE-2020-29443 virt:rhel/qemu-kvm: QEMU: ide: atapi: OOB access while processing read commands [rhel-8.4.0])

* Mon Mar 08 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-47.el8
- kvm-x86-cpu-Enable-AVX512_VP2INTERSECT-cpu-feature.patch [bz#1790620]
- kvm-target-i386-add-fast-short-REP-MOV-support.patch [bz#1790620]
- kvm-x86-cpu-Populate-SVM-CPUID-feature-bits.patch [bz#1790620]
- kvm-i386-Add-the-support-for-AMD-EPYC-3rd-generation-pro.patch [bz#1790620]
- Resolves: bz#1790620
  ([RFE] AMD Milan - Add KVM/support for EPYC-Milan CPU Model - Slow Train)

* Wed Mar 03 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-46.el8
- kvm-redhat-makes-qemu-respect-system-s-crypto-profile.patch [bz#1902960]
- kvm-spapr-Adjust-firmware-path-of-PCI-devices.patch [bz#1912891]
- Resolves: bz#1902960
  (QEMU doesn't honour system crypto policies)
- Resolves: bz#1912891
  ([ppc64le] --disk cdimage.iso,bus=usb fails to boot)

* Wed Feb 10 2021 Jon Maloy <jmaloy@redhat.com> - 4.2.0-45.el8
- kvm-virtiofsd-extract-lo_do_open-from-lo_open.patch [bz#1919111]
- kvm-virtiofsd-optionally-return-inode-pointer-from-lo_do.patch [bz#1919111]
- kvm-virtiofsd-prevent-opening-of-special-files-CVE-2020-.patch [bz#1919111]
- Resolves: bz#1919111
  (CVE-2020-35517 virt:rhel/qemu-kvm: QEMU: virtiofsd: potential privileged host device access from guest [rhel-8.4.0])

* Tue Feb 02 2021 Jon Maloy <jmaloy@redhat.com> - 4.2.0-44.el8
- kvm-spapr-Improve-handling-of-fdt-buffer-size.patch [bz#1901837]
- kvm-spapr-Fold-h_cas_compose_response-into-h_client_arch.patch [bz#1901837]
- kvm-spapr-Don-t-use-spapr_drc_needed-in-CAS-code.patch [bz#1901837]
- kvm-spapr-Fix-handling-of-unplugged-devices-during-CAS-a.patch [bz#1901837]
- kvm-spapr-Allow-memory-unplug-to-always-succeed.patch [bz#1901837]
- kvm-spapr-Improve-handling-of-memory-unplug-with-old-gue.patch [bz#1901837]
- kvm-block-Require-aligned-image-size-to-avoid-assertion-.patch [bz#1834281]
- kvm-file-posix-Allow-byte-aligned-O_DIRECT-with-NFS.patch [bz#1834281]
- kvm-block-iscsi-fix-heap-buffer-overflow-in-iscsi_aio_io.patch [bz#1912974]
- Resolves: bz#1834281
  (qemu-img convert abort when converting image with unaligned size)
- Resolves: bz#1901837
  (Failed to hotunplug pc-dimm device)
- Resolves: bz#1912974
  (CVE-2020-11947 virt:rhel/qemu-kvm: QEMU: heap buffer overflow in iscsi_aio_ioctl_cb() in block/iscsi.c may lead to information disclosure [rhel-8])

* Wed Jan 27 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-43.el8
- kvm-Drop-bogus-IPv6-messages.patch [bz#1918054]
- Resolves: bz#1918054
  (CVE-2020-10756 virt:rhel/qemu-kvm: QEMU: slirp: networking out-of-bounds read information disclosure vulnerability [rhel-8.4.0])

* Thu Jan 21 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-42.el8
- kvm-linux-headers-add-vfio-DMA-available-capability.patch [bz#1905391]
- kvm-s390x-pci-Move-header-files-to-include-hw-s390x.patch [bz#1905391]
- kvm-vfio-Create-shared-routine-for-scanning-info-capabil.patch [bz#1905391]
- kvm-vfio-Find-DMA-available-capability.patch [bz#1905391]
- kvm-s390x-pci-Add-routine-to-get-the-vfio-dma-available-.patch [bz#1905391]
- kvm-s390x-pci-Honor-DMA-limits-set-by-vfio.patch [bz#1905391]
- kvm-s390x-fix-build-for-without-default-devices.patch [bz#1905391]
- Resolves: bz#1905391
  (RHEL8.4 - s390x/pci: Honor vfio DMA limiting (qemu-kvm))

* Mon Jan 18 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-41.el8
- kvm-udev-kvm-check-remove-the-exceeded-subscription-limi.patch [bz#1909244]
- kvm-hw-arm-smmu-common-Factorize-some-code-in-smmu_ptw_6.patch [bz#1843852]
- kvm-hw-arm-smmu-common-Add-IOTLB-helpers.patch [bz#1843852]
- kvm-hw-arm-smmu-Introduce-smmu_get_iotlb_key.patch [bz#1843852]
- kvm-hw-arm-smmu-Introduce-SMMUTLBEntry-for-PTW-and-IOTLB.patch [bz#1843852]
- kvm-hw-arm-smmu-common-Manage-IOTLB-block-entries.patch [bz#1843852]
- kvm-hw-arm-smmuv3-Introduce-smmuv3_s1_range_inval-helper.patch [bz#1843852]
- kvm-hw-arm-smmuv3-Get-prepared-for-range-invalidation.patch [bz#1843852]
- kvm-hw-arm-smmuv3-Fix-potential-integer-overflow-CID-143.patch [bz#1843852]
- kvm-memory-Rename-memory_region_notify_one-to-memory_reg.patch [bz#1843852]
- kvm-memory-Add-IOMMUTLBEvent.patch [bz#1843852]
- kvm-memory-Add-IOMMU_NOTIFIER_DEVIOTLB_UNMAP-IOMMUTLBNot.patch [bz#1843852]
- kvm-intel_iommu-Skip-page-walking-on-device-iotlb-invali.patch [bz#1843852]
- kvm-memory-Skip-bad-range-assertion-if-notifier-is-DEVIO.patch [bz#1843852]
- kvm-memory-clamp-cached-translation-in-case-it-points-to.patch [bz#1904393]
- kvm-hw-ehci-check-return-value-of-usb_packet_map.patch [bz#1898628]
- kvm-hw-net-e1000e-advance-desc_offset-in-case-of-null-de.patch [bz#1903070]
- Resolves: bz#1909244
  (Remove KVM guest count and limit info message)
- Resolves: bz#1843852
  (qemu core dumped: qemu-kvm: /builddir/build/BUILD/qemu-4.2.0/memory.c:1928: memory_region_notify_one: Assertion `entry->iova >= notifier->start && entry_end <= notifier->end' failed.)
- Resolves: bz#1904393
  (CVE-2020-27821 virt:rhel/qemu-kvm: QEMU: heap buffer overflow in msix_table_mmio_write() in hw/pci/msix.c [rhel-8])
- Resolves: bz#1898628
  (CVE-2020-25723 virt:rhel/qemu-kvm: QEMU: assertion failure through usb_packet_unmap() in hw/usb/hcd-ehci.c [rhel-8])
- Resolves: bz#1903070
  (CVE-2020-25707 CVE-2020-28916 virt:rhel/qemu-kvm: various flaws [rhel-8])

* Mon Jan 04 2021 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-40.el8
- kvm-redhat-link-etc-qemu-ga-fsfreeze-hook-to-etc-qemu-kv.patch [bz#1910267]
- kvm-qga-rename-Error-parameter-to-more-common-errp.patch [bz#1910326]
- kvm-util-Introduce-qemu_get_host_name.patch [bz#1910326]
- kvm-qga-Use-qemu_get_host_name-instead-of-g_get_host_nam.patch [bz#1910326]
- kvm-redhat-add-un-pre-install-systemd-hooks-for-qemu-ga.patch [bz#1910220]
- Resolves: bz#1910267
  (There is no soft link '/etc/qemu-kvm/fsfreeze-hook')
- Resolves: bz#1910326
  (Incorrect hostname returned by  qga command 'guest-get-host-name')
- Resolves: bz#1910220
  (qemu-ga service still active and can work after qemu-guest-agent been removed)

* Wed Dec 23 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-39.el8
- kvm-ppc-spapr-Add-hotremovable-flag-on-DIMM-LMBs-on-drme.patch [bz#1901837]
- kvm-ppc-spapr-re-assert-IRQs-during-event-scan-if-there-.patch [bz#1901837]
- kvm-slirp-check-pkt_len-before-reading-protocol-header.patch [bz#1902237]
- kvm-s390x-s390-virtio-ccw-Reset-PCI-devices-during-subsy.patch [bz#1905386]
- kvm-qapi-enable-use-of-g_autoptr-with-QAPI-types.patch [bz#1859494]
- kvm-error-Fix-examples-in-error.h-s-big-comment.patch [bz#1859494]
- kvm-error-Improve-error.h-s-big-comment.patch [bz#1859494]
- kvm-error-Document-Error-API-usage-rules.patch [bz#1859494]
- kvm-error-New-macro-ERRP_GUARD.patch [bz#1859494]
- kvm-qga-add-command-guest-get-disks.patch [bz#1859494]
- kvm-qga-add-implementation-of-guest-get-disks-for-Linux.patch [bz#1859494]
- kvm-qga-add-implementation-of-guest-get-disks-for-Window.patch [bz#1859494]
- kvm-qga-fix-missing-closedir-in-qmp_guest_get_disks.patch [bz#1859494]
- kvm-qga-update-schema-for-guest-get-disks-dependents-fie.patch [bz#1859494]
- Resolves: bz#1859494
  (Report logical_name for disks without mounted file-system)
- Resolves: bz#1901837
  (Failed to hotunplug pc-dimm device)
- Resolves: bz#1902237
  (CVE-2020-29129 CVE-2020-29130 virt:rhel/qemu-kvm: QEMU: slirp: out-of-bounds access while processing ARP/NCSI packets [rhel-8])
- Resolves: bz#1905386
  (RHEL8.3 - s390x/s390-virtio-ccw: Reset PCI devices during subsystem reset (qemu-kvm))

* Fri Dec 11 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-38.el8
- kvm-seccomp-fix-killing-of-whole-process-instead-of-thre.patch [bz#1880546]
- kvm-pc-bios-s390x-Rename-PSW_MASK_ZMODE-to-PSW_MASK_64.patch [bz#1903135]
- kvm-pc-bios-s390x-Use-PSW-masks-where-possible-and-intro.patch [bz#1903135]
- kvm-pc-bios-s390x-Ensure-Read-IPL-memory-is-clean.patch [bz#1903135]
- kvm-pc-bios-s390x-Clear-out-leftover-S390EP-string.patch [bz#1903135]
- Resolves: bz#1880546
  (qemu use SCMP_ACT_TRAP even SCMP_ACT_KILL_PROCESS is available)
- Resolves: bz#1903135
  (RHEL8.3 - KVM Distro install to vfio_ccw backed DASD gets error at the reboot step (qemu-kvm))

* Mon Nov 23 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-37.el8
- kvm-hw-net-net_tx_pkt-fix-assertion-failure-in-net_tx_pk.patch [bz#1860994]
- Resolves: bz#1860994
  (CVE-2020-16092 virt:rhel/qemu-kvm: QEMU: reachable assertion failure in net_tx_pkt_add_raw_fragment() in hw/net/net_tx_pkt.c [rhel-8])

* Fri Nov 20 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-36.el8
- kvm-qga-fix-assert-regression-on-guest-shutdown.patch [bz#1884531]
- kvm-libvhost-user-handle-endianness-as-mandated-by-the-s.patch [bz#1857733]
- kvm-virtio-add-vhost-user-fs-ccw-device.patch [bz#1857733]
- kvm-Ensure-vhost-user-fs-is-enabled-on-s390x.patch [bz#1857733]
- kvm-s390x-sclp.c-remove-unneeded-label-in-sclp_service_c.patch [bz#1798506]
- kvm-s390-sclp-get-machine-once-during-read-scp-cpu-info.patch [bz#1798506]
- kvm-s390-sclp-rework-sclp-boundary-checks.patch [bz#1798506]
- kvm-s390-sclp-read-sccb-from-mem-based-on-provided-lengt.patch [bz#1798506]
- kvm-s390-sclp-check-sccb-len-before-filling-in-data.patch [bz#1798506]
- kvm-s390-sclp-use-cpu-offset-to-locate-cpu-entries.patch [bz#1798506]
- kvm-s390-sclp-add-extended-length-sccb-support-for-kvm-g.patch [bz#1798506]
- kvm-linux-headers-Partial-update-against-Linux-5.9-rc4.patch [bz#1798506]
- kvm-misc-Replace-zero-length-arrays-with-flexible-array-.patch [bz#1798506]
- kvm-s390-guest-support-for-diagnose-0x318.patch [bz#1798506]
- kvm-s390x-pv-Remove-sclp-boundary-checks.patch [bz#1798506]
- kvm-s390x-pv-Fix-diag318-PV-fencing.patch [bz#1798506]
- kvm-s390-kvm-fix-diag318-propagation-and-reset-functiona.patch [bz#1659412]
- kvm-trace-use-STAP_SDT_V2-to-work-around-symbol-visibili.patch [bz#1898700]
- Resolves: bz#1659412
  ([IBM 8.4 FEAT] KVM enablement for enhanced hardware diagnose data of guest kernel on s390x - qemu part)
- Resolves: bz#1798506
  ([IBM 8.4 FEAT] KVM: Support extended-length SCCBs - qemu part)
- Resolves: bz#1857733
  ([IBM 8.4 FEAT] KVM: Add support for virtio-fs on s390x - qemu part)
- Resolves: bz#1884531
  (qemu-ga aborts after guest-shutdown command)
- Resolves: bz#1898700
  (qemu-kvm for RHEL-8.4 doesn't build due to a possible incompatibility with systemtap-sdt-devel-4.4-1)

* Mon Oct 19 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-35.el8
- kvm-qga-commands-posix-Rework-build_guest_fsinfo_for_rea.patch [bz#1755075]
- kvm-qga-commands-posix-Move-the-udev-code-from-the-pci-t.patch [bz#1755075]
- kvm-qga-commands-posix-Support-fsinfo-for-non-PCI-virtio.patch [bz#1755075]
- kvm-nvram-Exit-QEMU-if-NVRAM-cannot-contain-all-prom-env.patch [bz#1874780]
- kvm-pc-bios-s390-ccw-Makefile-Compile-with-std-gnu99-fwr.patch [bz#1846975]
- kvm-pc-bios-s390-ccw-Move-ipl-related-code-from-main-int.patch [bz#1846975]
- kvm-pc-bios-s390-ccw-Introduce-ENODEV-define-and-remove-.patch [bz#1846975]
- kvm-pc-bios-s390-ccw-Move-the-inner-logic-of-find_subch-.patch [bz#1846975]
- kvm-pc-bios-s390-ccw-Do-not-bail-out-early-if-not-findin.patch [bz#1846975]
- kvm-pc-bios-s390-ccw-Scan-through-all-devices-if-no-boot.patch [bz#1846975]
- kvm-pc-bios-s390-ccw-Allow-booting-in-case-the-first-vir.patch [bz#1846975]
- kvm-pc-bios-s390-ccw-main-Remove-superfluous-call-to-ena.patch [bz#1846975]
- kvm-aio-posix-completely-stop-polling-when-disabled.patch [bz#1846975]
- kvm-Remove-explicit-glusterfs-api-dependency.patch [bz#1872854]
- Resolves: bz#1755075
  ([qemu-guest-agent] fsinfo doesn't return disk info on s390x)
- Resolves: bz#1846975
  (Failed to boot up a s390x guest with virtio-blk-ccw if attaching a virtio-scsi-ccw bus in previous)
- Resolves: bz#1872854
  (move the glusterfs dependency out of qemu-kvm-core to the glusterfs module)
- Resolves: bz#1874780
  (-prom-env does not validate input)

* Tue Sep 08 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-34.el8
- kvm-usb-fix-setup_len-init-CVE-2020-14364.patch [bz#1869710]
- Resolves: bz#1869710
  (CVE-2020-14364 qemu-kvm: QEMU: usb: out-of-bounds r/w access issue while processing usb packets [rhel-8.3.0])

* Wed Aug 19 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-33.el8
- kvm-Require-libfdt-1.6.0.patch [bz#1867847]
- Resolves: bz#1867847
  ([ppc] virt module 7629: /usr/libexec/qemu-kvm: undefined symbol: fdt_check_full, version LIBFDT_1.2)

* Mon Aug 10 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-32.el8
- kvm-i386-Add-2nd-Generation-AMD-EPYC-processors.patch [bz#1780385]
- kvm-target-i386-sev-provide-proper-error-reporting-for-q.patch [bz#1689341]
- kvm-target-i386-sev-fail-query-sev-capabilities-if-QEMU-.patch [bz#1689341]
- kvm-s390x-protvirt-allow-to-IPL-secure-guests-with-no-re.patch [bz#1863034]
- Resolves: bz#1689341
  (QEMU should report an error and return failure if AMD SEV is not enabled in the kernel)
- Resolves: bz#1780385
  ([RFE] AMD EPYC-Rome support for KVM / QEMU guest)
- Resolves: bz#1863034
  (RHEL8.3 Beta - Secure Execution: Unable to start Qemu with "-no-reboot" option (qemu-kvm))

* Wed Jul 22 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-31.el8
- kvm-qcow2-Fix-alloc_cluster_abort-for-pre-existing-clust.patch [bz#1807057]
- kvm-iotests-026-Test-EIO-on-preallocated-zero-cluster.patch [bz#1807057]
- kvm-iotests-026-Test-EIO-on-allocation-in-a-data-file.patch [bz#1807057]
- kvm-iotests-026-Move-v3-exclusive-test-to-new-file.patch [bz#1807057]
- Resolves: bz#1807057
  (qcow2_alloc_cluster_abort() frees preallocated zero clusters)

* Tue Jul 07 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-30.el8
- kvm-i386-Mask-SVM-features-if-nested-SVM-is-disabled.patch [bz#1835390]
- kvm-s390x-sigp-Fix-sense-running-reporting.patch [bz#1854092]
- kvm-s390x-tcg-clear-local-interrupts-on-reset-normal.patch [bz#1854092]
- kvm-virtio-net-fix-removal-of-failover-device.patch []
- Resolves: bz#1835390
  (qemu promote host does not support 'EDX.npt' and 'EDX.nrip-save' when test with Q35 machine type on EPYC host)
- Resolves: bz#1854092
  (kvm-unit-tests: tcg smp FAIL)

* Sun Jun 28 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-29.el8
- kvm-vfio-ccw-Fix-error-message.patch [bz#1660916]
- kvm-vfio-ccw-allow-non-prefetch-ORBs.patch [bz#1660916]
- kvm-linux-headers-support-vfio-ccw-features.patch [bz#1660916]
- kvm-vfio-ccw-Refactor-cleanup-of-regions.patch [bz#1660916]
- kvm-vfio-ccw-Add-support-for-the-schib-region.patch [bz#1660916]
- kvm-vfio-ccw-Refactor-ccw-irq-handler.patch [bz#1660916]
- kvm-s390x-css-Refactor-the-css_queue_crw-routine.patch [bz#1660916]
- kvm-vfio-ccw-Add-support-for-the-CRW-region-and-IRQ.patch [bz#1660916]
- kvm-config-enable-VFIO_CCW.patch [bz#1660916]
- kvm-virtio-blk-Refactor-the-code-that-processes-queued-r.patch []
- kvm-virtio-blk-On-restart-process-queued-requests-in-the.patch []
- kvm-Fix-use-afte-free-in-ip_reass-CVE-2020-1983.patch [bz#1838070]
- Resolves: bz#1660916
  ([IBM 8.3 FEAT] KVM s390x: DASD passthrough support - qemu part)
- Resolves: bz#1838070
  (CVE-2020-1983 virt:rhel/qemu-kvm: QEMU: slirp: use-after-free in ip_reass() function in ip_input.c [rhel-8])

* Fri Jun 19 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 4.2.0-28.el8
- kvm-redhat-Install-the-s390-netboot.img-that-we-ve-built.patch [bz#1828317]
- kvm-linux-headers-update-kvm.h.patch [bz#1828317]
- kvm-s390x-Don-t-do-a-normal-reset-on-the-initial-cpu.patch [bz#1828317]
- kvm-s390x-Move-reset-normal-to-shared-reset-handler.patch [bz#1828317]
- kvm-s390x-Move-initial-reset.patch [bz#1828317]
- kvm-s390x-Move-clear-reset.patch [bz#1828317]
- kvm-s390x-Beautify-diag308-handling.patch [bz#1828317]
- kvm-s390x-kvm-Make-kvm_sclp_service_call-void.patch [bz#1828317]
- kvm-s390x-Fix-cpu-normal-reset-ri-clearing.patch [bz#1828317]
- kvm-tests-boot-sector-Fix-the-bad-s390x-assembler-code.patch [bz#1828317]
- kvm-pc-bios-s390x-Fix-reset-psw-mask.patch [bz#1828317]
- kvm-s390x-Properly-fetch-and-test-the-short-psw-on-diag3.patch [bz#1828317]
- kvm-s390x-Rename-and-use-constants-for-short-PSW-address.patch [bz#1828317]
- kvm-s390x-Add-missing-vcpu-reset-functions.patch [bz#1828317]
- kvm-s390-sclp-improve-special-wait-psw-logic.patch [bz#1828317]
- kvm-pc-bios-s390x-Save-iplb-location-in-lowcore.patch [bz#1828317]
- kvm-s390-ipl-sync-back-loadparm.patch [bz#1828317]
- kvm-s390-ipl-fix-off-by-one-in-update_machine_ipl_proper.patch [bz#1828317]
- kvm-s390x-ipl-Consolidate-iplb-validity-check-into-one-f.patch [bz#1828317]
- kvm-vhost-correctly-turn-on-VIRTIO_F_IOMMU_PLATFORM.patch [bz#1828317]
- kvm-s390x-Move-diagnose-308-subcodes-and-rcs-into-ipl.h.patch [bz#1828317]
- kvm-s390x-protvirt-Support-unpack-facility.patch [bz#1828317]
- kvm-s390x-protvirt-Add-migration-blocker.patch [bz#1828317]
- kvm-s390x-protvirt-Inhibit-balloon-when-switching-to-pro.patch [bz#1828317]
- kvm-s390x-protvirt-KVM-intercept-changes.patch [bz#1828317]
- kvm-s390x-Add-SIDA-memory-ops.patch [bz#1828317]
- kvm-s390x-protvirt-Move-STSI-data-over-SIDAD.patch [bz#1828317]
- kvm-s390x-protvirt-SCLP-interpretation.patch [bz#1828317]
- kvm-s390x-protvirt-Set-guest-IPL-PSW.patch [bz#1828317]
- kvm-s390x-protvirt-Move-diag-308-data-over-SIDA.patch [bz#1828317]
- kvm-s390x-protvirt-Disable-address-checks-for-PV-guest-I.patch [bz#1828317]
- kvm-s390x-protvirt-Move-IO-control-structures-over-SIDA.patch [bz#1828317]
- kvm-s390x-protvirt-Handle-SIGP-store-status-correctly.patch [bz#1828317]
- kvm-s390x-Add-unpack-facility-feature-to-GA1.patch [bz#1828317]
- kvm-s390x-protvirt-Fix-stray-error_report_err-in-s390_ma.patch [bz#1828317]
- kvm-s390x-pv-Retry-ioctls-on-EINTR.patch [bz#1828317]
- kvm-s390x-s390-virtio-ccw-Fix-build-on-systems-without-K.patch [bz#1828317]
- kvm-s390x-pv-Fix-KVM_PV_PREP_RESET-command-wrapper-name.patch [bz#1828317]
- kvm-spapr-Pass-the-maximum-number-of-vCPUs-to-the-KVM-in.patch [bz#1756946]
- kvm-introduce-kvm_kernel_irqchip_-functions.patch [bz#1756946]
- kvm-target-s390x-kvm-Enable-adapter-interruption-suppres.patch [bz#1756946]
- kvm-vfio-nvlink-Remove-exec-permission-to-avoid-SELinux-.patch [bz#1823275]
- Resolves: bz#1756946
  ([zKVM] Re-enable KVM_CAP_S390_AIS for new machine types)
- Resolves: bz#1823275
  (RHEL8.1 - GPU Numa nodes not visible in guest post the pass-through.)
- Resolves: bz#1828317
  ([IBM 8.3 FEAT] s390x: Base KVM setup for secure guests - qemu part)

* Fri Jun 19 2020 Danilo C. L. de Paula <ddepaula@redhat.com> - 4.2.0
- Resolves: bz#1810193
(Upgrade components in virt:rhel module:stream for RHEL-8.3 release)

* Tue Jun 09 2020 Danilo C. L. de Paula <ddepaula@redhat.com> - 4.2.0-25
- Resolves: bz#1810193
  (Upgrade components in virt:rhel module:stream for RHEL-8.3 release)
  Another sync

* Thu Jun 04 2020 Danilo C. L. de Paula <ddepaula@redhat.com> - 4.2.0-23.el8
- Resolves: bz#1810193
  (Upgrade components in virt:rhel module:stream for RHEL-8.3 release)
  Another syncronization

* Mon Apr 27 2020 Danilo C. L. de Paula <ddepaula@redhat.com> - 4.2.0
- Resolves: bz#1810193
  (Upgrade components in virt:rhel module:stream for RHEL-8.3 release)

* Fri Feb 21 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-99.el8
- kvm-slirp-disable-tcp_emu.patch [bz#1791677]
- kvm-target-i386-kvm-initialize-feature-MSRs-very-early.patch [bz#1790308]
- Resolves: bz#1790308
  (qemu-kvm core dump when do L1 guest live migration with L2 guest running)
- Resolves: bz#1791677
  (QEMU: Slirp: disable emulation of tcp programs like ftp IRC etc. [rhel-8])

* Mon Feb 10 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-98.el8
- kvm-iscsi-Avoid-potential-for-get_status-overflow.patch [bz#1794501]
- kvm-iscsi-Cap-block-count-from-GET-LBA-STATUS-CVE-2020-1.patch [bz#1794501]
- kvm-clean-up-callback-when-del-virtqueue.patch [bz#1708480]
- kvm-virtio-add-ability-to-delete-vq-through-a-pointer.patch [bz#1708480]
- kvm-virtio-reset-region-cache-when-on-queue-deletion.patch [bz#1708480]
- kvm-virtio-net-delete-also-control-queue-when-TX-RX-dele.patch [bz#1708480]
- Resolves: bz#1708480
  ([Q35] No "DEVICE_DELETED" event in qmp after unplug virtio-net-pci device)
- Resolves: bz#1794501
  (CVE-2020-1711 qemu-kvm: QEMU: block: iscsi: OOB heap access via an unexpected response of iSCSI Server [rhel-8.2.0])

* Fri Jan 24 2020 Miroslav Rezanina <mrezanin@redhat.com> - 2.12.0-97.el8
- kvm-exec-Fix-MAP_RAM-for-cached-access.patch [bz#1769613]
- kvm-virtio-Return-true-from-virtio_queue_empty-if-broken.patch [bz#1769613]
- kvm-usbredir-Prevent-recursion-in-usbredir_write.patch [bz#1752320]
- kvm-xhci-recheck-slot-status.patch [bz#1752320]
- kvm-tcp_emu-Fix-oob-access.patch [bz#1791566]
- kvm-slirp-use-correct-size-while-emulating-IRC-commands.patch [bz#1791566]
- kvm-slirp-use-correct-size-while-emulating-commands.patch [bz#1791566]
- Resolves: bz#1752320
  (vm gets stuck when migrate vm back and forth with remote-viewer trying to connect)
- Resolves: bz#1769613
  ([SEV] kexec mays hang at "[sda] Synchronizing SCSI cache " before switching to new kernel)
- Resolves: bz#1791566
  (CVE-2020-7039 virt:rhel/qemu-kvm: QEMU: slirp: OOB buffer access while emulating tcp protocols in tcp_emu() [rhel-8.2.0])

* Tue Jan 07 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-96.el8
- kvm-i386-Remove-cpu64-rhel6-CPU-model.patch [bz#1741346]
- Resolves: bz#1741346
  (Remove the "cpu64-rhel6" CPU from qemu-kvm)

* Thu Jan 02 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-95.el8
- kvm-virtio-gpu-block-both-2d-and-3d-rendering.patch [bz#1674324]
- kvm-x86-Intel-AVX512_BF16-feature-enabling.patch [bz#1642541]
- Resolves: bz#1642541
  ([Intel 8.2 Feature] qemu-kvm Enable BFloat16 data type support)
- Resolves: bz#1674324
  (With <graphics type='spice'><gl enable='on'/>, qemu either refuses to start completely or spice-server crashes afterwards)

* Wed Dec 18 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-94.el8
- kvm-util-mmap-alloc-Add-a-is_pmem-parameter-to-qemu_ram_.patch [bz#1539282]
- kvm-mmap-alloc-unfold-qemu_ram_mmap.patch [bz#1539282]
- kvm-mmap-alloc-fix-hugetlbfs-misaligned-length-in-ppc64.patch [bz#1539282]
- kvm-util-mmap-alloc-support-MAP_SYNC-in-qemu_ram_mmap.patch [bz#1539282]
- kvm-x86-cpu-Enable-MOVDIRI-cpu-feature.patch [bz#1634827]
- kvm-x86-cpu-Enable-MOVDIR64B-cpu-feature.patch [bz#1634827]
- kvm-add-call-to-qemu_add_opts-for-overcommit-option.patch [bz#1634827]
- kvm-support-overcommit-cpu-pm-on-off.patch [bz#1634827]
- kvm-i386-cpu-make-cpu-host-support-monitor-mwait.patch []
- kvm-x86-cpu-Add-support-for-UMONITOR-UMWAIT-TPAUSE.patch [bz#1634827]
- kvm-target-i386-Add-support-for-save-load-IA32_UMWAIT_CO.patch [bz#1634827]
- Resolves: bz#1539282
  ([Intel 8.2 Feature][Crystal Ridge] Support MAP_SYNC  - qemu-kvm)
- Resolves: bz#1634827
  ([Intel 8.2 Feat] KVM Enable SnowRidge Accelerator Interface Architecture (AIA) - qemu)

* Wed Dec 11 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-93.el8
- kvm-target-i386-Export-TAA_NO-bit-to-guests.patch [bz#1771971]
- kvm-target-i386-add-support-for-MSR_IA32_TSX_CTRL.patch [bz#1771971]
- Resolves: bz#1771971
  (CVE-2019-11135 virt:rhel/qemu-kvm: hw: TSX Transaction Asynchronous Abort (TAA) [rhel-8.2.0])

* Mon Dec 02 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-92.el8
- kvm-x86-cpu-use-FeatureWordArray-to-define-filtered_feat.patch [bz#1689270]
- kvm-i386-Add-x-force-features-option-for-testing.patch [bz#1689270]
- kvm-target-i386-define-a-new-MSR-based-feature-word-FEAT.patch [bz#1689270]
- kvm-i386-display-known-CPUID-features-linewrapped-in-alp.patch [bz#1689270]
- kvm-target-i386-kvm-kvm_get_supported_msrs-cleanup.patch [bz#1689270]
- kvm-target-i386-handle-filtered_features-in-a-new-functi.patch [bz#1689270]
- kvm-target-i386-introduce-generic-feature-dependency-mec.patch [bz#1689270]
- kvm-target-i386-expand-feature-words-to-64-bits.patch [bz#1689270]
- kvm-target-i386-add-VMX-definitions.patch [bz#1689270]
- kvm-vmxcap-correct-the-name-of-the-variables.patch [bz#1689270]
- kvm-target-i386-add-VMX-features.patch [bz#1689270]
- kvm-target-i386-work-around-KVM_GET_MSRS-bug-for-seconda.patch [bz#1689270]
- kvm-target-i386-adjust-for-missing-VMX-features.patch [bz#1689270]
- kvm-target-i386-add-VMX-features-to-named-CPU-models.patch [bz#1689270]
- kvm-target-i386-add-VMX-features-to-named-CPU-models-RHE.patch [bz#1689270]
- kvm-vhost-fix-vhost_log-size-overflow-during-migration.patch [bz#1776808]
- Resolves: bz#1689270
  (Nested KVM: limit VMX features according to CPU models - Slow Train)
- Resolves: bz#1776808
  (qemu-kvm crashes when Windows VM is migrated with multiqueue)

* Wed Nov 27 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-91.el8
- kvm-qapi-fill-in-CpuInfoFast.arch-in-query-cpus-fast.patch [bz#1730969]
- kvm-curl-Keep-pointer-to-the-CURLState-in-CURLSocket.patch [bz#1744602]
- kvm-curl-Keep-socket-until-the-end-of-curl_sock_cb.patch [bz#1744602]
- kvm-curl-Check-completion-in-curl_multi_do.patch [bz#1744602]
- kvm-curl-Pass-CURLSocket-to-curl_multi_do.patch [bz#1744602]
- kvm-curl-Report-only-ready-sockets.patch [bz#1744602]
- kvm-curl-Handle-success-in-multi_check_completion.patch [bz#1744602]
- kvm-curl-Check-curl_multi_add_handle-s-return-code.patch [bz#1744602]
- Resolves: bz#1730969
  ([ppc] qmp: The 'arch' value returned by the command 'query-cpus-fast' does not match)
- Resolves: bz#1744602
  (qemu-img gets stuck when stream-converting from http)

* Tue Nov 12 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-90.el8
- kvm-i386-Don-t-print-warning-if-phys-bits-was-set-automa.patch [bz#1719127]
- kvm-Disable-CONFIG_I2C-and-CONFIG_IOH3420.patch [bz#1693140]
- kvm-usb-drop-unnecessary-usb_device_post_load-checks.patch [bz#1757482]
- kvm-pc-bios-s390-ccw-define-loadparm-length.patch [bz#1664376]
- kvm-pc-bios-s390-ccw-net-Use-diag308-to-reset-machine-be.patch [bz#1664376]
- kvm-s390-bios-decouple-cio-setup-from-virtio.patch [bz#1664376]
- kvm-s390-bios-decouple-common-boot-logic-from-virtio.patch [bz#1664376]
- kvm-s390-bios-Clean-up-cio.h.patch [bz#1664376]
- kvm-s390-bios-Decouple-channel-i-o-logic-from-virtio.patch [bz#1664376]
- kvm-s390-bios-Map-low-core-memory.patch [bz#1664376]
- kvm-s390-bios-ptr2u32-and-u32toptr.patch [bz#1664376]
- kvm-s390-bios-Support-for-running-format-0-1-channel-pro.patch [bz#1664376]
- kvm-s390-bios-cio-error-handling.patch [bz#1664376]
- kvm-s390-bios-Extend-find_dev-for-non-virtio-devices.patch [bz#1664376]
- kvm-s390-bios-Factor-finding-boot-device-out-of-virtio-c.patch [bz#1664376]
- kvm-s390-bios-Refactor-virtio-to-run-channel-programs-vi.patch [bz#1664376]
- kvm-s390-bios-Use-control-unit-type-to-determine-boot-me.patch [bz#1664376]
- kvm-s390-bios-Add-channel-command-codes-structs-needed-f.patch [bz#1664376]
- kvm-s390-bios-Support-booting-from-real-dasd-device.patch [bz#1664376]
- kvm-s390-bios-Use-control-unit-type-to-find-bootable-dev.patch [bz#1664376]
- kvm-s390x-vfio-ap-Implement-hot-plug-unplug-of-vfio-ap-d.patch [bz#1660906]
- Resolves: bz#1660906
  ([IBM 8.2 FEAT] KVM s390x: Crypto Passthrough Hotplug - qemu part)
- Resolves: bz#1664376
  ([IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part)
- Resolves: bz#1693140
  (aarch64: qemu: remove smbus_eeprom and i2c from config)
- Resolves: bz#1719127
  ([Intel 8.2 Bug] warning shown when boot VM with “–cpu host” or “–cpu other mode” on ICX platform (physical))
- Resolves: bz#1757482
  (Fail to migrate a rhel6.10-mt7.6 guest with dimm device)

* Mon Oct 14 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-89.el8
- kvm-accel-use-g_strsplit-for-parsing-accelerator-names.patch [bz#1749022]
- kvm-opts-don-t-silently-truncate-long-parameter-keys.patch [bz#1749022]
- kvm-opts-don-t-silently-truncate-long-option-values.patch [bz#1749022]
- kvm-i386-fix-regression-parsing-multiboot-initrd-modules.patch [bz#1749022]
- kvm-i386-only-parse-the-initrd_filename-once-for-multibo.patch [bz#1749022]
- kvm-opts-remove-redundant-check-for-NULL-parameter.patch [bz#1749022]
- kvm-Using-ip_deq-after-m_free-might-read-pointers-from-a.patch [bz#1749724]
- kvm-virtio-blk-Cancel-the-pending-BH-when-the-dataplane-.patch [bz#1708459]
- kvm-s390x-cpumodel-Rework-CPU-feature-definition.patch [bz#1660909]
- kvm-s390x-cpumodel-Set-up-CPU-model-for-AQIC-interceptio.patch [bz#1660909]
- kvm-ccid-Fix-dwProtocols-advertisement-of-T-0.patch [bz#1746361]
- kvm-s390-PCI-fix-IOMMU-region-init.patch [bz#1754643]
- kvm-fw_cfg-Improve-error-message-when-can-t-load-splash-.patch [bz#1607367]
- kvm-fw_cfg-Fix-boot-bootsplash-error-checking.patch [bz#1607367]
- kvm-fw_cfg-Fix-boot-reboot-timeout-error-checking.patch [bz#1607367]
- kvm-hw-nvram-fw_cfg-Store-reboot-timeout-as-little-endia.patch [bz#1607367]
- kvm-intel_iommu-Correct-caching-mode-error-message.patch [bz#1738440]
- kvm-intel_iommu-Sanity-check-vfio-pci-config-on-machine-.patch [bz#1738440]
- kvm-qdev-machine-Introduce-hotplug_allowed-hook.patch [bz#1738440]
- kvm-pc-q35-Disallow-vfio-pci-hotplug-without-VT-d-cachin.patch [bz#1738440]
- kvm-intel_iommu-Remove-the-caching-mode-check-during-fla.patch [bz#1738440]
- kvm-pseries-do-not-allow-memory-less-cpu-less-NUMA-node.patch [bz#1651474]
- Resolves: bz#1607367
  (After boot failed, guest should not reboot when set reboot-timeout < -1)
- Resolves: bz#1651474
  (RHEL8.0 Beta - [4.18.0-32.el8.ppc64le] Guest VM crashes during vcpu hotplug with specific numa configuration (kvm))
- Resolves: bz#1660909
  ([IBM 8.2 FEAT] KVM s390x: Crypto Passthrough Interrupt Support - qemu part)
- Resolves: bz#1708459
  (qemu-kvm core dumped when repeat "system_reset" multiple times during guest boot)
- Resolves: bz#1738440
  (For intel-iommu, qemu shows conflict behaviors between booting a guest with vfio and hot plugging vfio device)
- Resolves: bz#1746361
  (ccid: Fix incorrect dwProtocol advertisement of T=0)
- Resolves: bz#1749022
  (Please backport 950c4e6c94b1 ("opts: don't silently truncate long option values", 2018-05-09))
- Resolves: bz#1749724
  (CVE-2019-15890 qemu-kvm: QEMU: Slirp: use-after-free during packet reassembly [rhel-8])
- Resolves: bz#1754643
  (RHEL8.1 Snapshot3 - Passthrough PCI card goes into error state if used in domain (kvm))

* Fri Sep 13 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-88.el8
- Revert fix for bz#1749724 - this got delayed to 8.2
  (CVE-2019-15890 qemu-kvm: QEMU: Slirp: use-after-free during packet reassembly [rhel-8])

* Tue Sep 03 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-86.el8
- kvm-Do-not-run-iotests-on-brew-build.patch [bz#1742819]
- kvm-target-ppc-spapr-Add-workaround-option-to-SPAPR_CAP_.patch [bz#1744415]
- kvm-target-ppc-spapr-Add-SPAPR_CAP_CCF_ASSIST.patch [bz#1744415]
- kvm-i386-x86_cpu_list_feature_names-function.patch [bz#1747185]
- kvm-i386-unavailable-features-QOM-property.patch [bz#1747185]
- kvm-file-posix-Handle-undetectable-alignment.patch [bz#1738839]
- kvm-iotests-Tweak-221-sizing-for-different-hole-granular.patch [bz#1738839]
- kvm-iotests-Filter-175-s-allocation-information.patch [bz#1738839]
- kvm-block-posix-Always-allocate-the-first-block.patch [bz#1738839]
- kvm-iotests-Test-allocate_first_block-with-O_DIRECT.patch [bz#1738839]
- Resolves: bz#1738839
  (I/O error when virtio-blk disk is backed by a raw image on 4k disk)
- Resolves: bz#1742819
  (Remove iotests from qemu-kvm builds [RHEL 8.1.0])
- Resolves: bz#1744415
  (Backport support for count cache flush Spectre v2 mitigation [slow train])
- Resolves: bz#1747185
  ("filtered-features" QOM property is not available)

* Mon Aug 19 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-85.el8
- kvm-console-Avoid-segfault-in-screendump.patch [bz#1684383]
- kvm-usb-hub-clear-suspend-on-detach.patch [bz#1619661]
- kvm-qemu-img-fix-regression-copying-secrets-during-conve.patch [bz#1727821]
- Resolves: bz#1619661
  (the attach hub on one hub still exits in device manager after unhotplug)
- Resolves: bz#1684383
  (qemu crashed when take screenshot for 2nd head of virtio video device if the display not opened by virt-viewer)
- Resolves: bz#1727821
  (Failed to convert a source image to the qcow2 image encrypted by luks)

* Fri Aug 16 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-84.el8
- kvm-vnc-detect-and-optimize-pageflips.patch [bz#1727033]
- kvm-block-backend-Make-blk_inc-dec_in_flight-public.patch [bz#1716349]
- kvm-virtio-blk-Increase-in_flight-for-request-restart-BH.patch [bz#1716349]
- kvm-block-Fix-AioContext-switch-for-drained-node.patch [bz#1716349]
- kvm-test-bdrv-drain-AioContext-switch-in-drained-section.patch [bz#1716349]
- kvm-block-Use-normal-drain-for-bdrv_set_aio_context.patch [bz#1716349]
- kvm-block-Fix-AioContext-switch-for-bs-drv-NULL.patch [bz#1716347]
- kvm-iothread-fix-crash-with-invalid-properties.patch [bz#1687541]
- kvm-iothread-replace-init_done_cond-with-a-semaphore.patch [bz#1687541]
- kvm-RHEL-disable-hostmem-memfd.patch [bz#1740797]
- Resolves: bz#1687541
  (qemu aborted when start guest with a big iothreads)
- Resolves: bz#1716347
  (Qemu Core dump when quit vm that's in status "paused(io-error)" with data plane enabled)
- Resolves: bz#1716349
  (qemu with iothreads enabled crashes on resume after enospc pause for disk extension)
- Resolves: bz#1727033
  (vnc server should detect page-flips and avoid sending fullscreen updates then.)
- Resolves: bz#1740797
  (Disable memfd in QEMU)

* Thu Aug 01 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-83.el8
- kvm-hw-block-pflash_cfi01-Add-missing-DeviceReset-handle.patch [bz#1707192]
- kvm-block-file-posix-Unaligned-O_DIRECT-block-status.patch [bz#1678979]
- kvm-iotests-Test-unaligned-raw-images-with-O_DIRECT.patch [bz#1678979]
- kvm-nbd-client-Lower-min_block-for-block-status-unaligne.patch [bz#1678979]
- kvm-nbd-client-Reject-inaccessible-tail-of-inconsistent-.patch [bz#1678979]
- kvm-nbd-client-Support-qemu-img-convert-from-unaligned-s.patch [bz#1678979]
- kvm-block-Add-bdrv_get_request_alignment.patch [bz#1678979]
- kvm-nbd-server-Advertise-actual-minimum-block-size.patch [bz#1678979]
- kvm-slirp-check-sscanf-result-when-emulating-ident.patch [bz#1727642]
- kvm-slirp-fix-big-little-endian-conversion-in-ident-prot.patch [bz#1727642]
- kvm-slirp-ensure-there-is-enough-space-in-mbuf-to-null-t.patch [bz#1727642]
- kvm-slirp-don-t-manipulate-so_rcv-in-tcp_emu.patch [bz#1727642]
- kvm-tap-set-vhostfd-passed-from-qemu-cli-to-non-blocking.patch [bz#1732642]
- kvm-Fix-heap-overflow-in-ip_reass-on-big-packet-input.patch [bz#1734751]
- Resolves: bz#1678979
  (qemu-img convert abort when converting image with unaligned size (qemu-img: block/io.c:2134: bdrv_co_block_status: Assertion `*pnum && (((*pnum) % (align)) == 0) && align > offset - aligned_offset\' failed))
- Resolves: bz#1707192
  (implement missing reset handler for cfi.pflash01 - slow train)
- Resolves: bz#1727642
  (CVE-2019-6778 qemu-kvm: QEMU: slirp: heap buffer overflow in tcp_emu())
- Resolves: bz#1732642
  (enable the virtio-net frontend to work with the vhost-net backend in SEV guests)
- Resolves: bz#1734751
  (CVE-2019-14378 qemu-kvm: QEMU: slirp: heap buffer overflow during packet reassembly [rhel-8.1.0])

* Tue Jul 23 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-82.el8
- kvm-i386-Add-new-model-of-Cascadelake-Server.patch [bz#1629906]
- kvm-i386-Update-stepping-of-Cascadelake-Server.patch [bz#1629906]
- kvm-target-i386-Disable-MPX-support-on-named-CPU-models.patch [bz#1629906]
- kvm-i386-remove-the-INTEL_PT-CPUID-bit-from-named-CPU-NEW.patch [bz#1629906]
- kvm-i386-Disable-OSPKE-on-CPU-model-definitions-NEW.patch [bz#1629906]
- kvm-block-ssh-Convert-from-DPRINTF-macro-to-trace-events.patch [bz#1513367]
- kvm-block-ssh-Do-not-report-read-write-flush-errors-to-t.patch [bz#1513367]
- kvm-qemu-iotests-Fix-paths-for-NFS.patch [bz#1513367]
- kvm-qemu-iotests-Filter-NFS-paths.patch [bz#1513367]
- kvm-iotests-Filter-SSH-paths.patch [bz#1513367]
- kvm-block-ssh-Implement-.bdrv_refresh_filename.patch [bz#1513367]
- kvm-iotests-Use-Python-byte-strings-where-appropriate.patch [bz#1513367]
- kvm-iotests-Unify-log-outputs-between-Python-2-and-3.patch [bz#1513367]
- kvm-ssh-switch-from-libssh2-to-libssh.patch [bz#1513367]
- kvm-redhat-switch-from-libssh2-to-libssh.patch [bz#1513367]
- kvm-block-gluster-limit-the-transfer-size-to-512-MiB.patch [bz#1728657]
- kvm-s390-cpumodel-fix-description-for-the-new-vector-fac.patch [bz#1729975]
- kvm-s390x-cpumodel-remove-esort-from-the-default-model.patch [bz#1729975]
- kvm-s390x-cpumodel-also-change-name-of-vxbeh.patch [bz#1729975]
- kvm-s390x-cpumodel-change-internal-name-of-vxpdeh-to-mat.patch [bz#1729975]
- kvm-target-i386-sev-Do-not-unpin-ram-device-memory-regio.patch [bz#1728958]
- kvm-i386-Save-EFER-for-32-bit-targets.patch [bz#1689269]
- kvm-target-i386-rename-HF_SVMI_MASK-to-HF_GUEST_MASK.patch [bz#1689269]
- kvm-target-i386-kvm-add-VMX-migration-blocker.patch [bz#1689269]
- kvm-target-i386-kvm-just-return-after-migrate_add_blocke.patch [bz#1689269]
- kvm-target-i386-kvm-Delete-VMX-migration-blocker-on-vCPU.patch [bz#1689269]
- kvm-Introduce-kvm_arch_destroy_vcpu.patch [bz#1689269]
- kvm-target-i386-kvm-Use-symbolic-constant-for-DB-BP-exce.patch [bz#1689269]
- kvm-target-i386-kvm-Re-inject-DB-to-guest-with-updated-D.patch [bz#1689269]
- kvm-target-i386-kvm-Block-migration-for-vCPUs-exposed-wi.patch [bz#1689269]
- kvm-target-i386-kvm-do-not-initialize-padding-fields.patch [bz#1689269]
- kvm-linux-headers-synchronize-generic-and-x86-KVM-header.patch [bz#1689269]
- kvm-vmstate-Add-support-for-kernel-integer-types.patch [bz#1689269]
- kvm-target-i386-kvm-Add-support-for-save-and-restore-nes.patch [bz#1689269]
- kvm-target-i386-kvm-Add-support-for-KVM_CAP_EXCEPTION_PA.patch [bz#1689269]
- kvm-target-i386-kvm-Add-nested-migration-blocker-only-wh.patch [bz#1689269]
- kvm-target-i386-kvm-Demand-nested-migration-kernel-capab.patch [bz#1689269]
- kvm-target-i386-skip-KVM_GET-SET_NESTED_STATE-if-VMX-dis.patch [bz#1689269]
- kvm-i386-kvm-Do-not-sync-nested-state-during-runtime.patch [bz#1689269]
- Resolves: bz#1513367
  (qemu with libssh)
- Resolves: bz#1629906
  ([Intel 8.1 Feat] qemu-kvm Introduce Cascade Lake (CLX) cpu model)
- Resolves: bz#1689269
  (Nested KVM: support for migration of nested hypervisors - Slow Train)
- Resolves: bz#1728657
  ('qemu-io write' to a raw image over libgfapi fails)
- Resolves: bz#1728958
  (Hot unplug vfio-pci NIC devices from sev guest will cause qemu-kvm: sev_ram_block_removed: failed to unregister region)
- Resolves: bz#1729975
  (RHEL 8.1 Pre-Beta - Fix for hardware CPU Model)

* Mon Jul 08 2019 Miroslav Rezanina <mrezanin@redhat.com> - 2.12.0-81.el8
- kvm-target-i386-add-MDS-NO-feature.patch [bz#1714792]
- kvm-virtio-gpu-pass-down-VirtIOGPU-pointer-to-a-bunch-of.patch [bz#1531543]
- kvm-virtio-gpu-add-iommu-support.patch [bz#1531543]
- kvm-virtio-gpu-fix-unmap-in-error-path.patch [bz#1531543]
- Resolves: bz#1531543
  ([RFE] add iommu support to virtio-gpu)
- Resolves: bz#1714792
  ([Intel 8.1 FEAT] MDS_NO exposure to guest)

* Tue Jul 02 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-80.el8
- kvm-qxl-check-release-info-object.patch [bz#1712705]
- kvm-iotests-Make-182-do-without-device_add.patch [bz#1707598]
- Resolves: bz#1707598
  (qemu-iotest 182 fails without device hotplugging support)
- Resolves: bz#1712705
  (CVE-2019-12155 qemu-kvm: QEMU: qxl: null pointer dereference while releasing spice resources [rhel-8])

* Fri Jun 28 2019 Danilo de Paula <ddepaula@redhat.com> - 15:2.12.0-79
- Rebuild all virt packages to fix RHEL's upgrade path
- Resolves: rhbz#1695587
  (Ensure modular RPM upgrade path)

* Thu Jun 20 2019 Miroslav Rezanina <mrezanin@redhat.com> - 2.12.0-78.el8
- kvm-gluster-Handle-changed-glfs_ftruncate-signature.patch [bz#1721983]
- kvm-gluster-the-glfs_io_cbk-callback-function-pointer-ad.patch [bz#1721983]
- Resolves: bz#1721983
  (qemu-kvm can't be build with new gluster version (6.0.6))

* Thu Jun 13 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-77.el8
- kvm-i386-Make-arch_capabilities-migratable.patch [bz#1709970]
- kvm-spapr-Fix-ibm-max-associativity-domains-property-num.patch [bz#1710662]
- kvm-linux-headers-Update-for-NVLink2-passthrough-downstr.patch [bz#1710662]
- kvm-pci-Move-NVIDIA-vendor-id-to-the-rest-of-ids.patch [bz#1710662]
- kvm-vfio-quirks-Add-common-quirk-alloc-helper.patch [bz#1710662]
- kvm-vfio-Make-vfio_get_region_info_cap-public.patch [bz#1710662]
- kvm-spapr-Support-NVIDIA-V100-GPU-with-NVLink2.patch [bz#1710662]
- kvm-qemu-kvm.spec-bump-libseccomp-2.4.0.patch [bz#1719578]
- Resolves: bz#1709970
  ([Intel 8.1 Bug] [KVM][CLX] CPUID_7_0_EDX_ARCH_CAPABILITIES is not enabled in VM - qemu-kvm)
- Resolves: bz#1710662
  ([IBM 8.1 FEAT] POWER9 - Virt: qemu: NVLink2 passthru to guest - Nvidia Volta (GPU) (kvm))
- Resolves: bz#1719578
  (VM failed to start with error "failed to install seccomp syscall filter in the kernel")

* Tue Jun 11 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-76.el8
- kvm-Introduce-new-no_guest_reset-parameter-for-usb-host-.patch [bz#1713677]
- kvm-usb-call-reset-handler-before-updating-state.patch [bz#1713677]
- kvm-usb-host-skip-reset-for-untouched-devices.patch [bz#1713677]
- kvm-usb-host-avoid-libusb_set_configuration-calls.patch [bz#1713677]
- kvm-virtio-scsi-Move-BlockBackend-back-to-the-main-AioCo.patch [bz#1673396 bz#1673401]
- kvm-scsi-disk-Acquire-the-AioContext-in-scsi_-_realize.patch [bz#1673396 bz#1673401]
- kvm-virtio-scsi-Forbid-devices-with-different-iothreads-.patch [bz#1673396 bz#1673401]
- kvm-Disable-VXHS-support.patch [bz#1714933]
- Resolves: bz#1673396
  (qemu-kvm core dumped after hotplug the deleted disk with iothread parameter)
- Resolves: bz#1673401
  (Qemu core dump when start guest with two disks using same drive)
- Resolves: bz#1713677
  (Detached device when trying to upgrade USB device firmware when in doing USB Passthrough via QEMU)
- Resolves: bz#1714933
  (Disable VXHS  in qemu-kvm)

* Fri May 24 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-75.el8
- kvm-s390x-cpumodel-enum-type-S390FeatGroup-now-gets-gene.patch [bz#1660912]
- kvm-linux-headers-update-against-Linux-5.2-rc1.patch [bz#1660912]
- kvm-s390x-cpumodel-ignore-csske-for-expansion.patch [bz#1660912]
- kvm-s390x-cpumodel-Miscellaneous-Instruction-Extensions-.patch [bz#1660912]
- kvm-s390x-cpumodel-msa9-facility.patch [bz#1660912]
- kvm-s390x-cpumodel-vector-enhancements.patch [bz#1660912]
- kvm-s390x-cpumodel-enhanced-sort-facility.patch [bz#1660912]
- kvm-s390x-cpumodel-add-Deflate-conversion-facility.patch [bz#1660912]
- kvm-s390x-cpumodel-add-gen15-defintions.patch [bz#1660912]
- kvm-s390x-cpumodel-wire-up-8561-and-8562-as-gen15-machin.patch [bz#1660912]
- kvm-spice-set-device-address-and-device-display-ID-in-QX.patch [bz#1712946]
- kvm-hw-pci-Add-missing-include.patch [bz#1712946]
- Resolves: bz#1660912
  ([IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part)
- Resolves: bz#1712946
  (qemu-kvm build is broken due to spice_qxl_set_max_monitors being deprecated)

* Mon May 20 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-74.el8
- kvm-x86-cpu-Enable-CLDEMOTE-Demote-Cache-Line-cpu-featur.patch [bz#1696436]
- kvm-memory-Fix-the-memory-region-type-assignment-order.patch [bz#1667249]
- kvm-target-i386-sev-Do-not-pin-the-ram-device-memory-reg.patch [bz#1667249]
- kvm-block-Fix-invalidate_cache-error-path-for-parent-act.patch [bz#1673010]
- kvm-target-i386-define-md-clear-bit.patch [bz#1703302 bz#1703308]
- Resolves: bz#1667249
  (Fail to launch AMD SEV VM with assigned PCI device)
- Resolves: bz#1673010
  (Local VM and migrated VM on the same host can run with same RAW file as visual disk source while without shareable configured or lock manager enabled)
- Resolves: bz#1696436
  ([Intel 8.0 Feat] KVM Enabling SnowRidge new NIs - qemu-kvm)
- Resolves: bz#1703302
  (CVE-2018-12130 virt:rhel/qemu-kvm: hardware: Microarchitectural Fill Buffer Data Sampling (MFBDS) [rhel-8])
- Resolves: bz#1703308
  (CVE-2018-12127 virt:rhel/qemu-kvm: hardware: Micro-architectural Load Port Data Sampling - Information Leak (MLPDS) [rhel-8])

* Tue May 14 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-73.el8
- kvm-i386-remove-the-INTEL_PT-CPUID-bit-from-named-CPU-mo.patch [bz#1561761]
- kvm-i386-Disable-OSPKE-on-CPU-model-definitions.patch [bz#1561761]
- Resolves: bz#1561761
  ([Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model)

* Tue May 14 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-72.el8
- kvm-Use-KVM_GET_MSR_INDEX_LIST-for-MSR_IA32_ARCH_CAP.patch [bz#1707706]
- kvm-i386-kvm-Disable-arch_capabilities-if-MSR-can-t-be-s.patch [bz#1707706]
- Resolves: bz#1707706
  (/builddir/build/BUILD/qemu-2.12.0/target/i386/kvm.c:2031: kvm_put_msrs: Assertion `ret == cpu->kvm_msr_buf->nmsrs' failed.)

* Wed May 08 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-71.el8
- kvm-s390-bios-Skip-bootmap-signature-entries.patch [bz#1683275]
- Resolves: bz#1683275
  ([IBM 8.1 FEAT] KVM: Secure Linux Boot Toleration (qemu))

* Tue May 07 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-70.el8
- kvm-i386-Add-new-MSR-indices-for-IA32_PRED_CMD-and-IA32_.patch [bz#1561761]
- kvm-i386-Add-CPUID-bit-and-feature-words-for-IA32_ARCH_C.patch [bz#1561761]
- kvm-i386-Add-CPUID-bit-for-PCONFIG.patch [bz#1561761]
- kvm-i386-Add-CPUID-bit-for-WBNOINVD.patch [bz#1561761]
- kvm-i386-Add-new-CPU-model-Icelake-Server-Client.patch [bz#1561761]
- kvm-Add-support-to-KVM_GET_MSR_FEATURE_INDEX_LIST-an.patch [bz#1561761]
- kvm-x86-Data-structure-changes-to-support-MSR-based-feat.patch [bz#1561761]
- kvm-x86-define-a-new-MSR-based-feature-word-FEATURE_WORD.patch [bz#1561761]
- kvm-i386-remove-the-new-CPUID-PCONFIG-from-Icelake-Serve.patch [bz#1561761]
- kvm-Revert-i386-Add-CPUID-bit-for-PCONFIG.patch [bz#1561761]
- Resolves: bz#1561761
  ([Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model)

* Fri May 03 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-69.el8
- kvm-tests-crypto-Use-the-IEC-binary-prefix-definitions.patch [bz#1680231]
- kvm-crypto-expand-algorithm-coverage-for-cipher-benchmar.patch [bz#1680231]
- kvm-crypto-remove-code-duplication-in-tweak-encrypt-decr.patch [bz#1680231]
- kvm-crypto-introduce-a-xts_uint128-data-type.patch [bz#1680231]
- kvm-crypto-convert-xts_tweak_encdec-to-use-xts_uint128-t.patch [bz#1680231]
- kvm-crypto-convert-xts_mult_x-to-use-xts_uint128-type.patch [bz#1680231]
- kvm-crypto-annotate-xts_tweak_encdec-as-inlineable.patch [bz#1680231]
- kvm-crypto-refactor-XTS-cipher-mode-test-suite.patch [bz#1680231]
- kvm-crypto-add-testing-for-unaligned-buffers-with-XTS-ci.patch [bz#1680231]
- Resolves: bz#1680231
  (severe performance impact using luks format)

* Mon Apr 29 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-68.el8
- kvm-s390x-ipl-Try-to-detect-Linux-vs-non-Linux-for-initi.patch [bz#1699070]
- kvm-loader-Check-access-size-when-calling-rom_ptr-to-avo.patch [bz#1699070]
- kvm-hw-s390x-Use-the-IEC-binary-prefix-definitions.patch [bz#1699070]
- kvm-s390x-storage-attributes-fix-CMMA_BLOCK_SIZE-usage.patch [bz#1699070]
- kvm-s390x-cpumodel-fix-segmentation-fault-when-baselinin.patch [bz#1699070]
- kvm-hw-s390x-s390-pci-bus-Convert-sysbus-init-function-t.patch [bz#1699070]
- kvm-s390x-pci-properly-fail-if-the-zPCI-device-cannot-be.patch [bz#1699070]
- kvm-s390x-pci-rename-hotplug-handler-callbacks.patch [bz#1699070]
- kvm-s390-avoid-potential-null-dereference-in-s390_pcihos.patch [bz#1699070]
- kvm-s390x-pci-Send-correct-event-on-hotplug.patch [bz#1699070]
- kvm-s390x-pci-Set-the-iommu-region-size-mpcifc-request.patch [bz#1699070]
- kvm-s390x-pci-Always-delete-and-free-the-release_timer.patch [bz#1699070]
- kvm-s390x-pci-Ignore-the-unplug-call-if-we-already-have-.patch [bz#1699070]
- kvm-s390x-pci-Use-hotplug_dev-instead-of-looking-up-the-.patch [bz#1699070]
- kvm-s390x-pci-Move-some-hotplug-checks-to-the-pre_plug-h.patch [bz#1699070]
- kvm-s390x-pci-Introduce-unplug-requests-and-split-unplug.patch [bz#1699070]
- kvm-s390x-pci-Drop-release-timer-and-replace-it-with-a-f.patch [bz#1699070]
- kvm-s390x-pci-mark-zpci-devices-as-unmigratable.patch [bz#1699070]
- kvm-s390x-pci-Fix-primary-bus-number-for-PCI-bridges.patch [bz#1699070]
- kvm-s390x-pci-Fix-hotplugging-of-PCI-bridges.patch [bz#1699070]
- kvm-s390x-pci-Warn-when-adding-PCI-devices-without-the-z.patch [bz#1699070]
- kvm-s390x-pci-Unplug-remaining-requested-devices-on-pcih.patch [bz#1699070]
- kvm-s390x-refactor-reset-reipl-handling.patch [bz#1699070]
- kvm-s390-ipl-fix-ipl-with-no-reboot.patch [bz#1699070]
- Resolves: bz#1699070
  (Backport s390x-related fixes for qemu-kvm)

* Tue Apr 23 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-67.el8
- kvm-device_tree-Fix-integer-overflowing-in-load_device_t.patch [bz#1693116]
- Resolves: bz#1693116
  (CVE-2018-20815 qemu-kvm: QEMU: device_tree: heap buffer overflow while loading device tree blob [rhel-8.0])

* Mon Apr 15 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-66.el8
- kvm-iotests-153-Fix-dead-code.patch [bz#1694148]
- kvm-file-posix-Include-filename-in-locking-error-message.patch [bz#1694148]
- kvm-file-posix-Skip-effectiveless-OFD-lock-operations.patch [bz#1694148]
- kvm-file-posix-Drop-s-lock_fd.patch [bz#1694148]
- kvm-tests-Add-unit-tests-for-image-locking.patch [bz#1694148]
- kvm-file-posix-Fix-shared-locks-on-reopen-commit.patch [bz#1694148]
- kvm-iotests-Test-file-posix-locking-and-reopen.patch [bz#1694148]
- kvm-block-file-posix-do-not-fail-on-unlock-bytes.patch [bz#1694148]
- kvm-hostmem-file-remove-object-id-from-pmem-error-messag.patch [bz#1687596]
- kvm-redhat-setting-target-release-to-rhel-8.1.0.patch []
- kvm-redhat-removing-iotest-182.patch []
- Resolves: bz#1687596
  ([Intel 8.1 BUG][KVM][Crystal Ridge]object_get_canonical_path_component: assertion failed: (obj->parent != NULL))
- Resolves: bz#1694148
  (QEMU image locking needn't double open fd number, and it should not fail when attempting to release locks)

* Tue Apr 09 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-65.el8
- kvm-s390x-cpumodel-mepochptff-warn-when-no-mepoch-and-re.patch [bz#1664371]
- kvm-s390x-cpumodel-add-z14-GA2-model.patch [bz#1664371]
- kvm-redhat-s390x-cpumodel-enable-mepoch-by-default-for-z.patch [bz#1664371]
- kvm-intel_iommu-fix-operator-in-vtd_switch_address_space.patch [bz#1662272]
- kvm-intel_iommu-reset-intr_enabled-when-system-reset.patch [bz#1662272]
- kvm-pci-msi-export-msi_is_masked.patch [bz#1662272]
- kvm-i386-kvm-ignore-masked-irqs-when-update-msi-routes.patch [bz#1662272]
- Resolves: bz#1662272
  (Boot guest with device assignment+vIOMMU, qemu prompts "vtd_interrupt_remap_msi: MSI address low 32 bit invalid: 0x0" when first rebooting guest)
- Resolves: bz#1664371
  ([IBM 8.1 FEAT] Update hardware CPU Model z14 (kvm) - qemu part)

* Mon Apr 08 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-64.el8
- kvm-doc-fix-the-configuration-path.patch [bz#1645411]
- kvm-Increase-number-of-iotests-being-run-as-a-part-of-RH.patch [bz#1664463]
- kvm-Load-kvm-module-during-boot.patch [bz#1676907 bz#1685995]
- kvm-qemu-kvm.spec.template-Update-pyton-path-to-system-i.patch []
- Resolves: bz#1645411
  (the "fsfreeze-hook" script path shown by command "qemu-ga --help" or "man qemu-ga" is wrong)
- Resolves: bz#1664463
  (Modify iotest behavior to include  luks and nbd and fail build if iotests fail)
- Resolves: bz#1676907
  (/dev/kvm device exists but kernel module is not loaded on boot up causing VM start to fail in libvirt)
- Resolves: bz#1685995
  (/dev/kvm device exists but kernel module is not loaded on boot up causing VM start to fail in libvirt)

* Tue Feb 26 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-63.el8
- kvm-scsi-generic-avoid-possible-out-of-bounds-access-to-.patch [bz#1668162]
- Resolves: bz#1668162
  (CVE-2019-6501 qemu-kvm: QEMU: scsi-generic: possible OOB access while handling inquiry request [rhel-8])

* Mon Feb 25 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-62.el8
- kvm-slirp-check-data-length-while-emulating-ident-functi.patch [bz#1669069]
- Resolves: bz#1669069
  (CVE-2019-6778 qemu-kvm: QEMU: slirp: heap buffer overflow in tcp_emu() [rhel-8.0])

* Mon Feb 11 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-61.el8
- kvm-qemu-ga-make-get-fsinfo-work-over-pci-bridges.patch [bz#1666952]
- kvm-qga-fix-driver-leak-in-guest-get-fsinfo.patch [bz#1666952]
- Resolves: bz#1666952
  (qemu-guest-agent does not parse PCI bridge links in "build_guest_fsinfo_for_real_device" (q35))

* Mon Jan 28 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-60.el8
- kvm-ne2000-fix-possible-out-of-bound-access-in-ne2000_re.patch [bz#1636784]
- kvm-rtl8139-fix-possible-out-of-bound-access.patch [bz#1636784]
- kvm-pcnet-fix-possible-buffer-overflow.patch [bz#1636784]
- kvm-net-ignore-packet-size-greater-than-INT_MAX.patch [bz#1636784]
- kvm-net-drop-too-large-packet-early.patch [bz#1636784]
- kvm-net-hub-suppress-warnings-of-no-host-network-for-qte.patch [bz#1636784]
- kvm-virtio-net-test-accept-variable-length-argument-in-p.patch [bz#1636784]
- kvm-virtio-net-test-remove-unused-macro.patch [bz#1636784]
- kvm-virtio-net-test-add-large-tx-buffer-test.patch [bz#1636784]
- kvm-s390x-Return-specification-exception-for-unimplement.patch [bz#1668261]
- kvm-cpus-ignore-ESRCH-in-qemu_cpu_kick_thread.patch [bz#1665844]
- Resolves: bz#1636784
  (CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8])
- Resolves: bz#1665844
  (Guest quit with error when hotunplug cpu)
- Resolves: bz#1668261
  ([RHEL8] Backport diag308 stable exception fix (qemu-kvm))

* Thu Jan 24 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-59.el8
- kvm-hw-scsi-cleanups-before-VPD-BL-emulation.patch [bz#1639957]
- kvm-hw-scsi-centralize-SG_IO-calls-into-single-function.patch [bz#1639957]
- kvm-hw-scsi-add-VPD-Block-Limits-emulation.patch [bz#1639957]
- kvm-scsi-disk-Block-Device-Characteristics-emulation-fix.patch [bz#1639957]
- kvm-scsi-generic-keep-VPD-page-list-sorted.patch [bz#1639957]
- kvm-scsi-generic-avoid-out-of-bounds-access-to-VPD-page-.patch [bz#1639957]
- kvm-scsi-generic-avoid-invalid-access-to-struct-when-emu.patch [bz#1639957]
- kvm-scsi-generic-do-not-do-VPD-emulation-for-sense-other.patch [bz#1639957]
- Resolves: bz#1639957
  ([RHEL.8] scsi host device passthrough limits IO writes - slow train)

* Mon Jan 21 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-58.el8
- kvm-block-Update-flags-in-bdrv_set_read_only.patch [bz#1644996]
- kvm-block-Add-auto-read-only-option.patch [bz#1644996]
- kvm-rbd-Close-image-in-qemu_rbd_open-error-path.patch [bz#1644996]
- kvm-block-Require-auto-read-only-for-existing-fallbacks.patch [bz#1644996]
- kvm-nbd-Support-auto-read-only-option.patch [bz#1644996]
- kvm-file-posix-Support-auto-read-only-option.patch [bz#1644996]
- kvm-curl-Support-auto-read-only-option.patch [bz#1644996]
- kvm-gluster-Support-auto-read-only-option.patch [bz#1644996]
- kvm-iscsi-Support-auto-read-only-option.patch [bz#1644996]
- kvm-block-Make-auto-read-only-on-default-for-drive.patch [bz#1644996]
- kvm-qemu-iotests-Test-auto-read-only-with-drive-and-bloc.patch [bz#1644996]
- kvm-block-Fix-update-of-BDRV_O_AUTO_RDONLY-in-update_fla.patch [bz#1644996]
- kvm-qemu-img-Add-C-option-for-convert-with-copy-offloadi.patch [bz#1623082]
- kvm-iotests-Add-test-for-qemu-img-convert-C-compatibilit.patch [bz#1623082]
- Resolves: bz#1623082
  ([rhel.8.0]Target files for 'qemu-img convert' do not support thin_provisoning with iscsi/nfs backend)
- Resolves: bz#1644996
  (block-commit can't be used with -blockdev)

* Fri Jan 11 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-57.el8
- kvm-qemu-kvm.spec.template-Update-files-for-tests-rpm-to.patch [bz#1601107]

* Fri Jan 11 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-56.el8
- kvm-Run-iotests-as-part-of-the-build-process.patch [bz#1661026]
- kvm-Introduce-the-qemu-kvm-tests-rpm.patch [bz#1601107]
- Resolves: bz#1601107
  (qemu-kvm packaging: make running qemu-iotests more robust)
- Resolves: bz#1661026
  (Run iotests as part of build process)

* Tue Jan 08 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-55.el8
- kvm-block-Don-t-inactivate-children-before-parents.patch [bz#1659395]
- kvm-iotests-Test-migration-with-blockdev.patch [bz#1659395]
- Resolves: bz#1659395
  (src qemu core dump when do migration ( block device node-name changed after change cdrom) - Slow Train)

* Tue Jan 08 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-54.el8
- kvm-s390x-tcg-avoid-overflows-in-time2tod-tod2time.patch [bz#1653569]
- kvm-s390x-kvm-pass-values-instead-of-pointers-to-kvm_s39.patch [bz#1653569]
- kvm-s390x-tod-factor-out-TOD-into-separate-device.patch [bz#1653569]
- kvm-s390x-tcg-drop-tod_basetime.patch [bz#1653569]
- kvm-s390x-tcg-properly-implement-the-TOD.patch [bz#1653569]
- kvm-s390x-tcg-SET-CLOCK-COMPARATOR-can-clear-CKC-interru.patch [bz#1653569]
- kvm-s390x-tcg-implement-SET-CLOCK.patch [bz#1653569]
- kvm-s390x-tcg-rearm-the-CKC-timer-during-migration.patch [bz#1653569]
- kvm-s390x-tcg-fix-locking-problem-with-tcg_s390_tod_upda.patch [bz#1653569]
- kvm-hw-s390x-Include-the-tod-qemu-also-for-builds-with-d.patch [bz#1653569]
- kvm-s390x-tod-Properly-stop-the-KVM-TOD-while-the-guest-.patch [bz#1653569]
- kvm-hw-s390x-Fix-bad-mask-in-time2tod.patch [bz#1653569]
- kvm-migration-discard-non-migratable-RAMBlocks.patch [bz#1539285]
- kvm-vfio-pci-do-not-set-the-PCIDevice-has_rom-attribute.patch [bz#1539285]
- kvm-memory-exec-Expose-all-memory-block-related-flags.patch [bz#1539285]
- kvm-memory-exec-switch-file-ram-allocation-functions-to-.patch [bz#1539285]
- kvm-configure-add-libpmem-support.patch [bz#1539285]
- kvm-hostmem-file-add-the-pmem-option.patch [bz#1539285]
- kvm-mem-nvdimm-ensure-write-persistence-to-PMEM-in-label.patch [bz#1539285]
- kvm-migration-ram-Add-check-and-info-message-to-nvdimm-p.patch [bz#1539285]
- kvm-migration-ram-ensure-write-persistence-on-loading-al.patch [bz#1539285]
- Resolves: bz#1539285
  ([Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM)
- Resolves: bz#1653569
  (Stress guest and stop it, then do live migration, guest hit call trace on destination end)

* Tue Jan 08 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-53.el8
- kvm-ui-add-qapi-parser-for-display.patch [bz#1652871]
- kvm-ui-switch-trivial-displays-to-qapi-parser.patch [bz#1652871]
- kvm-qapi-Add-rendernode-display-option-for-egl-headless.patch [bz#1652871]
- kvm-ui-Allow-specifying-rendernode-display-option-for-eg.patch [bz#1652871]
- kvm-qapi-add-query-display-options-command.patch [bz#1652871]
- Resolves: bz#1652871
  (QEMU doesn't expose rendernode option for egl-headless display type)

* Fri Jan 04 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-52.el8
- kvm-Add-edk2-Requires-to-qemu-kvm.patch [bz#1654276]
- Resolves: bz#1654276
  (qemu-kvm: Should depend on the architecture-appropriate guest firmware)

* Mon Dec 24 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-51.el8
- kvm-x86-host-phys-bits-limit-option.patch [bz#1598284]
- kvm-rhel-Set-host-phys-bits-limit-48-on-rhel-machine-typ.patch [bz#1598284]
- kvm-i386-do-not-migrate-MSR_SMI_COUNT-on-machine-types-2.patch [bz#1659565]
- kvm-pc-x-migrate-smi-count-to-PC_RHEL_COMPAT.patch [bz#1659565]
- kvm-slow-train-kvm-clear-out-KVM_ASYNC_PF_DELIVERY_AS_PF.patch [bz#1656829]
- Resolves: bz#1598284
  ([Intel 8.0 Alpha] physical bits should  < 48  when host with 5level paging &EPT5 and qemu command with "-cpu qemu64" parameters.)
- Resolves: bz#1656829
  (8->7 migration failed: qemu-kvm: error: failed to set MSR 0x4b564d02 to 0x27fc13285)
- Resolves: bz#1659565
  (machine type: required compat flag x-migrate-smi-count=off)

* Tue Dec 18 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-51
- kvm-Add-edk2-Requires-to-qemu-kvm.patch [bz#1654276]
- Resolves: bz#1654276
  (qemu-kvm: Should depend on the architecture-appropriate guest firmware)

* Mon Dec 17 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 
- kvm-redhat-enable-tpmdev-passthrough.patch [bz#1654486]
- Resolves: bz#1654486
  ([RFE] enable TPM passthrough at compile time (qemu-kvm))

* Fri Dec 14 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-48 
- kvm-redhat-use-autopatch-instead-of-PATCHAPPLY.patch [bz#1613128]
- kvm-redhat-Removing-some-unused-build-flags-in-the-spec-.patch [bz#1613128]
- kvm-redhat-Fixing-rhev-ma-conflicts.patch [bz#1613126]
- kvm-redhat-Remove-_smp_mflags-cleanup-workaround-for-s39.patch [bz#1613128]
- kvm-redhat-Removing-dead-code-from-the-spec-file.patch [bz#1613128]
- kvm-i386-Add-stibp-flag-name.patch [bz#1639446]
- kvm-Add-functional-acceptance-tests-infrastructure.patch [bz#1655807]
- kvm-scripts-qemu.py-allow-adding-to-the-list-of-extra-ar.patch [bz#1655807]
- kvm-Acceptance-tests-add-quick-VNC-tests.patch [bz#1655807]
- kvm-scripts-qemu.py-introduce-set_console-method.patch [bz#1655807]
- kvm-Acceptance-tests-add-Linux-kernel-boot-and-console-c.patch [bz#1655807]
- kvm-Bootstrap-Python-venv-for-tests.patch [bz#1655807]
- kvm-Acceptance-tests-add-make-rule-for-running-them.patch [bz#1655807]
- Resolves: bz#1613126
  (Check and fix qemu-kvm-rhev and qemu-kvm-ma conflicts in qemu-kvm for rhel-8)
- Resolves: bz#1613128
  (Spec file clean up)
- Resolves: bz#1639446
  (Cross migration from RHEL7.5 to RHEL8 shouldn't fail with cpu flag stibp [qemu-kvm])
- Resolves: bz#1655807
  (Backport avocado-qemu tests for QEMU 2.12)

* Tue Dec 11 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-47
- kvm-Disable-CONFIG_IPMI-and-CONFIG_I2C-for-ppc64.patch [bz#1640044]
- kvm-Disable-CONFIG_CAN_BUS-and-CONFIG_CAN_SJA1000.patch [bz#1640042]
- Resolves: bz#1640042
  (Disable CONFIG_CAN_BUS and CONFIG_CAN_SJA1000 config switches)
- Resolves: bz#1640044
  (Disable CONFIG_I2C and CONFIG_IPMI in default-configs/ppc64-softmmu.mak)

* Tue Dec 11 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-46
- kvm-qcow2-Give-the-refcount-cache-the-minimum-possible-s.patch [bz#1656507]
- kvm-docs-Document-the-new-default-sizes-of-the-qcow2-cac.patch [bz#1656507]
- kvm-qcow2-Fix-Coverity-warning-when-calculating-the-refc.patch [bz#1656507]
- kvm-include-Add-IEC-binary-prefixes-in-qemu-units.h.patch [bz#1656507]
- kvm-qcow2-Options-documentation-fixes.patch [bz#1656507]
- kvm-include-Add-a-lookup-table-of-sizes.patch [bz#1656507]
- kvm-qcow2-Make-sizes-more-humanly-readable.patch [bz#1656507]
- kvm-qcow2-Avoid-duplication-in-setting-the-refcount-cach.patch [bz#1656507]
- kvm-qcow2-Assign-the-L2-cache-relatively-to-the-image-si.patch [bz#1656507]
- kvm-qcow2-Increase-the-default-upper-limit-on-the-L2-cac.patch [bz#1656507]
- kvm-qcow2-Resize-the-cache-upon-image-resizing.patch [bz#1656507]
- kvm-qcow2-Set-the-default-cache-clean-interval-to-10-min.patch [bz#1656507]
- kvm-qcow2-Explicit-number-replaced-by-a-constant.patch [bz#1656507]
- kvm-block-backend-Set-werror-rerror-defaults-in-blk_new.patch [bz#1657637]
- kvm-qcow2-Fix-cache-clean-interval-documentation.patch [bz#1656507]
- Resolves: bz#1656507
  ([RHEL.8] qcow2 cache is too small)
- Resolves: bz#1657637
  (Wrong werror default for -device drive=<node-name>)

* Thu Dec 06 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-45
- kvm-target-ppc-add-basic-support-for-PTCR-on-POWER9.patch [bz#1639069]
- kvm-linux-headers-Update-for-nested-KVM-HV-downstream-on.patch [bz#1639069]
- kvm-target-ppc-Add-one-reg-id-for-ptcr.patch [bz#1639069]
- kvm-ppc-spapr_caps-Add-SPAPR_CAP_NESTED_KVM_HV.patch [bz#1639069]
- kvm-Re-enable-CONFIG_HYPERV_TESTDEV.patch [bz#1651195]
- kvm-qxl-use-guest_monitor_config-for-local-renderer.patch [bz#1610163]
- kvm-Declare-cirrus-vga-as-deprecated.patch [bz#1651994]
- kvm-Do-not-build-bluetooth-support.patch [bz#1654651]
- kvm-vfio-helpers-Fix-qemu_vfio_open_pci-crash.patch [bz#1645840]
- kvm-balloon-Allow-multiple-inhibit-users.patch [bz#1650272]
- kvm-Use-inhibit-to-prevent-ballooning-without-synchr.patch [bz#1650272]
- kvm-vfio-Inhibit-ballooning-based-on-group-attachment-to.patch [bz#1650272]
- kvm-vfio-ccw-pci-Allow-devices-to-opt-in-for-ballooning.patch [bz#1650272]
- kvm-vfio-pci-Handle-subsystem-realpath-returning-NULL.patch [bz#1650272]
- kvm-vfio-pci-Fix-failure-to-close-file-descriptor-on-err.patch [bz#1650272]
- kvm-postcopy-Synchronize-usage-of-the-balloon-inhibitor.patch [bz#1650272]
- Resolves: bz#1610163
  (guest shows border blurred screen with some resolutions when qemu boot with -device qxl-vga ,and guest on rhel7.6 has no  such question)
- Resolves: bz#1639069
  ([IBM 8.0 FEAT] POWER9 - Nested virtualization in RHEL8.0 KVM for ppc64le - qemu-kvm side)
- Resolves: bz#1645840
  (Qemu core dump when hotplug nvme:// drive via -blockdev)
- Resolves: bz#1650272
  (Ballooning is incompatible with vfio assigned devices, but not prevented)
- Resolves: bz#1651195
  (Re-enable hyperv-testdev device)
- Resolves: bz#1651994
  (Declare the "Cirrus VGA" device emulation of QEMU as deprecated in RHEL8)
- Resolves: bz#1654651
  (Qemu: hw: bt: keep bt/* objects from building [rhel-8.0])

* Tue Nov 27 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-44
- kvm-block-Make-more-block-drivers-compile-time-configura.patch [bz#1598842 bz#1598842]
- kvm-RHEL8-Add-disable-configure-options-to-qemu-spec-fil.patch [bz#1598842]
- Resolves: bz#1598842
  (Compile out unused block drivers)

* Mon Nov 26 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-43
- kvm-configure-add-test-for-libudev.patch [bz#1636185]
- kvm-qga-linux-report-disk-serial-number.patch [bz#1636185]
- kvm-qga-linux-return-disk-device-in-guest-get-fsinfo.patch [bz#1636185]
- kvm-qemu-error-introduce-error-warn-_report_once.patch [bz#1625173]
- kvm-intel-iommu-start-to-use-error_report_once.patch [bz#1625173]
- kvm-intel-iommu-replace-more-vtd_err_-traces.patch [bz#1625173]
- kvm-intel_iommu-introduce-vtd_reset_caches.patch [bz#1625173]
- kvm-intel_iommu-better-handling-of-dmar-state-switch.patch [bz#1625173]
- kvm-intel_iommu-move-ce-fetching-out-when-sync-shadow.patch [bz#1625173 bz#1629616]
- kvm-intel_iommu-handle-invalid-ce-for-shadow-sync.patch [bz#1625173 bz#1629616]
- kvm-block-remove-bdrv_dirty_bitmap_make_anon.patch [bz#1518989]
- kvm-block-simplify-code-around-releasing-bitmaps.patch [bz#1518989]
- kvm-hbitmap-Add-advance-param-to-hbitmap_iter_next.patch [bz#1518989]
- kvm-test-hbitmap-Add-non-advancing-iter_next-tests.patch [bz#1518989]
- kvm-block-dirty-bitmap-Add-bdrv_dirty_iter_next_area.patch [bz#1518989]
- kvm-blockdev-backup-add-bitmap-argument.patch [bz#1518989]
- kvm-dirty-bitmap-switch-assert-fails-to-errors-in-bdrv_m.patch [bz#1518989]
- kvm-dirty-bitmap-rename-bdrv_undo_clear_dirty_bitmap.patch [bz#1518989]
- kvm-dirty-bitmap-make-it-possible-to-restore-bitmap-afte.patch [bz#1518989]
- kvm-blockdev-rename-block-dirty-bitmap-clear-transaction.patch [bz#1518989]
- kvm-qapi-add-transaction-support-for-x-block-dirty-bitma.patch [bz#1518989]
- kvm-block-dirty-bitmaps-add-user_locked-status-checker.patch [bz#1518989]
- kvm-block-dirty-bitmaps-fix-merge-permissions.patch [bz#1518989]
- kvm-block-dirty-bitmaps-allow-clear-on-disabled-bitmaps.patch [bz#1518989]
- kvm-block-dirty-bitmaps-prohibit-enable-disable-on-locke.patch [bz#1518989]
- kvm-block-backup-prohibit-backup-from-using-in-use-bitma.patch [bz#1518989]
- kvm-nbd-forbid-use-of-frozen-bitmaps.patch [bz#1518989]
- kvm-bitmap-Update-count-after-a-merge.patch [bz#1518989]
- kvm-iotests-169-drop-deprecated-autoload-parameter.patch [bz#1518989]
- kvm-block-qcow2-improve-error-message-in-qcow2_inactivat.patch [bz#1518989]
- kvm-bloc-qcow2-drop-dirty_bitmaps_loaded-state-variable.patch [bz#1518989]
- kvm-dirty-bitmaps-clean-up-bitmaps-loading-and-migration.patch [bz#1518989]
- kvm-iotests-improve-169.patch [bz#1518989]
- kvm-iotests-169-add-cases-for-source-vm-resuming.patch [bz#1518989]
- kvm-pc-dimm-turn-alignment-assert-into-check.patch [bz#1630116]
- Resolves: bz#1518989
  (RFE: QEMU Incremental live backup)
- Resolves: bz#1625173
  ([NVMe Device Assignment] Guest could not boot up with q35+iommu)
- Resolves: bz#1629616
  (boot guest with q35+vIOMMU+ device assignment, qemu terminal shows "qemu-kvm: VFIO_UNMAP_DMA: -22" when return assigned network devices from vfio driver to ixgbe in guest)
- Resolves: bz#1630116
  (pc_dimm_get_free_addr: assertion failed: (QEMU_ALIGN_UP(address_space_start, align) == address_space_start))
- Resolves: bz#1636185
  ([RFE] Report disk device name and serial number (qemu-guest-agent on Linux))

* Mon Nov 05 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-42.el8
- kvm-luks-Allow-share-rw-on.patch [bz#1629701]
- kvm-redhat-reenable-gluster-support.patch [bz#1599340]
- kvm-redhat-bump-libusb-requirement.patch [bz#1627970]
- Resolves: bz#1599340
  (Reenable glusterfs in qemu-kvm once BZ#1567292 gets fixed)
- Resolves: bz#1627970
  (symbol lookup error: /usr/libexec/qemu-kvm: undefined symbol: libusb_set_option)
- Resolves: bz#1629701
  ("share-rw=on" does not work for luks format image - Fast Train)

* Tue Oct 16 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-41.el8
- kvm-block-rbd-pull-out-qemu_rbd_convert_options.patch [bz#1635585]
- kvm-block-rbd-Attempt-to-parse-legacy-filenames.patch [bz#1635585]
- kvm-block-rbd-add-deprecation-documentation-for-filename.patch [bz#1635585]
- kvm-block-rbd-add-iotest-for-rbd-legacy-keyvalue-filenam.patch [bz#1635585]
- Resolves: bz#1635585
  (rbd json format of 7.6 is incompatible with 7.5)

* Tue Oct 16 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-40.el8
- kvm-vnc-call-sasl_server_init-only-when-required.patch [bz#1609327]
- kvm-nbd-server-fix-NBD_CMD_CACHE.patch [bz#1636142]
- kvm-nbd-fix-NBD_FLAG_SEND_CACHE-value.patch [bz#1636142]
- kvm-test-bdrv-drain-bdrv_drain-works-with-cross-AioConte.patch [bz#1637976]
- kvm-block-Use-bdrv_do_drain_begin-end-in-bdrv_drain_all.patch [bz#1637976]
- kvm-block-Remove-recursive-parameter-from-bdrv_drain_inv.patch [bz#1637976]
- kvm-block-Don-t-manually-poll-in-bdrv_drain_all.patch [bz#1637976]
- kvm-tests-test-bdrv-drain-bdrv_drain_all-works-in-corout.patch [bz#1637976]
- kvm-block-Avoid-unnecessary-aio_poll-in-AIO_WAIT_WHILE.patch [bz#1637976]
- kvm-block-Really-pause-block-jobs-on-drain.patch [bz#1637976]
- kvm-block-Remove-bdrv_drain_recurse.patch [bz#1637976]
- kvm-test-bdrv-drain-Add-test-for-node-deletion.patch [bz#1637976]
- kvm-block-Drain-recursively-with-a-single-BDRV_POLL_WHIL.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-node-deletion-in-subtree-recurs.patch [bz#1637976]
- kvm-block-Don-t-poll-in-parent-drain-callbacks.patch [bz#1637976]
- kvm-test-bdrv-drain-Graph-change-through-parent-callback.patch [bz#1637976]
- kvm-block-Defer-.bdrv_drain_begin-callback-to-polling-ph.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-that-bdrv_drain_invoke-doesn-t-.patch [bz#1637976]
- kvm-block-Allow-AIO_WAIT_WHILE-with-NULL-ctx.patch [bz#1637976]
- kvm-block-Move-bdrv_drain_all_begin-out-of-coroutine-con.patch [bz#1637976]
- kvm-block-ignore_bds_parents-parameter-for-drain-functio.patch [bz#1637976]
- kvm-block-Allow-graph-changes-in-bdrv_drain_all_begin-en.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-graph-changes-in-drain_all-sect.patch [bz#1637976]
- kvm-block-Poll-after-drain-on-attaching-a-node.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-bdrv_append-to-drained-node.patch [bz#1637976]
- kvm-block-linux-aio-acquire-AioContext-before-qemu_laio_.patch [bz#1637976]
- kvm-util-async-use-qemu_aio_coroutine_enter-in-co_schedu.patch [bz#1637976]
- kvm-job-Fix-nested-aio_poll-hanging-in-job_txn_apply.patch [bz#1637976]
- kvm-job-Fix-missing-locking-due-to-mismerge.patch [bz#1637976]
- kvm-blockjob-Wake-up-BDS-when-job-becomes-idle.patch [bz#1637976]
- kvm-aio-wait-Increase-num_waiters-even-in-home-thread.patch [bz#1637976]
- kvm-test-bdrv-drain-Drain-with-block-jobs-in-an-I-O-thre.patch [bz#1637976]
- kvm-test-blockjob-Acquire-AioContext-around-job_cancel_s.patch [bz#1637976]
- kvm-job-Use-AIO_WAIT_WHILE-in-job_finish_sync.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-AIO_WAIT_WHILE-in-completion-ca.patch [bz#1637976]
- kvm-block-Add-missing-locking-in-bdrv_co_drain_bh_cb.patch [bz#1637976]
- kvm-block-backend-Add-.drained_poll-callback.patch [bz#1637976]
- kvm-block-backend-Fix-potential-double-blk_delete.patch [bz#1637976]
- kvm-block-backend-Decrease-in_flight-only-after-callback.patch [bz#1637976]
- kvm-blockjob-Lie-better-in-child_job_drained_poll.patch [bz#1637976]
- kvm-block-Remove-aio_poll-in-bdrv_drain_poll-variants.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-nested-poll-in-bdrv_drain_poll_.patch [bz#1637976]
- kvm-job-Avoid-deadlocks-in-job_completed_txn_abort.patch [bz#1637976]
- kvm-test-bdrv-drain-AIO_WAIT_WHILE-in-job-.commit-.abort.patch [bz#1637976]
- kvm-test-bdrv-drain-Fix-outdated-comments.patch [bz#1637976]
- kvm-block-Use-a-single-global-AioWait.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-draining-job-source-child-and-p.patch [bz#1637976]
- kvm-qemu-img-Fix-assert-when-mapping-unaligned-raw-file.patch [bz#1639374]
- kvm-iotests-Add-test-221-to-catch-qemu-img-map-regressio.patch [bz#1639374]
- Resolves: bz#1609327
  (qemu-kvm[37046]: Could not find keytab file: /etc/qemu/krb5.tab: Unknown error 49408)
- Resolves: bz#1636142
  (qemu NBD_CMD_CACHE flaws impacting non-qemu NBD clients)
- Resolves: bz#1637976
  (Crashes and hangs with iothreads vs. block jobs)
- Resolves: bz#1639374
  (qemu-img map 'Aborted (core dumped)' when specifying a plain file)

* Tue Oct 16 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-39.el8
- kvm-linux-headers-update.patch [bz#1508142]
- kvm-s390x-cpumodel-Set-up-CPU-model-for-AP-device-suppor.patch [bz#1508142]
- kvm-s390x-kvm-enable-AP-instruction-interpretation-for-g.patch [bz#1508142]
- kvm-s390x-ap-base-Adjunct-Processor-AP-object-model.patch [bz#1508142]
- kvm-s390x-vfio-ap-Introduce-VFIO-AP-device.patch [bz#1508142]
- kvm-s390-doc-detailed-specifications-for-AP-virtualizati.patch [bz#1508142]
- Resolves: bz#1508142
  ([IBM 8.0 FEAT] KVM: Guest-dedicated Crypto Adapters - qemu part)

* Mon Oct 15 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-38.el8
- kvm-Revert-hw-acpi-build-build-SRAT-memory-affinity-stru.patch [bz#1609235]
- kvm-add-udev-kvm-check.patch [bz#1552663]
- kvm-aio-posix-Don-t-count-ctx-notifier-as-progress-when-.patch [bz#1623085]
- kvm-aio-Do-aio_notify_accept-only-during-blocking-aio_po.patch [bz#1623085]
- kvm-aio-posix-fix-concurrent-access-to-poll_disable_cnt.patch [bz#1632622]
- kvm-aio-posix-compute-timeout-before-polling.patch [bz#1632622]
- kvm-aio-posix-do-skip-system-call-if-ctx-notifier-pollin.patch [bz#1632622]
- kvm-intel-iommu-send-PSI-always-even-if-across-PDEs.patch [bz#1450712]
- kvm-intel-iommu-remove-IntelIOMMUNotifierNode.patch [bz#1450712]
- kvm-intel-iommu-add-iommu-lock.patch [bz#1450712]
- kvm-intel-iommu-only-do-page-walk-for-MAP-notifiers.patch [bz#1450712]
- kvm-intel-iommu-introduce-vtd_page_walk_info.patch [bz#1450712]
- kvm-intel-iommu-pass-in-address-space-when-page-walk.patch [bz#1450712]
- kvm-intel-iommu-trace-domain-id-during-page-walk.patch [bz#1450712]
- kvm-util-implement-simple-iova-tree.patch [bz#1450712]
- kvm-intel-iommu-rework-the-page-walk-logic.patch [bz#1450712]
- kvm-i386-define-the-ssbd-CPUID-feature-bit-CVE-2018-3639.patch [bz#1633928]
- Resolves: bz#1450712
  (Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu))
- Resolves: bz#1552663
  (81-kvm-rhel.rules is no longer part of initscripts)
- Resolves: bz#1609235
  (Win2016 guest can't recognize pc-dimm hotplugged to node 0)
- Resolves: bz#1623085
  (VM doesn't boot from HD)
- Resolves: bz#1632622
  (~40% virtio_blk disk performance drop for win2012r2 guest when comparing qemu-kvm-rhev-2.12.0-9 with qemu-kvm-rhev-2.12.0-12)
- Resolves: bz#1633928
  (CVE-2018-3639 qemu-kvm: hw: cpu: speculative store bypass [rhel-8.0])

* Fri Oct 12 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-37.el8
- kvm-block-for-jobs-do-not-clear-user_paused-until-after-.patch [bz#1635583]
- kvm-iotests-Add-failure-matching-to-common.qemu.patch [bz#1635583]
- kvm-block-iotest-to-catch-abort-on-forced-blockjob-cance.patch [bz#1635583]
- Resolves: bz#1635583
  (Quitting VM causes qemu core dump once the block mirror job paused for no enough target space)

* Fri Oct 12 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-36.el8
- kvm-check-Only-test-ivshm-when-it-is-compiled-in.patch [bz#1621817]
- kvm-Disable-ivshmem.patch [bz#1621817]
- kvm-mirror-Fail-gracefully-for-source-target.patch [bz#1637963]
- kvm-commit-Add-top-node-base-node-options.patch [bz#1637970]
- kvm-qemu-iotests-Test-commit-with-top-node-base-node.patch [bz#1637970]
- Resolves: bz#1621817
  (Disable IVSHMEM in RHEL 8)
- Resolves: bz#1637963
  (Segfault on 'blockdev-mirror' with same node as source and target)
- Resolves: bz#1637970
  (allow using node-names with block-commit)

* Thu Oct 11 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-35.el8
- kvm-redhat-make-the-plugins-executable.patch [bz#1638304]
- Resolves: bz#1638304
  (the driver packages lack all the library Requires)

* Thu Oct 11 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-34.el8
- kvm-seccomp-allow-sched_setscheduler-with-SCHED_IDLE-pol.patch [bz#1618356]
- kvm-seccomp-use-SIGSYS-signal-instead-of-killing-the-thr.patch [bz#1618356]
- kvm-seccomp-prefer-SCMP_ACT_KILL_PROCESS-if-available.patch [bz#1618356]
- kvm-configure-require-libseccomp-2.2.0.patch [bz#1618356]
- kvm-seccomp-set-the-seccomp-filter-to-all-threads.patch [bz#1618356]
- kvm-memory-cleanup-side-effects-of-memory_region_init_fo.patch [bz#1600365]
- Resolves: bz#1600365
  (QEMU core dumped when hotplug memory exceeding host hugepages and with discard-data=yes)
- Resolves: bz#1618356
  (qemu-kvm: Qemu: seccomp: blacklist is not applied to all threads [rhel-8])

* Fri Oct 05 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-33.el8
- kvm-migration-postcopy-Clear-have_listen_thread.patch [bz#1608765]
- kvm-migration-cleanup-in-error-paths-in-loadvm.patch [bz#1608765]
- kvm-jobs-change-start-callback-to-run-callback.patch [bz#1632939]
- kvm-jobs-canonize-Error-object.patch [bz#1632939]
- kvm-jobs-add-exit-shim.patch [bz#1632939]
- kvm-block-commit-utilize-job_exit-shim.patch [bz#1632939]
- kvm-block-mirror-utilize-job_exit-shim.patch [bz#1632939]
- kvm-jobs-utilize-job_exit-shim.patch [bz#1632939]
- kvm-block-backup-make-function-variables-consistently-na.patch [bz#1632939]
- kvm-jobs-remove-ret-argument-to-job_completed-privatize-.patch [bz#1632939]
- kvm-jobs-remove-job_defer_to_main_loop.patch [bz#1632939]
- kvm-block-commit-add-block-job-creation-flags.patch [bz#1632939]
- kvm-block-mirror-add-block-job-creation-flags.patch [bz#1632939]
- kvm-block-stream-add-block-job-creation-flags.patch [bz#1632939]
- kvm-block-commit-refactor-commit-to-use-job-callbacks.patch [bz#1632939]
- kvm-block-mirror-don-t-install-backing-chain-on-abort.patch [bz#1632939]
- kvm-block-mirror-conservative-mirror_exit-refactor.patch [bz#1632939]
- kvm-block-stream-refactor-stream-to-use-job-callbacks.patch [bz#1632939]
- kvm-tests-blockjob-replace-Blockjob-with-Job.patch [bz#1632939]
- kvm-tests-test-blockjob-remove-exit-callback.patch [bz#1632939]
- kvm-tests-test-blockjob-txn-move-.exit-to-.clean.patch [bz#1632939]
- kvm-jobs-remove-.exit-callback.patch [bz#1632939]
- kvm-qapi-block-commit-expose-new-job-properties.patch [bz#1632939]
- kvm-qapi-block-mirror-expose-new-job-properties.patch [bz#1632939]
- kvm-qapi-block-stream-expose-new-job-properties.patch [bz#1632939]
- kvm-block-backup-qapi-documentation-fixup.patch [bz#1632939]
- kvm-blockdev-document-transactional-shortcomings.patch [bz#1632939]
- Resolves: bz#1608765
  (After postcopy migration,  do savevm and loadvm, guest hang and call trace)
- Resolves: bz#1632939
  (qemu blockjobs other than backup do not support job-finalize or job-dismiss)

* Fri Sep 28 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-32.el8
- kvm-Re-enable-disabled-Hyper-V-enlightenments.patch [bz#1625185]
- kvm-Fix-annocheck-issues.patch [bz#1624164]
- kvm-exec-check-that-alignment-is-a-power-of-two.patch [bz#1630746]
- kvm-curl-Make-sslverify-off-disable-host-as-well-as-peer.patch [bz#1575925]
- Resolves: bz#1575925
  ("SSL: no alternative certificate subject name matches target host name" error even though sslverify = off)
- Resolves: bz#1624164
  (Review annocheck distro flag failures in qemu-kvm)
- Resolves: bz#1625185
  (Re-enable disabled Hyper-V enlightenments)
- Resolves: bz#1630746
  (qemu_ram_mmap: Assertion `is_power_of_2(align)' failed)

* Tue Sep 11 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-31.el8
- kvm-i386-Disable-TOPOEXT-by-default-on-cpu-host.patch [bz#1619804]
- kvm-redhat-enable-opengl-add-build-and-runtime-deps.patch [bz#1618412]
- Resolves: bz#1618412
  (Enable opengl (for intel vgpu display))
- Resolves: bz#1619804
  (kernel panic in init_amd_cacheinfo)

* Wed Sep 05 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-30.el8
- kvm-redhat-Disable-vhost-crypto.patch [bz#1625668]
- Resolves: bz#1625668
  (Decide if we should disable 'vhost-crypto' or not)

* Wed Sep 05 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-29.el8
- kvm-target-i386-sev-fix-memory-leaks.patch [bz#1615717]
- kvm-i386-Fix-arch_query_cpu_model_expansion-leak.patch [bz#1615717]
- kvm-redhat-Update-build-configuration.patch [bz#1573156]
- Resolves: bz#1573156
  (Update build configure for QEMU 2.12.0)
- Resolves: bz#1615717
  (Memory leaks)

* Tue Sep 04 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-28.el8
- kvm-e1000e-Do-not-auto-clear-ICR-bits-which-aren-t-set-i.patch [bz#1596024]
- kvm-e1000e-Prevent-MSI-MSI-X-storms.patch [bz#1596024]
- kvm-Drop-build_configure.sh-and-Makefile.local-files.patch []
- kvm-Fix-subject-line-in-.gitpublish.patch []
- Resolves: bz#1596024
  (The network link can't be detected on guest when the guest uses e1000e model type)

* Wed Aug 29 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-27.el8
- kvm-Fix-libusb-1.0.22-deprecated-libusb_set_debug-with-l.patch [bz#1622656]
- Resolves: bz#1622656
  (qemu-kvm fails to build due to libusb_set_debug being deprecated)

* Fri Aug 17 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-26.el8
- kvm-redhat-remove-extra-in-rhel_rhev_conflicts-macro.patch [bz#1618752]
- Resolves: bz#1618752
  (qemu-kvm can't be installed in RHEL-8 as it Conflicts with itself.)

* Thu Aug 16 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-25.el8
- kvm-Migration-TLS-Fix-crash-due-to-double-cleanup.patch [bz#1594384]
- Resolves: bz#1594384
  (2.12 migration fixes)

* Tue Aug 14 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-24.el8
- kvm-Add-qemu-keymap-to-qemu-kvm-common.patch [bz#1593117]
- Resolves: bz#1593117
  (add qemu-keymap utility)

* Fri Aug 10 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-23.el8
- Fixing an issue with some old command in the spec file

* Fri Aug 10 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-22.el8
- Fix an issue with the build_configure script.
- Resolves: bz#1425820
  (Improve QEMU packaging layout with modularization of the block layer)


* Fri Aug 10 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-20.el8
- kvm-migration-stop-compressing-page-in-migration-thread.patch [bz#1594384]
- kvm-migration-stop-compression-to-allocate-and-free-memo.patch [bz#1594384]
- kvm-migration-stop-decompression-to-allocate-and-free-me.patch [bz#1594384]
- kvm-migration-detect-compression-and-decompression-error.patch [bz#1594384]
- kvm-migration-introduce-control_save_page.patch [bz#1594384]
- kvm-migration-move-some-code-to-ram_save_host_page.patch [bz#1594384]
- kvm-migration-move-calling-control_save_page-to-the-comm.patch [bz#1594384]
- kvm-migration-move-calling-save_zero_page-to-the-common-.patch [bz#1594384]
- kvm-migration-introduce-save_normal_page.patch [bz#1594384]
- kvm-migration-remove-ram_save_compressed_page.patch [bz#1594384]
- kvm-migration-block-dirty-bitmap-fix-memory-leak-in-dirt.patch [bz#1594384]
- kvm-migration-fix-saving-normal-page-even-if-it-s-been-c.patch [bz#1594384]
- kvm-migration-update-index-field-when-delete-or-qsort-RD.patch [bz#1594384]
- kvm-migration-introduce-decompress-error-check.patch [bz#1594384]
- kvm-migration-Don-t-activate-block-devices-if-using-S.patch [bz#1594384]
- kvm-migration-not-wait-RDMA_CM_EVENT_DISCONNECTED-event-.patch [bz#1594384]
- kvm-migration-block-dirty-bitmap-fix-dirty_bitmap_load.patch [bz#1594384]
- kvm-s390x-add-RHEL-7.6-machine-type-for-ccw.patch [bz#1595718]
- kvm-s390x-cpumodel-default-enable-bpb-and-ppa15-for-z196.patch [bz#1595718]
- kvm-linux-headers-asm-s390-kvm.h-header-sync.patch [bz#1612938]
- kvm-s390x-kvm-add-etoken-facility.patch [bz#1612938]
- Resolves: bz#1594384
  (2.12 migration fixes)
- Resolves: bz#1595718
  (Add ppa15/bpb to the default cpu model for z196 and higher in the 7.6 s390-ccw-virtio machine)
- Resolves: bz#1612938
  (Add etoken support to qemu-kvm for s390x KVM guests)

* Fri Aug 10 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-18.el8
  Mass import from RHEL 7.6 qemu-kvm-rhev, including fixes to the following BZs:

- kvm-AArch64-Add-virt-rhel7.6-machine-type.patch [bz#1558723]
- kvm-cpus-Fix-event-order-on-resume-of-stopped-guest.patch [bz#1566153]
- kvm-qemu-img-Check-post-truncation-size.patch [bz#1523065]
- kvm-vga-catch-depth-0.patch [bz#1575541]
- kvm-Fix-x-hv-max-vps-compat-value-for-7.4-machine-type.patch [bz#1583959]
- kvm-ccid-card-passthru-fix-regression-in-realize.patch [bz#1584984]
- kvm-Use-4-MB-vram-for-cirrus.patch [bz#1542080]
- kvm-spapr_pci-Remove-unhelpful-pagesize-warning.patch [bz#1505664]
- kvm-rpm-Add-nvme-VFIO-driver-to-rw-whitelist.patch [bz#1416180]
- kvm-qobject-Use-qobject_to-instead-of-type-cast.patch [bz#1557995]
- kvm-qobject-Ensure-base-is-at-offset-0.patch [bz#1557995]
- kvm-qobject-use-a-QObjectBase_-struct.patch [bz#1557995]
- kvm-qobject-Replace-qobject_incref-QINCREF-qobject_decre.patch [bz#1557995]
- kvm-qobject-Modify-qobject_ref-to-return-obj.patch [bz#1557995]
- kvm-rbd-Drop-deprecated-drive-parameter-filename.patch [bz#1557995]
- kvm-iscsi-Drop-deprecated-drive-parameter-filename.patch [bz#1557995]
- kvm-block-Add-block-specific-QDict-header.patch [bz#1557995]
- kvm-qobject-Move-block-specific-qdict-code-to-block-qdic.patch [bz#1557995]
- kvm-block-Fix-blockdev-for-certain-non-string-scalars.patch [bz#1557995]
- kvm-block-Fix-drive-for-certain-non-string-scalars.patch [bz#1557995]
- kvm-block-Clean-up-a-misuse-of-qobject_to-in-.bdrv_co_cr.patch [bz#1557995]
- kvm-block-Factor-out-qobject_input_visitor_new_flat_conf.patch [bz#1557995]
- kvm-block-Make-remaining-uses-of-qobject-input-visitor-m.patch [bz#1557995]
- kvm-block-qdict-Simplify-qdict_flatten_qdict.patch [bz#1557995]
- kvm-block-qdict-Tweak-qdict_flatten_qdict-qdict_flatten_.patch [bz#1557995]
- kvm-block-qdict-Clean-up-qdict_crumple-a-bit.patch [bz#1557995]
- kvm-block-qdict-Simplify-qdict_is_list-some.patch [bz#1557995]
- kvm-check-block-qdict-Rename-qdict_flatten-s-variables-f.patch [bz#1557995]
- kvm-check-block-qdict-Cover-flattening-of-empty-lists-an.patch [bz#1557995]
- kvm-block-Fix-blockdev-blockdev-add-for-empty-objects-an.patch [bz#1557995]
- kvm-rbd-New-parameter-auth-client-required.patch [bz#1557995]
- kvm-rbd-New-parameter-key-secret.patch [bz#1557995]
- kvm-block-mirror-honor-ratelimit-again.patch [bz#1572856]
- kvm-block-mirror-Make-cancel-always-cancel-pre-READY.patch [bz#1572856]
- kvm-iotests-Add-test-for-cancelling-a-mirror-job.patch [bz#1572856]
- kvm-iotests-Split-214-off-of-122.patch [bz#1518738]
- kvm-block-Add-COR-filter-driver.patch [bz#1518738]
- kvm-block-BLK_PERM_WRITE-includes-._UNCHANGED.patch [bz#1518738]
- kvm-block-Add-BDRV_REQ_WRITE_UNCHANGED-flag.patch [bz#1518738]
- kvm-block-Set-BDRV_REQ_WRITE_UNCHANGED-for-COR-writes.patch [bz#1518738]
- kvm-block-quorum-Support-BDRV_REQ_WRITE_UNCHANGED.patch [bz#1518738]
- kvm-block-Support-BDRV_REQ_WRITE_UNCHANGED-in-filters.patch [bz#1518738]
- kvm-iotests-Clean-up-wrap-image-in-197.patch [bz#1518738]
- kvm-iotests-Copy-197-for-COR-filter-driver.patch [bz#1518738]
- kvm-iotests-Add-test-for-COR-across-nodes.patch [bz#1518738]
- kvm-qemu-io-Use-purely-string-blockdev-options.patch [bz#1576598]
- kvm-qemu-img-Use-only-string-options-in-img_open_opts.patch [bz#1576598]
- kvm-iotests-Add-test-for-U-force-share-conflicts.patch [bz#1576598]
- kvm-qemu-io-Drop-command-functions-return-values.patch [bz#1519617]
- kvm-qemu-io-Let-command-functions-return-error-code.patch [bz#1519617]
- kvm-qemu-io-Exit-with-error-when-a-command-failed.patch [bz#1519617]
- kvm-iotests.py-Add-qemu_io_silent.patch [bz#1519617]
- kvm-iotests-Let-216-make-use-of-qemu-io-s-exit-code.patch [bz#1519617]
- kvm-qcow2-Repair-OFLAG_COPIED-when-fixing-leaks.patch [bz#1527085]
- kvm-iotests-Repairing-error-during-snapshot-deletion.patch [bz#1527085]
- kvm-block-Make-bdrv_is_writable-public.patch [bz#1588039]
- kvm-qcow2-Do-not-mark-inactive-images-corrupt.patch [bz#1588039]
- kvm-iotests-Add-case-for-a-corrupted-inactive-image.patch [bz#1588039]
- kvm-main-loop-drop-spin_counter.patch [bz#1168213]
- kvm-target-ppc-Factor-out-the-parsing-in-kvmppc_get_cpu_.patch [bz#1560847]
- kvm-target-ppc-Don-t-require-private-l1d-cache-on-POWER8.patch [bz#1560847]
- kvm-ppc-spapr_caps-Don-t-disable-cap_cfpc-on-POWER8-by-d.patch [bz#1560847]
- kvm-qxl-fix-local-renderer-crash.patch [bz#1567733]
- kvm-qemu-img-Amendment-support-implies-create_opts.patch [bz#1537956]
- kvm-block-Add-Error-parameter-to-bdrv_amend_options.patch [bz#1537956]
- kvm-qemu-option-Pull-out-Supported-options-print.patch [bz#1537956]
- kvm-qemu-img-Add-print_amend_option_help.patch [bz#1537956]
- kvm-qemu-img-Recognize-no-creation-support-in-o-help.patch [bz#1537956]
- kvm-iotests-Test-help-option-for-unsupporting-formats.patch [bz#1537956]
- kvm-iotests-Rework-113.patch [bz#1537956]
- kvm-qemu-img-Resolve-relative-backing-paths-in-rebase.patch [bz#1569835]
- kvm-iotests-Add-test-for-rebasing-with-relative-paths.patch [bz#1569835]
- kvm-qemu-img-Special-post-backing-convert-handling.patch [bz#1527898]
- kvm-iotests-Test-post-backing-convert-target-behavior.patch [bz#1527898]
- kvm-migration-calculate-expected_downtime-with-ram_bytes.patch [bz#1564576]
- kvm-sheepdog-Fix-sd_co_create_opts-memory-leaks.patch [bz#1513543]
- kvm-qemu-iotests-reduce-chance-of-races-in-185.patch [bz#1513543]
- kvm-blockjob-do-not-cancel-timer-in-resume.patch [bz#1513543]
- kvm-nfs-Fix-error-path-in-nfs_options_qdict_to_qapi.patch [bz#1513543]
- kvm-nfs-Remove-processed-options-from-QDict.patch [bz#1513543]
- kvm-blockjob-drop-block_job_pause-resume_all.patch [bz#1513543]
- kvm-blockjob-expose-error-string-via-query.patch [bz#1513543]
- kvm-blockjob-Fix-assertion-in-block_job_finalize.patch [bz#1513543]
- kvm-blockjob-Wrappers-for-progress-counter-access.patch [bz#1513543]
- kvm-blockjob-Move-RateLimit-to-BlockJob.patch [bz#1513543]
- kvm-blockjob-Implement-block_job_set_speed-centrally.patch [bz#1513543]
- kvm-blockjob-Introduce-block_job_ratelimit_get_delay.patch [bz#1513543]
- kvm-blockjob-Add-block_job_driver.patch [bz#1513543]
- kvm-blockjob-Update-block-job-pause-resume-documentation.patch [bz#1513543]
- kvm-blockjob-Improve-BlockJobInfo.offset-len-documentati.patch [bz#1513543]
- kvm-job-Create-Job-JobDriver-and-job_create.patch [bz#1513543]
- kvm-job-Rename-BlockJobType-into-JobType.patch [bz#1513543]
- kvm-job-Add-JobDriver.job_type.patch [bz#1513543]
- kvm-job-Add-job_delete.patch [bz#1513543]
- kvm-job-Maintain-a-list-of-all-jobs.patch [bz#1513543]
- kvm-job-Move-state-transitions-to-Job.patch [bz#1513543]
- kvm-job-Add-reference-counting.patch [bz#1513543]
- kvm-job-Move-cancelled-to-Job.patch [bz#1513543]
- kvm-job-Add-Job.aio_context.patch [bz#1513543]
- kvm-job-Move-defer_to_main_loop-to-Job.patch [bz#1513543]
- kvm-job-Move-coroutine-and-related-code-to-Job.patch [bz#1513543]
- kvm-job-Add-job_sleep_ns.patch [bz#1513543]
- kvm-job-Move-pause-resume-functions-to-Job.patch [bz#1513543]
- kvm-job-Replace-BlockJob.completed-with-job_is_completed.patch [bz#1513543]
- kvm-job-Move-BlockJobCreateFlags-to-Job.patch [bz#1513543]
- kvm-blockjob-Split-block_job_event_pending.patch [bz#1513543]
- kvm-job-Add-job_event_.patch [bz#1513543]
- kvm-job-Move-single-job-finalisation-to-Job.patch [bz#1513543]
- kvm-job-Convert-block_job_cancel_async-to-Job.patch [bz#1513543]
- kvm-job-Add-job_drain.patch [bz#1513543]
- kvm-job-Move-.complete-callback-to-Job.patch [bz#1513543]
- kvm-job-Move-job_finish_sync-to-Job.patch [bz#1513543]
- kvm-job-Switch-transactions-to-JobTxn.patch [bz#1513543]
- kvm-job-Move-transactions-to-Job.patch [bz#1513543]
- kvm-job-Move-completion-and-cancellation-to-Job.patch [bz#1513543]
- kvm-block-Cancel-job-in-bdrv_close_all-callers.patch [bz#1513543]
- kvm-job-Add-job_yield.patch [bz#1513543]
- kvm-job-Add-job_dismiss.patch [bz#1513543]
- kvm-job-Add-job_is_ready.patch [bz#1513543]
- kvm-job-Add-job_transition_to_ready.patch [bz#1513543]
- kvm-job-Move-progress-fields-to-Job.patch [bz#1513543]
- kvm-job-Introduce-qapi-job.json.patch [bz#1513543]
- kvm-job-Add-JOB_STATUS_CHANGE-QMP-event.patch [bz#1513543]
- kvm-job-Add-lifecycle-QMP-commands.patch [bz#1513543]
- kvm-job-Add-query-jobs-QMP-command.patch [bz#1513543]
- kvm-blockjob-Remove-BlockJob.driver.patch [bz#1513543]
- kvm-iotests-Move-qmp_to_opts-to-VM.patch [bz#1513543]
- kvm-qemu-iotests-Test-job-with-block-jobs.patch [bz#1513543]
- kvm-vdi-Fix-vdi_co_do_create-return-value.patch [bz#1513543]
- kvm-vhdx-Fix-vhdx_co_create-return-value.patch [bz#1513543]
- kvm-job-Add-error-message-for-failing-jobs.patch [bz#1513543]
- kvm-block-create-Make-x-blockdev-create-a-job.patch [bz#1513543]
- kvm-qemu-iotests-Add-VM.get_qmp_events_filtered.patch [bz#1513543]
- kvm-qemu-iotests-Add-VM.qmp_log.patch [bz#1513543]
- kvm-qemu-iotests-Add-iotests.img_info_log.patch [bz#1513543]
- kvm-qemu-iotests-Add-VM.run_job.patch [bz#1513543]
- kvm-qemu-iotests-iotests.py-helper-for-non-file-protocol.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-206-for-blockdev-create-job.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-207-for-blockdev-create-job.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-210-for-blockdev-create-job.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-211-for-blockdev-create-job.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-212-for-blockdev-create-job.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-213-for-blockdev-create-job.patch [bz#1513543]
- kvm-block-create-Mark-blockdev-create-stable.patch [bz#1513543]
- kvm-jobs-fix-stale-wording.patch [bz#1513543]
- kvm-jobs-fix-verb-references-in-docs.patch [bz#1513543]
- kvm-iotests-Fix-219-s-timing.patch [bz#1513543]
- kvm-iotests-improve-pause_job.patch [bz#1513543]
- kvm-rpm-Whitelist-copy-on-read-block-driver.patch [bz#1518738]
- kvm-rpm-add-throttle-driver-to-rw-whitelist.patch [bz#1591076]
- kvm-usb-host-skip-open-on-pending-postload-bh.patch [bz#1572851]
- kvm-i386-Define-the-Virt-SSBD-MSR-and-handling-of-it-CVE.patch [bz#1574216]
- kvm-i386-define-the-AMD-virt-ssbd-CPUID-feature-bit-CVE-.patch [bz#1574216]
- kvm-block-file-posix-Pass-FD-to-locking-helpers.patch [bz#1519144]
- kvm-block-file-posix-File-locking-during-creation.patch [bz#1519144]
- kvm-iotests-Add-creation-test-to-153.patch [bz#1519144]
- kvm-vhost-user-add-Net-prefix-to-internal-state-structur.patch [bz#1526645]
- kvm-virtio-support-setting-memory-region-based-host-noti.patch [bz#1526645]
- kvm-vhost-user-support-receiving-file-descriptors-in-sla.patch [bz#1526645]
- kvm-osdep-add-wait.h-compat-macros.patch [bz#1526645]
- kvm-vhost-user-bridge-support-host-notifier.patch [bz#1526645]
- kvm-vhost-allow-backends-to-filter-memory-sections.patch [bz#1526645]
- kvm-vhost-user-allow-slave-to-send-fds-via-slave-channel.patch [bz#1526645]
- kvm-vhost-user-introduce-shared-vhost-user-state.patch [bz#1526645]
- kvm-vhost-user-support-registering-external-host-notifie.patch [bz#1526645]
- kvm-libvhost-user-support-host-notifier.patch [bz#1526645]
- kvm-block-Introduce-API-for-copy-offloading.patch [bz#1482537]
- kvm-raw-Check-byte-range-uniformly.patch [bz#1482537]
- kvm-raw-Implement-copy-offloading.patch [bz#1482537]
- kvm-qcow2-Implement-copy-offloading.patch [bz#1482537]
- kvm-file-posix-Implement-bdrv_co_copy_range.patch [bz#1482537]
- kvm-iscsi-Query-and-save-device-designator-when-opening.patch [bz#1482537]
- kvm-iscsi-Create-and-use-iscsi_co_wait_for_task.patch [bz#1482537]
- kvm-iscsi-Implement-copy-offloading.patch [bz#1482537]
- kvm-block-backend-Add-blk_co_copy_range.patch [bz#1482537]
- kvm-qemu-img-Convert-with-copy-offloading.patch [bz#1482537]
- kvm-qcow2-Fix-src_offset-in-copy-offloading.patch [bz#1482537]
- kvm-iscsi-Don-t-blindly-use-designator-length-in-respons.patch [bz#1482537]
- kvm-file-posix-Fix-EINTR-handling.patch [bz#1482537]
- kvm-usb-storage-Add-rerror-werror-properties.patch [bz#1595180]
- kvm-numa-clarify-error-message-when-node-index-is-out-of.patch [bz#1578381]
- kvm-qemu-iotests-Update-026.out.nocache-reference-output.patch [bz#1528541]
- kvm-qcow2-Free-allocated-clusters-on-write-error.patch [bz#1528541]
- kvm-qemu-iotests-Test-qcow2-not-leaking-clusters-on-writ.patch [bz#1528541]
- kvm-qemu-options-Add-missing-newline-to-accel-help-text.patch [bz#1586313]
- kvm-xhci-fix-guest-triggerable-assert.patch [bz#1594135]
- kvm-virtio-gpu-tweak-scanout-disable.patch [bz#1589634]
- kvm-virtio-gpu-update-old-resource-too.patch [bz#1589634]
- kvm-virtio-gpu-disable-scanout-when-backing-resource-is-.patch [bz#1589634]
- kvm-block-Don-t-silently-truncate-node-names.patch [bz#1549654]
- kvm-pr-helper-fix-socket-path-default-in-help.patch [bz#1533158]
- kvm-pr-helper-fix-assertion-failure-on-failed-multipath-.patch [bz#1533158]
- kvm-pr-manager-helper-avoid-SIGSEGV-when-writing-to-the-.patch [bz#1533158]
- kvm-pr-manager-put-stubs-in-.c-file.patch [bz#1533158]
- kvm-pr-manager-add-query-pr-managers-QMP-command.patch [bz#1533158]
- kvm-pr-manager-helper-report-event-on-connection-disconn.patch [bz#1533158]
- kvm-pr-helper-avoid-error-on-PR-IN-command-with-zero-req.patch [bz#1533158]
- kvm-pr-helper-Rework-socket-path-handling.patch [bz#1533158]
- kvm-pr-manager-helper-fix-memory-leak-on-event.patch [bz#1533158]
- kvm-object-fix-OBJ_PROP_LINK_UNREF_ON_RELEASE-ambivalenc.patch [bz#1556678]
- kvm-usb-hcd-xhci-test-add-a-test-for-ccid-hotplug.patch [bz#1556678]
- kvm-Revert-usb-release-the-created-buses.patch [bz#1556678]
- kvm-file-posix-Fix-creation-locking.patch [bz#1599335]
- kvm-file-posix-Unlock-FD-after-creation.patch [bz#1599335]
- kvm-ahci-trim-signatures-on-raise-lower.patch [bz#1584914]
- kvm-ahci-fix-PxCI-register-race.patch [bz#1584914]
- kvm-ahci-don-t-schedule-unnecessary-BH.patch [bz#1584914]
- kvm-qcow2-Fix-qcow2_truncate-error-return-value.patch [bz#1595173]
- kvm-block-Convert-.bdrv_truncate-callback-to-coroutine_f.patch [bz#1595173]
- kvm-qcow2-Remove-coroutine-trampoline-for-preallocate_co.patch [bz#1595173]
- kvm-block-Move-bdrv_truncate-implementation-to-io.c.patch [bz#1595173]
- kvm-block-Use-tracked-request-for-truncate.patch [bz#1595173]
- kvm-file-posix-Make-.bdrv_co_truncate-asynchronous.patch [bz#1595173]
- kvm-block-Fix-copy-on-read-crash-with-partial-final-clus.patch [bz#1590640]
- kvm-block-fix-QEMU-crash-with-scsi-hd-and-drive_del.patch [bz#1599515]
- kvm-virtio-rng-process-pending-requests-on-DRIVER_OK.patch [bz#1576743]
- kvm-file-posix-specify-expected-filetypes.patch [bz#1525829]
- kvm-iotests-add-test-226-for-file-driver-types.patch [bz#1525829]
- kvm-block-dirty-bitmap-add-lock-to-bdrv_enable-disable_d.patch [bz#1207657]
- kvm-qapi-add-x-block-dirty-bitmap-enable-disable.patch [bz#1207657]
- kvm-qmp-transaction-support-for-x-block-dirty-bitmap-ena.patch [bz#1207657]
- kvm-qapi-add-x-block-dirty-bitmap-merge.patch [bz#1207657]
- kvm-qapi-add-disabled-parameter-to-block-dirty-bitmap-ad.patch [bz#1207657]
- kvm-block-dirty-bitmap-add-bdrv_enable_dirty_bitmap_lock.patch [bz#1207657]
- kvm-dirty-bitmap-fix-double-lock-on-bitmap-enabling.patch [bz#1207657]
- kvm-block-qcow2-bitmap-fix-free_bitmap_clusters.patch [bz#1207657]
- kvm-qcow2-add-overlap-check-for-bitmap-directory.patch [bz#1207657]
- kvm-blockdev-enable-non-root-nodes-for-backup-source.patch [bz#1207657]
- kvm-iotests-add-222-to-test-basic-fleecing.patch [bz#1207657]
- kvm-qcow2-Remove-dead-check-on-ret.patch [bz#1207657]
- kvm-block-Move-request-tracking-to-children-in-copy-offl.patch [bz#1207657]
- kvm-block-Fix-parameter-checking-in-bdrv_co_copy_range_i.patch [bz#1207657]
- kvm-block-Honour-BDRV_REQ_NO_SERIALISING-in-copy-range.patch [bz#1207657]
- kvm-backup-Use-copy-offloading.patch [bz#1207657]
- kvm-block-backup-disable-copy-offloading-for-backup.patch [bz#1207657]
- kvm-iotests-222-Don-t-run-with-luks.patch [bz#1207657]
- kvm-block-io-fix-copy_range.patch [bz#1207657]
- kvm-block-split-flags-in-copy_range.patch [bz#1207657]
- kvm-block-add-BDRV_REQ_SERIALISING-flag.patch [bz#1207657]
- kvm-block-backup-fix-fleecing-scheme-use-serialized-writ.patch [bz#1207657]
- kvm-nbd-server-Reject-0-length-block-status-request.patch [bz#1207657]
- kvm-nbd-server-fix-trace.patch [bz#1207657]
- kvm-nbd-server-refactor-NBDExportMetaContexts.patch [bz#1207657]
- kvm-nbd-server-add-nbd_meta_empty_or_pattern-helper.patch [bz#1207657]
- kvm-nbd-server-implement-dirty-bitmap-export.patch [bz#1207657]
- kvm-qapi-new-qmp-command-nbd-server-add-bitmap.patch [bz#1207657]
- kvm-docs-interop-add-nbd.txt.patch [bz#1207657]
- kvm-nbd-server-introduce-NBD_CMD_CACHE.patch [bz#1207657]
- kvm-nbd-server-Silence-gcc-false-positive.patch [bz#1207657]
- kvm-nbd-server-Fix-dirty-bitmap-logic-regression.patch [bz#1207657]
- kvm-nbd-server-fix-nbd_co_send_block_status.patch [bz#1207657]
- kvm-nbd-client-Add-x-dirty-bitmap-to-query-bitmap-from-s.patch [bz#1207657]
- kvm-iotests-New-test-223-for-exporting-dirty-bitmap-over.patch [bz#1207657]
- kvm-hw-char-serial-Only-retry-if-qemu_chr_fe_write-retur.patch [bz#1592817]
- kvm-hw-char-serial-retry-write-if-EAGAIN.patch [bz#1592817]
- kvm-throttle-groups-fix-hang-when-group-member-leaves.patch [bz#1535914]
- kvm-Disable-aarch64-devices-reappeared-after-2.12-rebase.patch [bz#1586357]
- kvm-Disable-split-irq-device.patch [bz#1586357]
- kvm-Disable-AT24Cx-i2c-eeprom.patch [bz#1586357]
- kvm-Disable-CAN-bus-devices.patch [bz#1586357]
- kvm-Disable-new-superio-devices.patch [bz#1586357]
- kvm-Disable-new-pvrdma-device.patch [bz#1586357]
- kvm-qdev-add-HotplugHandler-post_plug-callback.patch [bz#1607891]
- kvm-virtio-scsi-fix-hotplug-reset-vs-event-race.patch [bz#1607891]
- kvm-e1000-Fix-tso_props-compat-for-82540em.patch [bz#1608778]
- kvm-slirp-correct-size-computation-while-concatenating-m.patch [bz#1586255]
- kvm-s390x-sclp-fix-maxram-calculation.patch [bz#1595740]
- kvm-redhat-Make-gitpublish-profile-the-default-one.patch [bz#1425820]
- Resolves: bz#1168213
  (main-loop: WARNING: I/O thread spun for 1000 iterations while doing stream block device.)
- Resolves: bz#1207657
  (RFE: QEMU Incremental live backup - push and pull modes)
- Resolves: bz#1416180
  (QEMU VFIO based block driver for NVMe devices)
- Resolves: bz#1425820
  (Improve QEMU packaging layout with modularization of the block layer)
- Resolves: bz#1482537
  ([RFE] qemu-img copy-offloading (convert command))
- Resolves: bz#1505664
  ("qemu-kvm: System page size 0x1000000 is not enabled in page_size_mask (0x11000). Performance may be slow" show up while using hugepage as guest's memory)
- Resolves: bz#1513543
  ([RFE] Add block job to create format on a storage device)
- Resolves: bz#1518738
  (Add 'copy-on-read' filter driver for use with blockdev-add)
- Resolves: bz#1519144
  (qemu-img: image locking doesn't cover image creation)
- Resolves: bz#1519617
  (The exit code should be non-zero when qemu-io reports an error)
- Resolves: bz#1523065
  ("qemu-img resize" should fail to decrease the size of logical partition/lvm/iSCSI image with raw format)
- Resolves: bz#1525829
  (can not boot up a scsi-block passthrough disk via -blockdev with error "cannot get SG_IO version number: Operation not supported.  Is this a SCSI device?")
- Resolves: bz#1526645
  ([Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev)
- Resolves: bz#1527085
  (The copied flag should be updated during  '-r leaks')
- Resolves: bz#1527898
  ([RFE] qemu-img should leave cluster unallocated if it's read as zero throughout the backing chain)
- Resolves: bz#1528541
  (qemu-img check reports tons of leaked clusters after re-start nfs service to resume writing data in guest)
- Resolves: bz#1533158
  (QEMU support for libvirtd restarting qemu-pr-helper)
- Resolves: bz#1535914
  (Disable io throttling for one member disk of a group during io will induce the other one hang with io)
- Resolves: bz#1537956
  (RFE: qemu-img amend should list the true supported options)
- Resolves: bz#1542080
  (Qemu core dump at cirrus_invalidate_region)
- Resolves: bz#1549654
  (Reject node-names which would be truncated by the block layer commands)
- Resolves: bz#1556678
  (Hot plug usb-ccid for the 2nd time with the same ID as the 1st time failed)
- Resolves: bz#1557995
  (QAPI schema for RBD storage misses the 'password-secret' option)
- Resolves: bz#1558723
  (Create RHEL-7.6 QEMU machine type for AArch64)
- Resolves: bz#1560847
  ([Power8][FW b0320a_1812.861][rhel7.5rc2 3.10.0-861.el7.ppc64le][qemu-kvm-{ma,rhev}-2.10.0-21.el7_5.1.ppc64le] KVM guest does not default to ori type flush even with pseries-rhel7.5.0-sxxm)
- Resolves: bz#1564576
  (Pegas 1.1 - Require to backport qemu-kvm patch that fixes expected_downtime calculation during migration)
- Resolves: bz#1566153
  (IOERROR pause code lost after resuming a VM while I/O error is still present)
- Resolves: bz#1567733
  (qemu abort when migrate during guest reboot)
- Resolves: bz#1569835
  (qemu-img get wrong backing file path after rebasing image with relative path)
- Resolves: bz#1572851
  (Core dumped after migration when with usb-host)
- Resolves: bz#1572856
  ('block-job-cancel' can not cancel a "drive-mirror" job)
- Resolves: bz#1574216
  (CVE-2018-3639 qemu-kvm-rhev: hw: cpu: speculative store bypass [rhel-7.6])
- Resolves: bz#1575541
  (qemu core dump while installing win10 guest)
- Resolves: bz#1576598
  (Segfault in qemu-io and qemu-img with -U --image-opts force-share=off)
- Resolves: bz#1576743
  (virtio-rng hangs when running on recent (2.x) QEMU versions)
- Resolves: bz#1578381
  (Error message need update when specify numa distance with node index >=128)
- Resolves: bz#1583959
  (Incorrect vcpu count limit for 7.4 machine types for windows guests)
- Resolves: bz#1584914
  (SATA emulator lags and hangs)
- Resolves: bz#1584984
  (Vm starts failed with 'passthrough' smartcard)
- Resolves: bz#1586255
  (CVE-2018-11806 qemu-kvm-rhev: QEMU: slirp: heap buffer overflow while reassembling fragmented datagrams [rhel-7.6])
- Resolves: bz#1586313
  (-smp option is not easily found in the output of qemu help)
- Resolves: bz#1586357
  (Disable new devices in 2.12)
- Resolves: bz#1588039
  (Possible assertion failure in qemu when a corrupted image is used during an incoming migration)
- Resolves: bz#1589634
  (Migration failed when rebooting guest with multiple virtio videos)
- Resolves: bz#1590640
  (qemu-kvm: block/io.c:1098: bdrv_co_do_copy_on_readv: Assertion `skip_bytes < pnum' failed.)
- Resolves: bz#1591076
  (The driver of 'throttle' is not whitelisted)
- Resolves: bz#1592817
  (Retrying on serial_xmit if the pipe is broken may compromise the Guest)
- Resolves: bz#1594135
  (system_reset many times linux guests cause qemu process Aborted)
- Resolves: bz#1595173
  (blockdev-create is blocking)
- Resolves: bz#1595180
  (Can't set rerror/werror with usb-storage)
- Resolves: bz#1595740
  (RHEL-Alt-7.6 - qemu has error during migration of larger guests)
- Resolves: bz#1599335
  (Image creation locking is too tight and is not properly released)
- Resolves: bz#1599515
  (qemu core-dump with aio_read via hmp (util/qemu-thread-posix.c:64: qemu_mutex_lock_impl: Assertion `mutex->initialized' failed))
- Resolves: bz#1607891
  (Hotplug events are sometimes lost with virtio-scsi + iothread)
- Resolves: bz#1608778
  (qemu/migration: migrate failed from RHEL.7.6 to RHEL.7.5 with e1000-82540em)

* Mon Aug 06 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-17.el8
- kvm-linux-headers-Update-to-include-KVM_CAP_S390_HPAGE_1.patch [bz#1610906]
- kvm-s390x-Enable-KVM-huge-page-backing-support.patch [bz#1610906]
- kvm-redhat-s390x-add-hpage-1-to-kvm.conf.patch [bz#1610906]
- Resolves: bz#1610906
  ([IBM 8.0 FEAT] KVM: Huge Pages - libhugetlbfs Enablement - qemu-kvm part)

* Tue Jul 31 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-16.el8
- kvm-spapr-Correct-inverted-test-in-spapr_pc_dimm_node.patch [bz#1601671]
- kvm-osdep-powerpc64-align-memory-to-allow-2MB-radix-THP-.patch [bz#1601317]
- kvm-RHEL-8.0-Add-pseries-rhel7.6.0-sxxm-machine-type.patch [bz#1595501]
- kvm-i386-Helpers-to-encode-cache-information-consistentl.patch [bz#1597739]
- kvm-i386-Add-cache-information-in-X86CPUDefinition.patch [bz#1597739]
- kvm-i386-Initialize-cache-information-for-EPYC-family-pr.patch [bz#1597739]
- kvm-i386-Add-new-property-to-control-cache-info.patch [bz#1597739]
- kvm-i386-Clean-up-cache-CPUID-code.patch [bz#1597739]
- kvm-i386-Populate-AMD-Processor-Cache-Information-for-cp.patch [bz#1597739]
- kvm-i386-Add-support-for-CPUID_8000_001E-for-AMD.patch [bz#1597739]
- kvm-i386-Fix-up-the-Node-id-for-CPUID_8000_001E.patch [bz#1597739]
- kvm-i386-Enable-TOPOEXT-feature-on-AMD-EPYC-CPU.patch [bz#1597739]
- kvm-i386-Remove-generic-SMT-thread-check.patch [bz#1597739]
- kvm-i386-Allow-TOPOEXT-to-be-enabled-on-older-kernels.patch [bz#1597739]
- Resolves: bz#1595501
  (Create pseries-rhel7.6.0-sxxm machine type)
- Resolves: bz#1597739
  (AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm))
- Resolves: bz#1601317
  (RHEL8.0 - qemu patch to align memory to allow 2MB THP)
- Resolves: bz#1601671
  (After rebooting guest,all the hot plug memory will be assigned to the 1st numa node.)

* Tue Jul 24 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-15.el8
- kvm-spapr-Add-ibm-max-associativity-domains-property.patch [bz#1599593]
- kvm-Revert-spapr-Don-t-allow-memory-hotplug-to-memory-le.patch [bz#1599593]
- kvm-simpletrace-Convert-name-from-mapping-record-to-str.patch [bz#1594969]
- kvm-tests-fix-TLS-handshake-failure-with-TLS-1.3.patch [bz#1602403]
- Resolves: bz#1594969
  (simpletrace.py fails when running with Python 3)
- Resolves: bz#1599593
  (User can't hotplug memory to less memory numa node on rhel8)
- Resolves: bz#1602403
  (test-crypto-tlssession unit test fails with assertions)

* Mon Jul 09 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-14.el8
- kvm-vfio-pci-Default-display-option-to-off.patch [bz#1590511]
- kvm-python-futurize-f-libfuturize.fixes.fix_print_with_i.patch [bz#1571533]
- kvm-python-futurize-f-lib2to3.fixes.fix_except.patch [bz#1571533]
- kvm-Revert-Defining-a-shebang-for-python-scripts.patch [bz#1571533]
- kvm-spec-Fix-ambiguous-python-interpreter-name.patch [bz#1571533]
- kvm-qemu-ga-blacklisting-guest-exec-and-guest-exec-statu.patch [bz#1518132]
- kvm-redhat-rewrap-build_configure.sh-cmdline-for-the-rh-.patch
- kvm-redhat-remove-the-VTD-LIVE_BLOCK_OPS-and-RHV-options.patch
- kvm-redhat-fix-the-rh-env-prep-target-s-dependency-on-th.patch
- kvm-redhat-remove-dead-code-related-to-s390-not-s390x.patch
- kvm-redhat-sync-compiler-flags-from-the-spec-file-to-rh-.patch
- kvm-redhat-sync-guest-agent-enablement-and-tcmalloc-usag.patch
- kvm-redhat-fix-up-Python-3-dependency-for-building-QEMU.patch
- kvm-redhat-fix-up-Python-dependency-for-SRPM-generation.patch
- kvm-redhat-disable-glusterfs-dependency-support-temporar.patch
- Resolves: bz#1518132
  (Ensure file access RPCs are disabled by default)
- Resolves: bz#1571533
  (Convert qemu-kvm python scripts to python3)
- Resolves: bz#1590511
  (Fails to start guest with Intel vGPU device)

* Thu Jun 21 2018 Danilo C. L. de Paula <ddepaula@redhat.com> - 2.12.0-13.el8
- Resolves: bz#1508137
  ([IBM 8.0 FEAT] KVM: Interactive Bootloader (qemu))
- Resolves: bz#1513558
  (Remove RHEL6 machine types)
- Resolves: bz#1568600
  (pc-i440fx-rhel7.6.0 and pc-q35-rhel7.6.0 machine types (x86))
- Resolves: bz#1570029
  ([IBM 8.0 FEAT] KVM: 3270 Connectivity - qemu part)
- Resolves: bz#1578855
  (Enable Native Ceph support on non x86_64 CPUs)
- Resolves: bz#1585651
  (RHEL 7.6 new pseries machine type (ppc64le))
- Resolves: bz#1592337
  ([IBM 8.0 FEAT] KVM: CPU Model z14 ZR1 (qemu-kvm))

* Tue May 15 2018 Danilo C. L. de Paula <ddepaula@redhat.com> - 2.12.0-11.el8.1
- Resolves: bz#1576468
  (Enable vhost_user in qemu-kvm 2.12)

* Wed May 09 2018 Danilo de Paula <ddepaula@redhat.com> - 2.12.0-11.el8
- Resolves: bz#1574406
  ([RHEL 8][qemu-kvm] Failed to find romfile "efi-virtio.rom")
- Resolves: bz#1569675
  (Backwards compatibility of pc-*-rhel7.5.0 and older machine-types)
- Resolves: bz#1576045
  (Fix build issue by using python3)
- Resolves: bz#1571145
  (qemu-kvm segfaults on RHEL 8 when run guestfsd under TCG)

* Fri Apr 20 2018 Danilo de Paula <ddepaula@redhat.com> - 2.12.0-10.el
- Fixing some issues with packaging.
- Rebasing to 2.12.0-rc4

* Fri Apr 13 2018 Danilo de Paula <ddepaula@redhat.com> - 2.11.0-7.el8
- Bumping epoch for RHEL8 and dropping self-obsoleting

* Thu Apr 12 2018 Danilo de Paula <ddepaula@redhat.com> - 2.11.0-6.el8
- Rebuilding

* Mon Mar 05 2018 Danilo de Paula <ddepaula@redhat.com> - 2.11.0-5.el8
- Prepare building on RHEL-8.0
